#include <okular_includes.h>

#include <smoke.h>
#include <okular_smoke.h>

namespace __smokeokular {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KConfigDialog
      switch(to) {
        case 3: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 4:   //KIcon
      switch(to) {
        case 4: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 5:   //KMimeType
      switch(to) {
        case 5: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 6:   //KUrl
      switch(to) {
        case 6: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //KXMLGUIClient
      switch(to) {
        case 7: return (void*)(KXMLGUIClient*)xptr;
        case 42: return (void*)(Okular::GuiInterface*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 8:   //Okular::Action
      switch(to) {
        case 8: return (void*)(Okular::Action*)xptr;
        case 60: return (void*)(Okular::SoundAction*)(Okular::Action*)xptr;
        case 18: return (void*)(Okular::BrowseAction*)(Okular::Action*)xptr;
        case 22: return (void*)(Okular::DocumentAction*)(Okular::Action*)xptr;
        case 28: return (void*)(Okular::ExecuteAction*)(Okular::Action*)xptr;
        case 58: return (void*)(Okular::ScriptAction*)(Okular::Action*)xptr;
        case 41: return (void*)(Okular::GotoAction*)(Okular::Action*)xptr;
        default: return xptr;
      }
    case 9:   //Okular::ActionPrivate
      switch(to) {
        case 9: return (void*)(Okular::ActionPrivate*)xptr;
        default: return xptr;
      }
    case 10:   //Okular::Annotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)xptr;
        case 65: return (void*)(Okular::TextAnnotation*)(Okular::Annotation*)xptr;
        case 43: return (void*)(Okular::HighlightAnnotation*)(Okular::Annotation*)xptr;
        case 64: return (void*)(Okular::StampAnnotation*)(Okular::Annotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)(Okular::Annotation*)xptr;
        case 61: return (void*)(Okular::SoundAnnotation*)(Okular::Annotation*)xptr;
        case 30: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::Annotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)(Okular::Annotation*)xptr;
        case 40: return (void*)(Okular::GeomAnnotation*)(Okular::Annotation*)xptr;
        case 19: return (void*)(Okular::CaretAnnotation*)(Okular::Annotation*)xptr;
        default: return xptr;
      }
    case 11:   //Okular::Annotation::Revision
      switch(to) {
        case 11: return (void*)(Okular::Annotation::Revision*)xptr;
        default: return xptr;
      }
    case 12:   //Okular::Annotation::Style
      switch(to) {
        case 12: return (void*)(Okular::Annotation::Style*)xptr;
        default: return xptr;
      }
    case 13:   //Okular::Annotation::Window
      switch(to) {
        case 13: return (void*)(Okular::Annotation::Window*)xptr;
        default: return xptr;
      }
    case 14:   //Okular::AnnotationObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)(Okular::AnnotationObjectRect*)xptr;
        case 14: return (void*)(Okular::AnnotationObjectRect*)xptr;
        default: return xptr;
      }
    case 15:   //Okular::AnnotationPrivate
      switch(to) {
        case 15: return (void*)(Okular::AnnotationPrivate*)xptr;
        default: return xptr;
      }
    case 16:   //Okular::AnnotationUtils
      switch(to) {
        case 16: return (void*)(Okular::AnnotationUtils*)xptr;
        default: return xptr;
      }
    case 17:   //Okular::BookmarkManager
      switch(to) {
        case 17: return (void*)(Okular::BookmarkManager*)xptr;
        default: return xptr;
      }
    case 18:   //Okular::BrowseAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::BrowseAction*)xptr;
        case 18: return (void*)(Okular::BrowseAction*)xptr;
        default: return xptr;
      }
    case 19:   //Okular::CaretAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::CaretAnnotation*)xptr;
        case 19: return (void*)(Okular::CaretAnnotation*)xptr;
        default: return xptr;
      }
    case 20:   //Okular::ConfigInterface
      switch(to) {
        case 20: return (void*)(Okular::ConfigInterface*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)(Okular::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 21:   //Okular::Document
      switch(to) {
        case 91: return (void*)(QObject*)(Okular::Document*)xptr;
        case 21: return (void*)(Okular::Document*)xptr;
        default: return xptr;
      }
    case 22:   //Okular::DocumentAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::DocumentAction*)xptr;
        case 22: return (void*)(Okular::DocumentAction*)xptr;
        default: return xptr;
      }
    case 23:   //Okular::DocumentInfo
      switch(to) {
        case 23: return (void*)(Okular::DocumentInfo*)xptr;
        default: return xptr;
      }
    case 24:   //Okular::DocumentObserver
      switch(to) {
        case 24: return (void*)(Okular::DocumentObserver*)xptr;
        default: return xptr;
      }
    case 25:   //Okular::DocumentSynopsis
      switch(to) {
        case 82: return (void*)(QDomDocument*)(Okular::DocumentSynopsis*)xptr;
        case 84: return (void*)(QDomNode*)(Okular::DocumentSynopsis*)xptr;
        case 25: return (void*)(Okular::DocumentSynopsis*)xptr;
        default: return xptr;
      }
    case 26:   //Okular::DocumentViewport
      switch(to) {
        case 26: return (void*)(Okular::DocumentViewport*)xptr;
        default: return xptr;
      }
    case 27:   //Okular::EmbeddedFile
      switch(to) {
        case 27: return (void*)(Okular::EmbeddedFile*)xptr;
        default: return xptr;
      }
    case 28:   //Okular::ExecuteAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::ExecuteAction*)xptr;
        case 28: return (void*)(Okular::ExecuteAction*)xptr;
        default: return xptr;
      }
    case 29:   //Okular::ExportFormat
      switch(to) {
        case 29: return (void*)(Okular::ExportFormat*)xptr;
        default: return xptr;
      }
    case 30:   //Okular::FileAttachmentAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::FileAttachmentAnnotation*)xptr;
        case 30: return (void*)(Okular::FileAttachmentAnnotation*)xptr;
        default: return xptr;
      }
    case 31:   //Okular::FilePrinter
      switch(to) {
        case 31: return (void*)(Okular::FilePrinter*)xptr;
        default: return xptr;
      }
    case 32:   //Okular::FontInfo
      switch(to) {
        case 32: return (void*)(Okular::FontInfo*)xptr;
        default: return xptr;
      }
    case 33:   //Okular::FormField
      switch(to) {
        case 33: return (void*)(Okular::FormField*)xptr;
        case 34: return (void*)(Okular::FormFieldButton*)(Okular::FormField*)xptr;
        case 37: return (void*)(Okular::FormFieldText*)(Okular::FormField*)xptr;
        case 35: return (void*)(Okular::FormFieldChoice*)(Okular::FormField*)xptr;
        default: return xptr;
      }
    case 34:   //Okular::FormFieldButton
      switch(to) {
        case 33: return (void*)(Okular::FormField*)(Okular::FormFieldButton*)xptr;
        case 34: return (void*)(Okular::FormFieldButton*)xptr;
        default: return xptr;
      }
    case 35:   //Okular::FormFieldChoice
      switch(to) {
        case 33: return (void*)(Okular::FormField*)(Okular::FormFieldChoice*)xptr;
        case 35: return (void*)(Okular::FormFieldChoice*)xptr;
        default: return xptr;
      }
    case 36:   //Okular::FormFieldPrivate
      switch(to) {
        case 36: return (void*)(Okular::FormFieldPrivate*)xptr;
        default: return xptr;
      }
    case 37:   //Okular::FormFieldText
      switch(to) {
        case 33: return (void*)(Okular::FormField*)(Okular::FormFieldText*)xptr;
        case 37: return (void*)(Okular::FormFieldText*)xptr;
        default: return xptr;
      }
    case 38:   //Okular::Generator
      switch(to) {
        case 91: return (void*)(QObject*)(Okular::Generator*)xptr;
        case 38: return (void*)(Okular::Generator*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)(Okular::Generator*)xptr;
        default: return xptr;
      }
    case 39:   //Okular::GeneratorPrivate
      switch(to) {
        case 39: return (void*)(Okular::GeneratorPrivate*)xptr;
        default: return xptr;
      }
    case 40:   //Okular::GeomAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::GeomAnnotation*)xptr;
        case 40: return (void*)(Okular::GeomAnnotation*)xptr;
        default: return xptr;
      }
    case 41:   //Okular::GotoAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::GotoAction*)xptr;
        case 41: return (void*)(Okular::GotoAction*)xptr;
        default: return xptr;
      }
    case 42:   //Okular::GuiInterface
      switch(to) {
        case 7: return (void*)(KXMLGUIClient*)(Okular::GuiInterface*)xptr;
        case 42: return (void*)(Okular::GuiInterface*)xptr;
        default: return xptr;
      }
    case 43:   //Okular::HighlightAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::HighlightAnnotation*)xptr;
        case 43: return (void*)(Okular::HighlightAnnotation*)xptr;
        default: return xptr;
      }
    case 44:   //Okular::HighlightAnnotation::Quad
      switch(to) {
        case 44: return (void*)(Okular::HighlightAnnotation::Quad*)xptr;
        default: return xptr;
      }
    case 45:   //Okular::InkAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::InkAnnotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)xptr;
        default: return xptr;
      }
    case 46:   //Okular::LineAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::LineAnnotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)xptr;
        default: return xptr;
      }
    case 47:   //Okular::MovieAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::MovieAction*)xptr;
        case 47: return (void*)(Okular::MovieAction*)xptr;
        default: return xptr;
      }
    case 48:   //Okular::NormalizedPoint
      switch(to) {
        case 48: return (void*)(Okular::NormalizedPoint*)xptr;
        default: return xptr;
      }
    case 49:   //Okular::NormalizedRect
      switch(to) {
        case 49: return (void*)(Okular::NormalizedRect*)xptr;
        default: return xptr;
      }
    case 50:   //Okular::ObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)xptr;
        case 62: return (void*)(Okular::SourceRefObjectRect*)(Okular::ObjectRect*)xptr;
        case 14: return (void*)(Okular::AnnotationObjectRect*)(Okular::ObjectRect*)xptr;
        default: return xptr;
      }
    case 51:   //Okular::Page
      switch(to) {
        case 51: return (void*)(Okular::Page*)xptr;
        default: return xptr;
      }
    case 52:   //Okular::PageSize
      switch(to) {
        case 52: return (void*)(Okular::PageSize*)xptr;
        default: return xptr;
      }
    case 53:   //Okular::PageTransition
      switch(to) {
        case 53: return (void*)(Okular::PageTransition*)xptr;
        default: return xptr;
      }
    case 54:   //Okular::PixmapRequest
      switch(to) {
        case 54: return (void*)(Okular::PixmapRequest*)xptr;
        default: return xptr;
      }
    case 55:   //Okular::PrintInterface
      switch(to) {
        case 55: return (void*)(Okular::PrintInterface*)xptr;
        default: return xptr;
      }
    case 56:   //Okular::RegularAreaRect
      switch(to) {
        case 56: return (void*)(Okular::RegularAreaRect*)xptr;
        default: return xptr;
      }
    case 57:   //Okular::RenditionAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::RenditionAction*)xptr;
        case 57: return (void*)(Okular::RenditionAction*)xptr;
        default: return xptr;
      }
    case 58:   //Okular::ScriptAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::ScriptAction*)xptr;
        case 58: return (void*)(Okular::ScriptAction*)xptr;
        default: return xptr;
      }
    case 59:   //Okular::Sound
      switch(to) {
        case 59: return (void*)(Okular::Sound*)xptr;
        default: return xptr;
      }
    case 60:   //Okular::SoundAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::SoundAction*)xptr;
        case 60: return (void*)(Okular::SoundAction*)xptr;
        default: return xptr;
      }
    case 61:   //Okular::SoundAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::SoundAnnotation*)xptr;
        case 61: return (void*)(Okular::SoundAnnotation*)xptr;
        default: return xptr;
      }
    case 62:   //Okular::SourceRefObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)(Okular::SourceRefObjectRect*)xptr;
        case 62: return (void*)(Okular::SourceRefObjectRect*)xptr;
        default: return xptr;
      }
    case 63:   //Okular::SourceReference
      switch(to) {
        case 63: return (void*)(Okular::SourceReference*)xptr;
        default: return xptr;
      }
    case 64:   //Okular::StampAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::StampAnnotation*)xptr;
        case 64: return (void*)(Okular::StampAnnotation*)xptr;
        default: return xptr;
      }
    case 65:   //Okular::TextAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::TextAnnotation*)xptr;
        case 65: return (void*)(Okular::TextAnnotation*)xptr;
        default: return xptr;
      }
    case 66:   //Okular::TextDocumentConverter
      switch(to) {
        case 91: return (void*)(QObject*)(Okular::TextDocumentConverter*)xptr;
        case 66: return (void*)(Okular::TextDocumentConverter*)xptr;
        default: return xptr;
      }
    case 67:   //Okular::TextDocumentGenerator
      switch(to) {
        case 38: return (void*)(Okular::Generator*)(Okular::TextDocumentGenerator*)xptr;
        case 91: return (void*)(QObject*)(Okular::TextDocumentGenerator*)xptr;
        case 20: return (void*)(Okular::ConfigInterface*)(Okular::TextDocumentGenerator*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)xptr;
        default: return xptr;
      }
    case 68:   //Okular::TextDocumentSettings
      switch(to) {
        case 68: return (void*)(Okular::TextDocumentSettings*)xptr;
        default: return xptr;
      }
    case 69:   //Okular::TextEntity
      switch(to) {
        case 69: return (void*)(Okular::TextEntity*)xptr;
        default: return xptr;
      }
    case 70:   //Okular::TextPage
      switch(to) {
        case 70: return (void*)(Okular::TextPage*)xptr;
        default: return xptr;
      }
    case 71:   //Okular::TextSelection
      switch(to) {
        case 71: return (void*)(Okular::TextSelection*)xptr;
        default: return xptr;
      }
    case 72:   //Okular::Tile
      switch(to) {
        case 72: return (void*)(Okular::Tile*)xptr;
        default: return xptr;
      }
    case 73:   //Okular::Utils
      switch(to) {
        case 73: return (void*)(Okular::Utils*)xptr;
        default: return xptr;
      }
    case 74:   //Okular::View
      switch(to) {
        case 74: return (void*)(Okular::View*)xptr;
        default: return xptr;
      }
    case 75:   //Okular::VisiblePageRect
      switch(to) {
        case 75: return (void*)(Okular::VisiblePageRect*)xptr;
        default: return xptr;
      }
    case 76:   //QAction
      switch(to) {
        case 76: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 77:   //QBool
      switch(to) {
        case 77: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 78:   //QByteArray
      switch(to) {
        case 78: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 79:   //QChildEvent
      switch(to) {
        case 79: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QColor
      switch(to) {
        case 80: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 81:   //QDateTime
      switch(to) {
        case 81: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 82:   //QDomDocument
      switch(to) {
        case 84: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 82: return (void*)(QDomDocument*)xptr;
        case 25: return (void*)(Okular::DocumentSynopsis*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 83:   //QDomElement
      switch(to) {
        case 84: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 83: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 84:   //QDomNode
      switch(to) {
        case 84: return (void*)(QDomNode*)xptr;
        case 25: return (void*)(Okular::DocumentSynopsis*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 85:   //QEvent
      switch(to) {
        case 85: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QFont
      switch(to) {
        case 86: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 88:   //QImage
      switch(to) {
        case 88: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 89:   //QMetaObject
      switch(to) {
        case 89: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 90:   //QMutex
      switch(to) {
        case 90: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 91:   //QObject
      switch(to) {
        case 91: return (void*)(QObject*)xptr;
        case 38: return (void*)(Okular::Generator*)(QObject*)xptr;
        case 21: return (void*)(Okular::Document*)(QObject*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)(QObject*)xptr;
        case 66: return (void*)(Okular::TextDocumentConverter*)(QObject*)xptr;
        default: return xptr;
      }
    case 92:   //QPainterPath
      switch(to) {
        case 92: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 93:   //QPixmap
      switch(to) {
        case 93: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 94:   //QPolygonF
      switch(to) {
        case 94: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 95:   //QPrinter
      switch(to) {
        case 95: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 96:   //QRect
      switch(to) {
        case 96: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 97:   //QRectF
      switch(to) {
        case 97: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 98:   //QRegExp
      switch(to) {
        case 98: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 99:   //QSize
      switch(to) {
        case 99: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 100:   //QSizeF
      switch(to) {
        case 100: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 101:   //QTextBlock
      switch(to) {
        case 101: return (void*)(QTextBlock*)xptr;
        default: return xptr;
      }
    case 102:   //QTextDocument
      switch(to) {
        case 102: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 103:   //QTimerEvent
      switch(to) {
        case 103: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 104:   //QTransform
      switch(to) {
        case 104: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 105:   //QVariant
      switch(to) {
        case 105: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 106:   //QWidget
      switch(to) {
        case 91: return (void*)(QObject*)(QWidget*)xptr;
        case 106: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    50, 0,	// 1: Okular::ObjectRect
    8, 0,	// 3: Okular::Action
    10, 0,	// 5: Okular::Annotation
    91, 0,	// 7: QObject
    82, 0,	// 9: QDomDocument
    33, 0,	// 11: Okular::FormField
    7, 0,	// 13: KXMLGUIClient
    0, 0,	// 15: Okular::RegularArea
    38, 20, 0,	// 17: Okular::Generator, Okular::ConfigInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Sound(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Document(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Generator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PixmapRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PageTransition(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Annotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__HighlightAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__CaretAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FilePrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ExportFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldChoice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FontInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentViewport(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ObjectRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Page(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__LineAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__GeomAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Okular__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Annotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationUtils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__BrowseAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__CaretAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentSynopsis(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentViewport(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__EmbeddedFile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExecuteAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExportFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FileAttachmentAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FilePrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FontInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormField(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldChoice(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldText(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Generator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GeomAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GotoAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GuiInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__HighlightAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__InkAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__LineAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Page(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageSize(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageTransition(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PixmapRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PrintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__RegularAreaRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ScriptAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Sound(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceRefObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceReference(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__StampAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentConverter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Tile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Utils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__VisiblePageRect(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//3
    { "KIcon", true, 0, 0, 0, 0, 0 },	//4
    { "KMimeType", true, 0, 0, 0, 0, 0 },	//5
    { "KUrl", true, 0, 0, 0, 0, 0 },	//6
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//7
    { "Okular::Action", false, 0, xcall_Okular__Action, xenum_Okular__Action, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Action) },	//8
    { "Okular::ActionPrivate", true, 0, 0, 0, 0, 0 },	//9
    { "Okular::Annotation", false, 0, xcall_Okular__Annotation, xenum_Okular__Annotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Annotation) },	//10
    { "Okular::Annotation::Revision", true, 0, 0, 0, 0, 0 },	//11
    { "Okular::Annotation::Style", true, 0, 0, 0, 0, 0 },	//12
    { "Okular::Annotation::Window", true, 0, 0, 0, 0, 0 },	//13
    { "Okular::AnnotationObjectRect", false, 1, xcall_Okular__AnnotationObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::AnnotationObjectRect) },	//14
    { "Okular::AnnotationPrivate", true, 0, 0, 0, 0, 0 },	//15
    { "Okular::AnnotationUtils", false, 0, xcall_Okular__AnnotationUtils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::AnnotationUtils) },	//16
    { "Okular::BookmarkManager", true, 0, 0, 0, 0, 0 },	//17
    { "Okular::BrowseAction", false, 3, xcall_Okular__BrowseAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::BrowseAction) },	//18
    { "Okular::CaretAnnotation", false, 5, xcall_Okular__CaretAnnotation, xenum_Okular__CaretAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::CaretAnnotation) },	//19
    { "Okular::ConfigInterface", false, 0, xcall_Okular__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ConfigInterface) },	//20
    { "Okular::Document", false, 7, xcall_Okular__Document, xenum_Okular__Document, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Document) },	//21
    { "Okular::DocumentAction", false, 3, xcall_Okular__DocumentAction, xenum_Okular__DocumentAction, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::DocumentAction) },	//22
    { "Okular::DocumentInfo", false, 0, xcall_Okular__DocumentInfo, xenum_Okular__DocumentInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentInfo) },	//23
    { "Okular::DocumentObserver", true, 0, 0, 0, 0, 0 },	//24
    { "Okular::DocumentSynopsis", false, 9, xcall_Okular__DocumentSynopsis, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentSynopsis) },	//25
    { "Okular::DocumentViewport", false, 0, xcall_Okular__DocumentViewport, xenum_Okular__DocumentViewport, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentViewport) },	//26
    { "Okular::EmbeddedFile", false, 0, xcall_Okular__EmbeddedFile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::EmbeddedFile) },	//27
    { "Okular::ExecuteAction", false, 3, xcall_Okular__ExecuteAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ExecuteAction) },	//28
    { "Okular::ExportFormat", false, 0, xcall_Okular__ExportFormat, xenum_Okular__ExportFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::ExportFormat) },	//29
    { "Okular::FileAttachmentAnnotation", false, 5, xcall_Okular__FileAttachmentAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FileAttachmentAnnotation) },	//30
    { "Okular::FilePrinter", false, 0, xcall_Okular__FilePrinter, xenum_Okular__FilePrinter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FilePrinter) },	//31
    { "Okular::FontInfo", false, 0, xcall_Okular__FontInfo, xenum_Okular__FontInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FontInfo) },	//32
    { "Okular::FormField", false, 0, xcall_Okular__FormField, xenum_Okular__FormField, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormField) },	//33
    { "Okular::FormFieldButton", false, 11, xcall_Okular__FormFieldButton, xenum_Okular__FormFieldButton, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldButton) },	//34
    { "Okular::FormFieldChoice", false, 11, xcall_Okular__FormFieldChoice, xenum_Okular__FormFieldChoice, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldChoice) },	//35
    { "Okular::FormFieldPrivate", true, 0, 0, 0, 0, 0 },	//36
    { "Okular::FormFieldText", false, 11, xcall_Okular__FormFieldText, xenum_Okular__FormFieldText, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldText) },	//37
    { "Okular::Generator", false, 7, xcall_Okular__Generator, xenum_Okular__Generator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Generator) },	//38
    { "Okular::GeneratorPrivate", true, 0, 0, 0, 0, 0 },	//39
    { "Okular::GeomAnnotation", false, 5, xcall_Okular__GeomAnnotation, xenum_Okular__GeomAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GeomAnnotation) },	//40
    { "Okular::GotoAction", false, 3, xcall_Okular__GotoAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GotoAction) },	//41
    { "Okular::GuiInterface", false, 13, xcall_Okular__GuiInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::GuiInterface) },	//42
    { "Okular::HighlightAnnotation", false, 5, xcall_Okular__HighlightAnnotation, xenum_Okular__HighlightAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::HighlightAnnotation) },	//43
    { "Okular::HighlightAnnotation::Quad", true, 0, 0, 0, 0, 0 },	//44
    { "Okular::InkAnnotation", false, 5, xcall_Okular__InkAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::InkAnnotation) },	//45
    { "Okular::LineAnnotation", false, 5, xcall_Okular__LineAnnotation, xenum_Okular__LineAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::LineAnnotation) },	//46
    { "Okular::MovieAction", true, 0, 0, 0, 0, 0 },	//47
    { "Okular::NormalizedPoint", false, 0, xcall_Okular__NormalizedPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedPoint) },	//48
    { "Okular::NormalizedRect", false, 0, xcall_Okular__NormalizedRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedRect) },	//49
    { "Okular::ObjectRect", false, 0, xcall_Okular__ObjectRect, xenum_Okular__ObjectRect, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ObjectRect) },	//50
    { "Okular::Page", false, 0, xcall_Okular__Page, xenum_Okular__Page, Smoke::cf_constructor, sizeof(Okular::Page) },	//51
    { "Okular::PageSize", false, 0, xcall_Okular__PageSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageSize) },	//52
    { "Okular::PageTransition", false, 0, xcall_Okular__PageTransition, xenum_Okular__PageTransition, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageTransition) },	//53
    { "Okular::PixmapRequest", false, 0, xcall_Okular__PixmapRequest, xenum_Okular__PixmapRequest, Smoke::cf_constructor, sizeof(Okular::PixmapRequest) },	//54
    { "Okular::PrintInterface", false, 0, xcall_Okular__PrintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::PrintInterface) },	//55
    { "Okular::RegularAreaRect", false, 15, xcall_Okular__RegularAreaRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::RegularAreaRect) },	//56
    { "Okular::RenditionAction", true, 0, 0, 0, 0, 0 },	//57
    { "Okular::ScriptAction", false, 3, xcall_Okular__ScriptAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ScriptAction) },	//58
    { "Okular::Sound", false, 0, xcall_Okular__Sound, xenum_Okular__Sound, Smoke::cf_constructor, sizeof(Okular::Sound) },	//59
    { "Okular::SoundAction", false, 3, xcall_Okular__SoundAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAction) },	//60
    { "Okular::SoundAnnotation", false, 5, xcall_Okular__SoundAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAnnotation) },	//61
    { "Okular::SourceRefObjectRect", false, 1, xcall_Okular__SourceRefObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::SourceRefObjectRect) },	//62
    { "Okular::SourceReference", false, 0, xcall_Okular__SourceReference, 0, Smoke::cf_constructor, sizeof(Okular::SourceReference) },	//63
    { "Okular::StampAnnotation", false, 5, xcall_Okular__StampAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::StampAnnotation) },	//64
    { "Okular::TextAnnotation", false, 5, xcall_Okular__TextAnnotation, xenum_Okular__TextAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextAnnotation) },	//65
    { "Okular::TextDocumentConverter", false, 7, xcall_Okular__TextDocumentConverter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentConverter) },	//66
    { "Okular::TextDocumentGenerator", false, 17, xcall_Okular__TextDocumentGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentGenerator) },	//67
    { "Okular::TextDocumentSettings", true, 0, 0, 0, 0, 0 },	//68
    { "Okular::TextEntity", false, 0, xcall_Okular__TextEntity, 0, Smoke::cf_constructor, sizeof(Okular::TextEntity) },	//69
    { "Okular::TextPage", false, 0, xcall_Okular__TextPage, xenum_Okular__TextPage, Smoke::cf_constructor, sizeof(Okular::TextPage) },	//70
    { "Okular::TextSelection", true, 0, 0, 0, 0, 0 },	//71
    { "Okular::Tile", false, 0, xcall_Okular__Tile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Tile) },	//72
    { "Okular::Utils", false, 0, xcall_Okular__Utils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Utils) },	//73
    { "Okular::View", true, 0, 0, 0, 0, 0 },	//74
    { "Okular::VisiblePageRect", false, 0, xcall_Okular__VisiblePageRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::VisiblePageRect) },	//75
    { "QAction", true, 0, 0, 0, 0, 0 },	//76
    { "QBool", true, 0, 0, 0, 0, 0 },	//77
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//78
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QColor", true, 0, 0, 0, 0, 0 },	//80
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//81
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//82
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//83
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//84
    { "QEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QFont", true, 0, 0, 0, 0, 0 },	//86
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//87
    { "QImage", true, 0, 0, 0, 0, 0 },	//88
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//89
    { "QMutex", true, 0, 0, 0, 0, 0 },	//90
    { "QObject", true, 0, 0, 0, 0, 0 },	//91
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//92
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//93
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//94
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//95
    { "QRect", true, 0, 0, 0, 0, 0 },	//96
    { "QRectF", true, 0, 0, 0, 0, 0 },	//97
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//98
    { "QSize", true, 0, 0, 0, 0, 0 },	//99
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//100
    { "QTextBlock", true, 0, 0, 0, 0, 0 },	//101
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//102
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//103
    { "QTransform", true, 0, 0, 0, 0, 0 },	//104
    { "QVariant", true, 0, 0, 0, 0, 0 },	//105
    { "QWidget", true, 0, 0, 0, 0, 0 },	//106
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "KConfigDialog*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KIcon", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "KMimeType", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "KSycocaFactoryId", 87, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KSycocaType", 87, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KUrl", 6, Smoke::t_class|Smoke::tf_stack },	//10
    { "KXMLGUIClient*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KXMLGUIClient::ReverseStateChange", 7, Smoke::t_enum|Smoke::tf_stack },	//12
    { "Okular::Action*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Okular::Action::ActionType", 8, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Okular::ActionPrivate&", 9, Smoke::t_class|Smoke::tf_ref },	//15
    { "Okular::ActionPrivate*", 9, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Okular::Annotation*", 10, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Okular::Annotation::AdditionalActionType", 10, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Okular::Annotation::Flag", 10, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Okular::Annotation::LineEffect", 10, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Okular::Annotation::LineStyle", 10, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Okular::Annotation::Revision", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "Okular::Annotation::RevisionScope", 10, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Okular::Annotation::RevisionType", 10, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Okular::Annotation::Style&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "Okular::Annotation::SubType", 10, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Okular::Annotation::Window&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "Okular::AnnotationObjectRect*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Okular::AnnotationPrivate&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "Okular::AnnotationPrivate*", 15, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Okular::AnnotationUtils*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Okular::BookmarkManager*", 17, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Okular::BrowseAction*", 18, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Okular::CaretAnnotation*", 19, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Okular::CaretAnnotation::CaretSymbol", 19, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Okular::ConfigInterface*", 20, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Okular::Document*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Okular::Document::OpenResult", 21, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Okular::Document::PixmapRequestFlag", 21, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Okular::Document::PrintingType", 21, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Okular::Document::SaveCapability", 21, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Okular::Document::SearchStatus", 21, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Okular::Document::SearchType", 21, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Okular::DocumentAction*", 22, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Okular::DocumentAction::DocumentActionType", 22, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Okular::DocumentInfo", 23, Smoke::t_class|Smoke::tf_stack },	//46
    { "Okular::DocumentInfo&", 23, Smoke::t_class|Smoke::tf_ref },	//47
    { "Okular::DocumentInfo*", 23, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Okular::DocumentInfo::Key", 23, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Okular::DocumentObserver*", 24, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Okular::DocumentSynopsis*", 25, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Okular::DocumentViewport", 26, Smoke::t_class|Smoke::tf_stack },	//52
    { "Okular::DocumentViewport*", 26, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Okular::DocumentViewport::Position", 26, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Okular::EmbeddedFile*", 27, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Okular::ExecuteAction*", 28, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Okular::ExportFormat", 29, Smoke::t_class|Smoke::tf_stack },	//57
    { "Okular::ExportFormat&", 29, Smoke::t_class|Smoke::tf_ref },	//58
    { "Okular::ExportFormat*", 29, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Okular::ExportFormat::StandardExportFormat", 29, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Okular::FileAttachmentAnnotation*", 30, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Okular::FilePrinter*", 31, Smoke::t_class|Smoke::tf_ptr },	//62
    { "Okular::FilePrinter::FileDeletePolicy", 31, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Okular::FilePrinter::PageSelectPolicy", 31, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Okular::FontInfo", 32, Smoke::t_class|Smoke::tf_stack },	//65
    { "Okular::FontInfo&", 32, Smoke::t_class|Smoke::tf_ref },	//66
    { "Okular::FontInfo*", 32, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Okular::FontInfo::EmbedType", 32, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Okular::FontInfo::FontType", 32, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Okular::FormField*", 33, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Okular::FormField::FieldType", 33, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Okular::FormFieldButton*", 34, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Okular::FormFieldButton::ButtonType", 34, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Okular::FormFieldChoice*", 35, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Okular::FormFieldChoice::ChoiceType", 35, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Okular::FormFieldPrivate&", 36, Smoke::t_class|Smoke::tf_ref },	//76
    { "Okular::FormFieldPrivate*", 36, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Okular::FormFieldText*", 37, Smoke::t_class|Smoke::tf_ptr },	//78
    { "Okular::FormFieldText::TextType", 37, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Okular::GenerationType", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Okular::Generator*", 38, Smoke::t_class|Smoke::tf_ptr },	//81
    { "Okular::Generator::GeneratorFeature", 38, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Okular::Generator::PageSizeMetric", 38, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Okular::Generator::PrintError", 38, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Okular::GeneratorPrivate&", 39, Smoke::t_class|Smoke::tf_ref },	//85
    { "Okular::GeneratorPrivate*", 39, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Okular::GeomAnnotation*", 40, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Okular::GeomAnnotation::GeomType", 40, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Okular::GotoAction*", 41, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Okular::GuiInterface*", 42, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Okular::HighlightAnnotation*", 43, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Okular::HighlightAnnotation::HighlightType", 43, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Okular::HighlightAnnotation::Quad", 44, Smoke::t_class|Smoke::tf_stack },	//93
    { "Okular::InkAnnotation*", 45, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Okular::LineAnnotation*", 46, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Okular::LineAnnotation::LineIntent", 46, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Okular::LineAnnotation::TermStyle", 46, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Okular::MergeSide", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Okular::NormalizedPoint", 48, Smoke::t_class|Smoke::tf_stack },	//99
    { "Okular::NormalizedPoint&", 48, Smoke::t_class|Smoke::tf_ref },	//100
    { "Okular::NormalizedPoint*", 48, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Okular::NormalizedRect", 49, Smoke::t_class|Smoke::tf_stack },	//102
    { "Okular::NormalizedRect&", 49, Smoke::t_class|Smoke::tf_ref },	//103
    { "Okular::NormalizedRect*", 49, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Okular::ObjectRect*", 50, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Okular::ObjectRect::ObjectType", 50, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Okular::Page*", 51, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Okular::Page::PageAction", 51, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Okular::PageSize", 52, Smoke::t_class|Smoke::tf_stack },	//109
    { "Okular::PageSize&", 52, Smoke::t_class|Smoke::tf_ref },	//110
    { "Okular::PageSize*", 52, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Okular::PageTransition&", 53, Smoke::t_class|Smoke::tf_ref },	//112
    { "Okular::PageTransition*", 53, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Okular::PageTransition::Alignment", 53, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Okular::PageTransition::Direction", 53, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Okular::PageTransition::Type", 53, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Okular::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Okular::PixmapRequest*", 54, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Okular::PixmapRequest::PixmapRequestFeature", 54, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Okular::PrintInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Okular::RegularAreaRect&", 56, Smoke::t_class|Smoke::tf_ref },	//121
    { "Okular::RegularAreaRect*", 56, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Okular::Rotation", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Okular::ScriptAction*", 58, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Okular::ScriptType", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Okular::SearchDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Okular::Sound*", 59, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Okular::Sound::SoundEncoding", 59, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Okular::Sound::SoundType", 59, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Okular::SoundAction*", 60, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Okular::SoundAnnotation*", 61, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Okular::SourceRefObjectRect*", 62, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Okular::SourceReference*", 63, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Okular::StampAnnotation*", 64, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Okular::TextAnnotation*", 65, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Okular::TextAnnotation::InplaceIntent", 65, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Okular::TextAnnotation::TextType", 65, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Okular::TextDocumentConverter*", 66, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Okular::TextDocumentGenerator*", 67, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Okular::TextDocumentSettings*", 68, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Okular::TextEntity*", 69, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Okular::TextPage*", 70, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Okular::TextPage::TextAreaInclusionBehaviour", 70, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Okular::TextSelection*", 71, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Okular::Tile", 72, Smoke::t_class|Smoke::tf_stack },	//145
    { "Okular::Tile&", 72, Smoke::t_class|Smoke::tf_ref },	//146
    { "Okular::Tile*", 72, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Okular::Utils*", 73, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Okular::View*", 74, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Okular::VisiblePageRect*", 75, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QAction*", 76, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QBool", 77, Smoke::t_class|Smoke::tf_stack },	//152
    { "QByteArray", 78, Smoke::t_class|Smoke::tf_stack },	//153
    { "QByteArray*", 78, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QChildEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QColor", 80, Smoke::t_class|Smoke::tf_stack },	//156
    { "QDateTime", 81, Smoke::t_class|Smoke::tf_stack },	//157
    { "QDomDocument", 82, Smoke::t_class|Smoke::tf_stack },	//158
    { "QDomDocument&", 82, Smoke::t_class|Smoke::tf_ref },	//159
    { "QDomElement", 83, Smoke::t_class|Smoke::tf_stack },	//160
    { "QDomElement&", 83, Smoke::t_class|Smoke::tf_ref },	//161
    { "QDomNode", 84, Smoke::t_class|Smoke::tf_stack },	//162
    { "QDomNode&", 84, Smoke::t_class|Smoke::tf_ref },	//163
    { "QEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QFlags<Okular::Document::PixmapRequestFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//165
    { "QFlags<Okular::PixmapRequest::PixmapRequestFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//166
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//167
    { "QFont", 86, Smoke::t_class|Smoke::tf_stack },	//168
    { "QImage", 88, Smoke::t_class|Smoke::tf_stack },	//169
    { "QLinkedList<Okular::Annotation*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//170
    { "QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//171
    { "QLinkedList<Okular::FormField*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "QLinkedList<Okular::NormalizedPoint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//173
    { "QLinkedList<const Okular::ObjectRect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//174
    { "QList<Okular::ExportFormat>", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "QList<Okular::FontInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "QList<Okular::FormFieldButton*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "QList<Okular::HighlightAnnotation::Quad>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//178
    { "QList<Okular::PageSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "QList<Okular::TextEntity*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "QList<Okular::Tile>", 0, Smoke::t_voidp|Smoke::tf_stack },	//181
    { "QList<QLinkedList<Okular::NormalizedPoint> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//182
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//183
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "QMetaObject::Call", 89, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QMutex*", 90, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QObject*", 91, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QPainterPath&", 92, Smoke::t_class|Smoke::tf_ref },	//188
    { "QPixmap*", 93, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QPrinter&", 95, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPrinter::Orientation", 95, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QRect", 96, Smoke::t_class|Smoke::tf_stack },	//192
    { "QRegExp&", 98, Smoke::t_class|Smoke::tf_ref },	//193
    { "QSize", 99, Smoke::t_class|Smoke::tf_stack },	//194
    { "QSizeF", 100, Smoke::t_class|Smoke::tf_stack },	//195
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//197
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//198
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//199
    { "QTextBlock", 101, Smoke::t_class|Smoke::tf_stack },	//200
    { "QTextDocument*", 102, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QTimerEvent*", 103, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QVariant", 105, Smoke::t_class|Smoke::tf_stack },	//203
    { "QVector<Okular::Page*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//204
    { "QWidget*", 106, Smoke::t_class|Smoke::tf_ptr },	//205
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "_LIB_VERSION_TYPE", 87, Smoke::t_enum|Smoke::tf_stack },	//278
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//279
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//280
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const KComponentData*", 2, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//282
    { "const KIcon&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const KSharedPtr<KMimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const KUrl&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const Okular::Action*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//286
    { "const Okular::ActionPrivate*", 9, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//287
    { "const Okular::Annotation*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "const Okular::Annotation::Style&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const Okular::Annotation::Window&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const Okular::AnnotationObjectRect&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const Okular::AnnotationPrivate*", 15, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "const Okular::AnnotationUtils&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const Okular::ConfigInterface&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const Okular::Document*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//295
    { "const Okular::DocumentInfo&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const Okular::DocumentObserver*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const Okular::DocumentSynopsis&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const Okular::DocumentSynopsis*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "const Okular::DocumentViewport&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const Okular::EmbeddedFile&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const Okular::ExportFormat&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const Okular::FilePrinter&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const Okular::FontInfo&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const Okular::FormFieldPrivate*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//305
    { "const Okular::GeneratorPrivate*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//306
    { "const Okular::GuiInterface&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const Okular::MovieAction*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//308
    { "const Okular::NormalizedPoint&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const Okular::NormalizedRect&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const Okular::NormalizedRect*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//311
    { "const Okular::ObjectRect&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const Okular::ObjectRect*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//313
    { "const Okular::Page*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//314
    { "const Okular::PageSize&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const Okular::PageTransition&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const Okular::PageTransition*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//317
    { "const Okular::PrintInterface&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const Okular::RegularAreaRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const Okular::RegularAreaRect*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//320
    { "const Okular::RenditionAction*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//321
    { "const Okular::SourceRefObjectRect&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const Okular::SourceReference*", 63, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//323
    { "const Okular::Tile&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const Okular::Utils&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const Okular::VisiblePageRect&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QByteArray&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QColor&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QDateTime&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QDomDocument&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QDomElement&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QDomNode&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QFont&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QImage*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//334
    { "const QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QLinkedList<Okular::FormField*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QLinkedList<Okular::NormalizedPoint>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QLinkedList<Okular::ObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QLinkedList<Okular::PixmapRequest*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QLinkedList<Okular::SourceRefObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QList<Okular::Annotation*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QList<Okular::EmbeddedFile*>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//342
    { "const QList<Okular::FormFieldButton*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QList<Okular::TextEntity*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QList<QLinkedList<Okular::NormalizedPoint> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QMetaObject&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QMetaObject*", 89, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//350
    { "const QPainterPath&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QPolygonF&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QRect&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QRectF&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QRegExp&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QSet<Okular::DocumentInfo::Key>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QSizeF&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//358
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//360
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//361
    { "const QTextBlock&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QTransform&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QVariant&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QVector<Okular::VisiblePageRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//366
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//367
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//368
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//369
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//370
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//371
    { "void(*)(const Okular::Annotation*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//372
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//373
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//374
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//375
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    331, 0,	//1  const QDomElement&
    281, 0,	//3  const KComponentData&
    359, 279, 279, 0,	//5  const QString&, bool, bool
    359, 0,	//9  const QString&
    359, 279, 0,	//11  const QString&, bool
    330, 279, 0,	//14  const QDomDocument&, bool
    359, 12, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    370, 373, 0,	//20  int, void*
    364, 0,	//23  const QVariant&
    15, 0,	//25  Okular::ActionPrivate&
    329, 0,	//27  const QDateTime&
    370, 0,	//29  int
    310, 0,	//31  const Okular::NormalizedRect&
    309, 0,	//33  const Okular::NormalizedPoint&
    372, 0,	//35  void(*)(const Okular::Annotation*)
    163, 159, 0,	//37  QDomNode&, QDomDocument&
    332, 0,	//40  const QDomNode&
    29, 0,	//42  Okular::AnnotationPrivate&
    29, 332, 0,	//44  Okular::AnnotationPrivate&, const QDomNode&
    17, 0,	//47  Okular::Annotation*
    368, 368, 0,	//49  double, double
    368, 368, 368, 368, 0,	//52  double, double, double, double
    363, 0,	//57  const QTransform&
    291, 0,	//59  const Okular::AnnotationObjectRect&
    288, 161, 159, 0,	//61  const Okular::Annotation*, QDomElement&, QDomDocument&
    332, 359, 0,	//65  const QDomNode&, const QString&
    288, 368, 368, 0,	//68  const Okular::Annotation*, double, double
    293, 0,	//72  const Okular::AnnotationUtils&
    35, 0,	//74  Okular::CaretAnnotation::CaretSymbol
    3, 0,	//76  KConfigDialog*
    294, 0,	//78  const Okular::ConfigInterface&
    366, 0,	//80  const char*
    366, 366, 0,	//82  const char*, const char*
    366, 366, 370, 0,	//85  const char*, const char*, int
    185, 370, 374, 0,	//89  QMetaObject::Call, int, void**
    205, 0,	//93  QWidget*
    359, 285, 284, 359, 0,	//95  const QString&, const KUrl&, const KSharedPtr<KMimeType>&, const QString&
    50, 0,	//100  Okular::DocumentObserver*
    356, 0,	//102  const QSet<Okular::DocumentInfo::Key>&
    365, 50, 0,	//104  const QVector<Okular::VisiblePageRect*>&, Okular::DocumentObserver*
    117, 0,	//107  Okular::Permission
    359, 302, 0,	//109  const QString&, const Okular::ExportFormat&
    359, 364, 0,	//112  const QString&, const QVariant&
    370, 50, 279, 0,	//115  int, Okular::DocumentObserver*, bool
    300, 50, 279, 0,	//119  const Okular::DocumentViewport&, Okular::DocumentObserver*, bool
    300, 0,	//123  const Okular::DocumentViewport&
    370, 50, 0,	//125  int, Okular::DocumentObserver*
    339, 0,	//128  const QLinkedList<Okular::PixmapRequest*>&
    339, 165, 0,	//130  const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>
    371, 0,	//133  unsigned int
    370, 17, 0,	//135  int, Okular::Annotation*
    288, 0,	//138  const Okular::Annotation*
    370, 17, 309, 0,	//140  int, Okular::Annotation*, const Okular::NormalizedPoint&
    370, 17, 359, 370, 370, 370, 0,	//144  int, Okular::Annotation*, const QString&, int, int, int
    370, 341, 0,	//151  int, const QList<Okular::Annotation*>&
    370, 122, 328, 0,	//154  int, Okular::RegularAreaRect*, const QColor&
    370, 359, 279, 215, 43, 279, 328, 0,	//158  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&
    370, 43, 0,	//166  int, Okular::Document::SearchType
    286, 0,	//169  const Okular::Action*
    323, 0,	//171  const Okular::SourceReference*
    190, 0,	//173  QPrinter&
    41, 0,	//175  Okular::Document::SaveCapability
    359, 197, 0,	//177  const QString&, QString*
    149, 0,	//180  Okular::View*
    304, 0,	//182  const Okular::FontInfo&
    359, 285, 359, 0,	//184  const QString&, const KUrl&, const QString&
    370, 368, 368, 0,	//188  int, double, double
    279, 0,	//192  bool
    359, 197, 197, 197, 0,	//194  const QString&, QString*, QString*, QString*
    315, 0,	//199  const Okular::PageSize&
    370, 78, 359, 370, 370, 370, 0,	//201  int, Okular::FormFieldText*, const QString&, int, int, int
    370, 74, 348, 0,	//208  int, Okular::FormFieldChoice*, const QList<int>&
    370, 74, 359, 370, 370, 370, 0,	//212  int, Okular::FormFieldChoice*, const QString&, int, int, int
    370, 343, 347, 0,	//219  int, const QList<Okular::FormFieldButton*>&, const QList<bool>&
    285, 0,	//223  const KUrl&
    359, 370, 0,	//225  const QString&, int
    370, 42, 0,	//228  int, Okular::Document::SearchStatus
    359, 370, 370, 280, 0,	//231  const QString&, int, int, bool*
    308, 0,	//236  const Okular::MovieAction*
    321, 0,	//238  const Okular::RenditionAction*
    17, 359, 370, 370, 0,	//240  Okular::Annotation*, const QString&, int, int
    370, 78, 359, 370, 370, 0,	//245  int, Okular::FormFieldText*, const QString&, int, int
    370, 74, 359, 370, 370, 0,	//251  int, Okular::FormFieldChoice*, const QString&, int, int
    370, 343, 0,	//257  int, const QList<Okular::FormFieldButton*>&
    359, 285, 284, 0,	//260  const QString&, const KUrl&, const KSharedPtr<KMimeType>&
    365, 0,	//264  const QVector<Okular::VisiblePageRect*>&
    300, 50, 0,	//266  const Okular::DocumentViewport&, Okular::DocumentObserver*
    359, 285, 0,	//269  const QString&, const KUrl&
    45, 0,	//272  Okular::DocumentAction::DocumentActionType
    296, 0,	//274  const Okular::DocumentInfo&
    49, 0,	//276  Okular::DocumentInfo::Key
    359, 359, 359, 0,	//278  const QString&, const QString&, const QString&
    49, 359, 0,	//282  Okular::DocumentInfo::Key, const QString&
    359, 359, 0,	//285  const QString&, const QString&
    330, 0,	//288  const QDomDocument&
    298, 0,	//290  const Okular::DocumentSynopsis&
    301, 0,	//292  const Okular::EmbeddedFile&
    359, 284, 0,	//294  const QString&, const KSharedPtr<KMimeType>&
    283, 359, 284, 0,	//297  const KIcon&, const QString&, const KSharedPtr<KMimeType>&
    302, 0,	//301  const Okular::ExportFormat&
    60, 0,	//303  Okular::ExportFormat::StandardExportFormat
    55, 0,	//305  Okular::EmbeddedFile*
    190, 358, 191, 63, 64, 359, 0,	//307  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    190, 370, 370, 348, 0,	//314  QPrinter&, int, int, const QList<int>&
    190, 370, 348, 0,	//319  QPrinter&, int, const QList<int>&
    348, 0,	//323  const QList<int>&
    190, 360, 63, 64, 359, 191, 0,	//325  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation
    190, 63, 64, 279, 359, 359, 191, 0,	//332  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation
    190, 359, 0,	//340  QPrinter&, const QString&
    190, 63, 359, 0,	//343  QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&
    190, 64, 359, 279, 359, 0,	//347  QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&
    190, 191, 0,	//353  QPrinter&, QPrinter::Orientation
    303, 0,	//356  const Okular::FilePrinter&
    190, 358, 191, 0,	//358  QPrinter&, const QString, QPrinter::Orientation
    190, 358, 191, 63, 0,	//362  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy
    190, 358, 191, 63, 64, 0,	//367  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy
    69, 0,	//373  Okular::FontInfo::FontType
    68, 0,	//375  Okular::FontInfo::EmbedType
    76, 0,	//377  Okular::FormFieldPrivate&
    13, 0,	//379  Okular::Action*
    187, 346, 0,	//381  QObject*, const QList<QVariant>&
    359, 204, 0,	//384  const QString&, QVector<Okular::Page*>&
    327, 204, 0,	//387  const QByteArray&, QVector<Okular::Page*>&
    359, 204, 359, 0,	//390  const QString&, QVector<Okular::Page*>&, const QString&
    327, 204, 359, 0,	//394  const QByteArray&, QVector<Okular::Page*>&, const QString&
    118, 0,	//398  Okular::PixmapRequest*
    107, 0,	//400  Okular::Page*
    123, 123, 0,	//402  Okular::Rotation, Okular::Rotation
    315, 315, 0,	//405  const Okular::PageSize&, const Okular::PageSize&
    82, 0,	//408  Okular::Generator::GeneratorFeature
    357, 0,	//410  const QSizeF&
    107, 142, 0,	//412  Okular::Page*, Okular::TextPage*
    82, 279, 0,	//415  Okular::Generator::GeneratorFeature, bool
    370, 310, 0,	//418  int, const Okular::NormalizedRect&
    304, 154, 0,	//421  const Okular::FontInfo&, QByteArray*
    85, 187, 346, 0,	//424  Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&
    88, 0,	//428  Okular::GeomAnnotation::GeomType
    328, 0,	//430  const QColor&
    359, 300, 0,	//432  const QString&, const Okular::DocumentViewport&
    307, 0,	//435  const Okular::GuiInterface&
    92, 0,	//437  Okular::HighlightAnnotation::HighlightType
    345, 0,	//439  const QList<QLinkedList<Okular::NormalizedPoint> >&
    337, 0,	//441  const QLinkedList<Okular::NormalizedPoint>&
    97, 0,	//443  Okular::LineAnnotation::TermStyle
    368, 0,	//445  double
    96, 0,	//447  Okular::LineAnnotation::LineIntent
    370, 370, 370, 370, 0,	//449  int, int, int, int
    368, 368, 368, 368, 309, 309, 0,	//454  double, double, double, double, const Okular::NormalizedPoint&, const Okular::NormalizedPoint&
    353, 368, 368, 0,	//461  const QRect&, double, double
    354, 0,	//465  const QRectF&
    311, 0,	//467  const Okular::NormalizedRect*
    370, 370, 0,	//469  int, int
    368, 368, 368, 368, 279, 106, 373, 0,	//472  double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*
    310, 279, 106, 373, 0,	//480  const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*
    352, 106, 373, 0,	//485  const QPolygonF&, Okular::ObjectRect::ObjectType, void*
    312, 0,	//489  const Okular::ObjectRect&
    106, 0,	//491  Okular::ObjectRect::ObjectType
    373, 0,	//493  void*
    351, 0,	//495  const QPainterPath&
    371, 368, 368, 123, 0,	//497  unsigned int, double, double, Okular::Rotation
    50, 370, 370, 310, 0,	//502  Okular::DocumentObserver*, int, int, const Okular::NormalizedRect&
    370, 359, 126, 215, 320, 0,	//507  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*
    320, 0,	//513  const Okular::RegularAreaRect*
    320, 143, 0,	//515  const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour
    309, 197, 0,	//518  const Okular::NormalizedPoint&, QString*
    144, 0,	//521  Okular::TextSelection*
    106, 368, 368, 368, 368, 0,	//523  Okular::ObjectRect::ObjectType, double, double, double, double
    106, 368, 368, 368, 368, 369, 0,	//529  Okular::ObjectRect::ObjectType, double, double, double, double, double*
    108, 0,	//536  Okular::Page::PageAction
    50, 189, 310, 0,	//538  Okular::DocumentObserver*, QPixmap*, const Okular::NormalizedRect&
    142, 0,	//542  Okular::TextPage*
    338, 0,	//544  const QLinkedList<Okular::ObjectRect*>&
    340, 0,	//546  const QLinkedList<Okular::SourceRefObjectRect*>&
    113, 0,	//548  Okular::PageTransition*
    108, 13, 0,	//550  Okular::Page::PageAction, Okular::Action*
    336, 0,	//553  const QLinkedList<Okular::FormField*>&
    297, 0,	//555  const Okular::DocumentObserver*
    297, 310, 0,	//557  const Okular::DocumentObserver*, const Okular::NormalizedRect&
    50, 370, 0,	//560  Okular::DocumentObserver*, int
    50, 370, 370, 0,	//563  Okular::DocumentObserver*, int, int
    370, 359, 126, 215, 0,	//567  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity
    50, 189, 0,	//572  Okular::DocumentObserver*, QPixmap*
    368, 368, 359, 0,	//575  double, double, const QString&
    116, 0,	//579  Okular::PageTransition::Type
    316, 0,	//581  const Okular::PageTransition&
    114, 0,	//583  Okular::PageTransition::Alignment
    115, 0,	//585  Okular::PageTransition::Direction
    50, 370, 370, 370, 370, 166, 0,	//587  Okular::DocumentObserver*, int, int, int, int, QFlags<Okular::PixmapRequest::PixmapRequestFeature>
    318, 0,	//594  const Okular::PrintInterface&
    319, 0,	//596  const Okular::RegularAreaRect&
    125, 359, 0,	//598  Okular::ScriptType, const QString&
    327, 0,	//601  const QByteArray&
    128, 0,	//603  Okular::Sound::SoundEncoding
    368, 279, 279, 279, 127, 0,	//605  double, bool, bool, bool, Okular::Sound*
    127, 0,	//611  Okular::Sound*
    309, 373, 0,	//613  const Okular::NormalizedPoint&, void*
    322, 0,	//616  const Okular::SourceRefObjectRect&
    359, 370, 370, 0,	//618  const QString&, int, int
    137, 0,	//622  Okular::TextAnnotation::TextType
    333, 0,	//624  const QFont&
    309, 370, 0,	//626  const Okular::NormalizedPoint&, int
    136, 0,	//629  Okular::TextAnnotation::InplaceIntent
    13, 370, 370, 0,	//631  Okular::Action*, int, int
    17, 370, 370, 0,	//635  Okular::Annotation*, int, int
    370, 359, 362, 0,	//639  int, const QString&, const QTextBlock&
    201, 0,	//643  QTextDocument*
    201, 362, 0,	//645  QTextDocument*, const QTextBlock&
    138, 359, 187, 346, 0,	//648  Okular::TextDocumentConverter*, const QString&, QObject*, const QList<QVariant>&
    138, 187, 346, 0,	//653  Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&
    359, 104, 0,	//657  const QString&, Okular::NormalizedRect*
    344, 0,	//660  const QList<Okular::TextEntity*>&
    310, 189, 279, 0,	//662  const Okular::NormalizedRect&, QPixmap*, bool
    324, 0,	//666  const Okular::Tile&
    353, 370, 370, 370, 0,	//668  const QRect&, int, int, int
    334, 0,	//673  const QImage*
    325, 0,	//675  const Okular::Utils&
    326, 0,	//677  const Okular::VisiblePageRect&
    164, 0,	//679  QEvent*
    187, 164, 0,	//681  QObject*, QEvent*
    202, 0,	//684  QTimerEvent*
    155, 0,	//686  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ACaret",	//1
    "AFileAttachment",	//2
    "AGeom",	//3
    "AHighlight",	//4
    "AInk",	//5
    "ALaw",	//6
    "ALine",	//7
    "AMovie",	//8
    "AScreen",	//9
    "ASound",	//10
    "AStamp",	//11
    "AText",	//12
    "AWidget",	//13
    "A_BASE",	//14
    "Accepted",	//15
    "Action",	//16
    "Action#",	//17
    "AllDocument",	//18
    "Annotation",	//19
    "Annotation#",	//20
    "Annotation##",	//21
    "AnnotationObjectRect",	//22
    "AnnotationObjectRect#",	//23
    "AnnotationUtils",	//24
    "AnnotationUtils#",	//25
    "AnyPixelTextAreaInclusionBehaviour",	//26
    "ApplicationDeletesFiles",	//27
    "ApplicationSelectsPages",	//28
    "Arrow",	//29
    "Asynchronous",	//30
    "Author",	//31
    "BeingMoved",	//32
    "Beveled",	//33
    "Blinds",	//34
    "Box",	//35
    "Browse",	//36
    "BrowseAction",	//37
    "BrowseAction$",	//38
    "Butt",	//39
    "CIDTrueType",	//40
    "CIDTrueTypeOT",	//41
    "CIDType0",	//42
    "CIDType0C",	//43
    "CIDType0COT",	//44
    "Callout",	//45
    "Cancelled",	//46
    "CaretAnnotation",	//47
    "CaretAnnotation#",	//48
    "Category",	//49
    "Center",	//50
    "CentralPixelTextAreaInclusionBehaviour",	//51
    "CheckBox",	//52
    "Circle",	//53
    "Close",	//54
    "ClosedArrow",	//55
    "Closing",	//56
    "Cloudy",	//57
    "ComboBox",	//58
    "Completed",	//59
    "ConfigInterface",	//60
    "ConfigInterface#",	//61
    "Copyright",	//62
    "Cover",	//63
    "CreationDate",	//64
    "Creator",	//65
    "CustomKeys",	//66
    "Dashed",	//67
    "Delete",	//68
    "DenyDelete",	//69
    "DenyPrint",	//70
    "DenyWrite",	//71
    "Description",	//72
    "Diamond",	//73
    "Dimension",	//74
    "Dissolve",	//75
    "DocAction",	//76
    "Document",	//77
    "Document#",	//78
    "DocumentAction",	//79
    "DocumentAction$",	//80
    "DocumentInfo",	//81
    "DocumentInfo#",	//82
    "DocumentSize",	//83
    "DocumentSynopsis",	//84
    "DocumentSynopsis#",	//85
    "DocumentViewport",	//86
    "DocumentViewport#",	//87
    "DocumentViewport$",	//88
    "Embedded",	//89
    "EmbeddedFile",	//90
    "EmbeddedFile#",	//91
    "EmbeddedSubset",	//92
    "EndOfDocumentReached",	//93
    "EndPresentation",	//94
    "Execute",	//95
    "ExecuteAction",	//96
    "ExecuteAction$$",	//97
    "ExportFormat",	//98
    "ExportFormat#",	//99
    "ExportFormat#$?",	//100
    "ExportFormat$?",	//101
    "External",	//102
    "ExternallyDrawn",	//103
    "Fade",	//104
    "FileAttachmentAnnotation",	//105
    "FileAttachmentAnnotation#",	//106
    "FileConversionPrintError",	//107
    "FilePath",	//108
    "FilePrinter",	//109
    "FilePrinter#",	//110
    "FileSelect",	//111
    "Find",	//112
    "FixedRotation",	//113
    "FixedSize",	//114
    "Fly",	//115
    "FontInfo",	//116
    "FontInfo#",	//117
    "FormButton",	//118
    "FormChoice",	//119
    "FormField",	//120
    "FormField#",	//121
    "FormFieldButton",	//122
    "FormFieldChoice",	//123
    "FormFieldText",	//124
    "FormSignature",	//125
    "FormText",	//126
    "FullyEmbedded",	//127
    "Generator",	//128
    "Generator##?",	//129
    "Generator#?",	//130
    "GeomAnnotation",	//131
    "GeomAnnotation#",	//132
    "Glitter",	//133
    "GoToPage",	//134
    "GoogleAll",	//135
    "GoogleAny",	//136
    "Goto",	//137
    "GotoAction",	//138
    "GotoAction$#",	//139
    "GotoAction$$",	//140
    "Group",	//141
    "GuiInterface",	//142
    "GuiInterface#",	//143
    "HTML",	//144
    "Hidden",	//145
    "Highlight",	//146
    "HighlightAnnotation",	//147
    "HighlightAnnotation#",	//148
    "HistoryBack",	//149
    "HistoryForward",	//150
    "Horizontal",	//151
    "Image",	//152
    "InPlace",	//153
    "InkAnnotation",	//154
    "InkAnnotation#",	//155
    "InscribedCircle",	//156
    "InscribedSquare",	//157
    "Inset",	//158
    "Invalid",	//159
    "InvalidPageSizePrintError",	//160
    "InvalidPrinterStatePrintError",	//161
    "Inward",	//162
    "KST_CTimeInfo",	//163
    "KST_KCustom",	//164
    "KST_KDEDesktopMimeType",	//165
    "KST_KFolderMimeType",	//166
    "KST_KImageIO",	//167
    "KST_KImageIOFormat",	//168
    "KST_KMimeType",	//169
    "KST_KMimeTypeEntry",	//170
    "KST_KMimeTypeFactory",	//171
    "KST_KProtocolInfo",	//172
    "KST_KProtocolInfoFactory",	//173
    "KST_KService",	//174
    "KST_KServiceFactory",	//175
    "KST_KServiceGroup",	//176
    "KST_KServiceGroupFactory",	//177
    "KST_KServiceSeparator",	//178
    "KST_KServiceType",	//179
    "KST_KServiceTypeFactory",	//180
    "KST_KSycocaEntry",	//181
    "Keywords",	//182
    "LineAnnotation",	//183
    "LineAnnotation#",	//184
    "Linked",	//185
    "ListBox",	//186
    "Marked",	//187
    "MatchFound",	//188
    "MimeType",	//189
    "ModificationDate",	//190
    "Movie",	//191
    "Multiline",	//192
    "NativePrinting",	//193
    "NextMatch",	//194
    "NoBinaryToPrintError",	//195
    "NoEffect",	//196
    "NoFeature",	//197
    "NoFileToPrintError",	//198
    "NoMatchFound",	//199
    "NoOption",	//200
    "NoPrintError",	//201
    "NoPrinting",	//202
    "None",	//203
    "Normal",	//204
    "NormalizedPoint",	//205
    "NormalizedPoint#",	//206
    "NormalizedPoint$$",	//207
    "NormalizedPoint$$$$",	//208
    "NormalizedRect",	//209
    "NormalizedRect#",	//210
    "NormalizedRect#$$",	//211
    "NormalizedRect$$$$",	//212
    "NotEmbedded",	//213
    "OAnnotation",	//214
    "ObjectRect",	//215
    "ObjectRect#",	//216
    "ObjectRect#$$",	//217
    "ObjectRect#$$$",	//218
    "ObjectRect$$$$$$$",	//219
    "OpenArrow",	//220
    "OpenDocumentText",	//221
    "OpenError",	//222
    "OpenNeedsPassword",	//223
    "OpenSuccess",	//224
    "Opening",	//225
    "Outward",	//226
    "P",	//227
    "PDF",	//228
    "Page",	//229
    "Page$$$$",	//230
    "PageClosing",	//231
    "PageFirst",	//232
    "PageLast",	//233
    "PageNext",	//234
    "PageOpening",	//235
    "PagePrev",	//236
    "PageSize",	//237
    "PageSize#",	//238
    "PageSize$$$",	//239
    "PageSizes",	//240
    "PageTransition",	//241
    "PageTransition#",	//242
    "PageTransition$",	//243
    "Pages",	//244
    "PagesSize",	//245
    "Pixels",	//246
    "PixmapRequest",	//247
    "PixmapRequest#$$$$$",	//248
    "PlainText",	//249
    "Points",	//250
    "PolygonCloud",	//251
    "PostscriptPrinting",	//252
    "Preload",	//253
    "Presentation",	//254
    "PreviousMatch",	//255
    "PrintInterface",	//256
    "PrintInterface#",	//257
    "PrintNative",	//258
    "PrintPostscript",	//259
    "PrintToFile",	//260
    "PrintToFilePrintError",	//261
    "PrintingProcessCrashPrintError",	//262
    "PrintingProcessStartPrintError",	//263
    "Producer",	//264
    "Push",	//265
    "Quit",	//266
    "RClosedArrow",	//267
    "ROpenArrow",	//268
    "Radio",	//269
    "Raw",	//270
    "ReadRawData",	//271
    "RegularAreaRect",	//272
    "RegularAreaRect#",	//273
    "Rejected",	//274
    "RemoveAllPrevious",	//275
    "Rendition",	//276
    "Replace",	//277
    "Reply",	//278
    "SaveAnnotationsCapability",	//279
    "SaveFormsCapability",	//280
    "Script",	//281
    "ScriptAction",	//282
    "ScriptAction$$",	//283
    "SearchCancelled",	//284
    "Signed",	//285
    "Slash",	//286
    "Solid",	//287
    "Sound",	//288
    "Sound#",	//289
    "Sound$",	//290
    "SoundAction",	//291
    "SoundAction$$$$#",	//292
    "SoundAnnotation",	//293
    "SoundAnnotation#",	//294
    "SourceRef",	//295
    "SourceRefObjectRect",	//296
    "SourceRefObjectRect#",	//297
    "SourceRefObjectRect#$",	//298
    "SourceReference",	//299
    "SourceReference$$",	//300
    "SourceReference$$$",	//301
    "Split",	//302
    "Square",	//303
    "Squiggly",	//304
    "StampAnnotation",	//305
    "StampAnnotation#",	//306
    "StateNoReverse",	//307
    "StateReverse",	//308
    "StrikeOut",	//309
    "Subject",	//310
    "SystemDeletesFiles",	//311
    "SystemSelectsPages",	//312
    "TeXFontMetric",	//313
    "TeXFreeTypeHandled",	//314
    "TeXPK",	//315
    "TeXVirtual",	//316
    "TemporaryFileOpenPrintError",	//317
    "TextAnnotation",	//318
    "TextAnnotation#",	//319
    "TextDocumentConverter",	//320
    "TextDocumentGenerator",	//321
    "TextDocumentGenerator##?",	//322
    "TextDocumentGenerator#$#?",	//323
    "TextEntity",	//324
    "TextEntity$#",	//325
    "TextExtraction",	//326
    "TextPage",	//327
    "TextPage?",	//328
    "Threaded",	//329
    "Tile",	//330
    "Tile#",	//331
    "Tile##$",	//332
    "TiledRendering",	//333
    "Title",	//334
    "ToggleHidingOnMouse",	//335
    "TopLeft",	//336
    "TrueType",	//337
    "TrueTypeOT",	//338
    "Type1",	//339
    "Type1C",	//340
    "Type1COT",	//341
    "Type3",	//342
    "TypeWriter",	//343
    "UnableToFindFilePrintError",	//344
    "Uncover",	//345
    "Underline",	//346
    "Unknown",	//347
    "UnknownPrintError",	//348
    "Unmarked",	//349
    "Utils",	//350
    "Utils#",	//351
    "Vertical",	//352
    "VisiblePageRect",	//353
    "VisiblePageRect#",	//354
    "VisiblePageRect$",	//355
    "VisiblePageRect$#",	//356
    "Wipe",	//357
    "_IEEE_",	//358
    "_ISOC_",	//359
    "_POSIX_",	//360
    "_SVID_",	//361
    "_XOPEN_",	//362
    "action",	//363
    "actionCollection",	//364
    "actionTip",	//365
    "actionType",	//366
    "activationAction",	//367
    "addAction",	//368
    "addAction#$$",	//369
    "addAnnotation",	//370
    "addAnnotation#",	//371
    "addAnnotation#$$",	//372
    "addMetaData",	//373
    "addMetaData$$",	//374
    "addMetaData$$$",	//375
    "addObserver",	//376
    "addObserver#",	//377
    "addPageAnnotation",	//378
    "addPageAnnotation$#",	//379
    "addPages",	//380
    "addPages#",	//381
    "addTitle",	//382
    "addTitle$$#",	//383
    "alignment",	//384
    "allPagesSize",	//385
    "angle",	//386
    "annotation",	//387
    "annotationContentsChangedByUndoRedo",	//388
    "annotationContentsChangedByUndoRedo#$$$",	//389
    "annotationGeometry",	//390
    "annotationGeometry#$$",	//391
    "annotations",	//392
    "append",	//393
    "append$#",	//394
    "area",	//395
    "asynchronous",	//396
    "author",	//397
    "bitsPerSample",	//398
    "bookmarkManager",	//399
    "bookmarkedPageList",	//400
    "bookmarkedPageRange",	//401
    "bottom",	//402
    "boundingBox",	//403
    "boundingRect",	//404
    "boundingRect$$",	//405
    "boundingRectangle",	//406
    "buttonType",	//407
    "calculateViewport",	//408
    "calculateViewport##",	//409
    "canBeExtracted",	//410
    "canBeMoved",	//411
    "canBeSpellChecked",	//412
    "canConfigurePrinter",	//413
    "canExportToText",	//414
    "canGeneratePixmap",	//415
    "canGenerateTextPage",	//416
    "canModifyPageAnnotation",	//417
    "canModifyPageAnnotation#",	//418
    "canProvideFontInformation",	//419
    "canRedo",	//420
    "canRedoChanged",	//421
    "canRedoChanged$",	//422
    "canRemovePageAnnotation",	//423
    "canRemovePageAnnotation#",	//424
    "canSaveChanges",	//425
    "canSaveChanges$",	//426
    "canUndo",	//427
    "canUndoChanged",	//428
    "canUndoChanged$",	//429
    "cancelSearch",	//430
    "caption",	//431
    "caretSymbol",	//432
    "center",	//433
    "channels",	//434
    "childEvent",	//435
    "choiceType",	//436
    "choices",	//437
    "close",	//438
    "closeDocument",	//439
    "column",	//440
    "componentData",	//441
    "configurableGenerators",	//442
    "connectNotify",	//443
    "contains",	//444
    "contains$$",	//445
    "contains$$$$",	//446
    "contents",	//447
    "continueSearch",	//448
    "continueSearch$",	//449
    "continueSearch$$",	//450
    "convert",	//451
    "convert$",	//452
    "convertWithPassword",	//453
    "convertWithPassword$$",	//454
    "copies",	//455
    "copies#$",	//456
    "createAnnotation",	//457
    "createAnnotation#",	//458
    "creationDate",	//459
    "cupsAvailable",	//460
    "cupsOptions",	//461
    "cupsOptions#$",	//462
    "currentChoices",	//463
    "currentDocument",	//464
    "currentPage",	//465
    "customEvent",	//466
    "d_func",	//467
    "data",	//468
    "deleteAnnotations",	//469
    "deleteFile",	//470
    "deleteFile#$$",	//471
    "deletePixmap",	//472
    "deletePixmap#",	//473
    "deletePixmaps",	//474
    "deleteRects",	//475
    "deleteSourceReferences",	//476
    "description",	//477
    "destViewport",	//478
    "destination",	//479
    "destination#$",	//480
    "destinationName",	//481
    "detectCupsConfig",	//482
    "detectCupsService",	//483
    "direction",	//484
    "disconnectNotify",	//485
    "distanceSqr",	//486
    "distanceSqr$$$$",	//487
    "distanceSqr$$$$##",	//488
    "doCloseDocument",	//489
    "doPrintFiles",	//490
    "doPrintFiles#?$$$$",	//491
    "document",	//492
    "documentActionType",	//493
    "documentInfo",	//494
    "documentInfo?",	//495
    "documentMetaData",	//496
    "documentMetaData$",	//497
    "documentMetaData$#",	//498
    "documentSynopsis",	//499
    "domDocument",	//500
    "dpi",	//501
    "dpiX",	//502
    "dpiY",	//503
    "duration",	//504
    "dynamicSourceReference",	//505
    "dynamicSourceReference$$$",	//506
    "editChoice",	//507
    "editFormButtons",	//508
    "editFormButtons$??",	//509
    "editFormCombo",	//510
    "editFormCombo$#$$$$",	//511
    "editFormList",	//512
    "editFormList$#?",	//513
    "editFormText",	//514
    "editFormText$#$$$$",	//515
    "editPageAnnotationContents",	//516
    "editPageAnnotationContents$#$$$$",	//517
    "embedType",	//518
    "embeddedFile",	//519
    "embeddedFiles",	//520
    "error",	//521
    "error$$",	//522
    "event",	//523
    "eventFilter",	//524
    "exportFormats",	//525
    "exportTo",	//526
    "exportTo$#",	//527
    "exportToText",	//528
    "exportToText$",	//529
    "file",	//530
    "fileIconName",	//531
    "fileName",	//532
    "fillConfigDialog",	//533
    "fillConfigDialog#",	//534
    "findChildElement",	//535
    "findChildElement#$",	//536
    "findText",	//537
    "findText$$$$",	//538
    "findText$$$$#",	//539
    "flags",	//540
    "fontData",	//541
    "fontData#",	//542
    "fontReadingEnded",	//543
    "fontReadingProgress",	//544
    "fontReadingProgress$",	//545
    "fontsForPage",	//546
    "fontsForPage$",	//547
    "formButtonsChangedByUndoRedo",	//548
    "formButtonsChangedByUndoRedo$?",	//549
    "formComboChangedByUndoRedo",	//550
    "formComboChangedByUndoRedo$#$$$",	//551
    "formFields",	//552
    "formListChangedByUndoRedo",	//553
    "formListChangedByUndoRedo$#?",	//554
    "formTextChangedByUndoRedo",	//555
    "formTextChangedByUndoRedo$#$$$",	//556
    "fromQRectF",	//557
    "fromQRectF#",	//558
    "generalSettings",	//559
    "generateDocumentInfo",	//560
    "generateDocumentInfo?",	//561
    "generateDocumentSynopsis",	//562
    "generatePixmap",	//563
    "generatePixmap#",	//564
    "generateTextPage",	//565
    "generateTextPage#",	//566
    "generator",	//567
    "geometricalInnerColor",	//568
    "geometricalType",	//569
    "geometry",	//570
    "geometry$$",	//571
    "get",	//572
    "get$",	//573
    "getAnnotationPropertiesDomNode",	//574
    "getKeyFromString",	//575
    "getKeyFromString$",	//576
    "getKeyString",	//577
    "getKeyString$",	//578
    "getKeyTitle",	//579
    "getKeyTitle$",	//580
    "gotFont",	//581
    "gotFont#",	//582
    "guiClient",	//583
    "hasAnnotations",	//584
    "hasFeature",	//585
    "hasFeature$",	//586
    "hasHighlights",	//587
    "hasHighlights$",	//588
    "hasObjectRect",	//589
    "hasObjectRect$$$$",	//590
    "hasPixmap",	//591
    "hasPixmap#",	//592
    "hasPixmap#$",	//593
    "hasPixmap#$$",	//594
    "hasPixmap#$$#",	//595
    "hasTextPage",	//596
    "hasTilesManager",	//597
    "hasTilesManager#",	//598
    "hasTransition",	//599
    "height",	//600
    "highlightQuads",	//601
    "highlightType",	//602
    "historyAtBegin",	//603
    "historyAtEnd",	//604
    "icon",	//605
    "id",	//606
    "image",	//607
    "image#",	//608
    "imageBoundingBox",	//609
    "imageBoundingBox#",	//610
    "inkPaths",	//611
    "inplaceAlignment",	//612
    "inplaceCallout",	//613
    "inplaceCallout$",	//614
    "inplaceIntent",	//615
    "intersects",	//616
    "intersects#",	//617
    "intersects$$$$",	//618
    "isAllowed",	//619
    "isAllowed$",	//620
    "isBottom",	//621
    "isBottom#",	//622
    "isBottomOrLevel",	//623
    "isBottomOrLevel#",	//624
    "isBoundingBoxKnown",	//625
    "isEditable",	//626
    "isExternal",	//627
    "isLeft",	//628
    "isLeft#",	//629
    "isNull",	//630
    "isOpened",	//631
    "isPassword",	//632
    "isReadOnly",	//633
    "isRectangular",	//634
    "isRichText",	//635
    "isRight",	//636
    "isRight#",	//637
    "isTile",	//638
    "isTop",	//639
    "isTop#",	//640
    "isTopOrLevel",	//641
    "isTopOrLevel#",	//642
    "isValid",	//643
    "isVisible",	//644
    "jobname",	//645
    "jobname#$",	//646
    "keys",	//647
    "label",	//648
    "left",	//649
    "lineClosed",	//650
    "lineEndStyle",	//651
    "lineInnerColor",	//652
    "lineIntent",	//653
    "lineLeadingBackwardPoint",	//654
    "lineLeadingForwardPoint",	//655
    "linePoints",	//656
    "lineStartStyle",	//657
    "linkEndPresentation",	//658
    "linkFind",	//659
    "linkGoToPage",	//660
    "linkPresentation",	//661
    "loadDocument",	//662
    "loadDocument$?",	//663
    "loadDocumentFromData",	//664
    "loadDocumentFromData#?",	//665
    "loadDocumentFromDataWithPassword",	//666
    "loadDocumentFromDataWithPassword#?$",	//667
    "loadDocumentWithPassword",	//668
    "loadDocumentWithPassword$?$",	//669
    "localXMLFile",	//670
    "m_object",	//671
    "m_objectType",	//672
    "m_path",	//673
    "m_transformedPath",	//674
    "maximumLength",	//675
    "mediaPageSize",	//676
    "mediaPageSize#",	//677
    "mediaPaperSource",	//678
    "mediaPaperSource#",	//679
    "metaData",	//680
    "metaData$",	//681
    "metaData$#",	//682
    "metaObject",	//683
    "mimeType",	//684
    "mix",	//685
    "modificationDate",	//686
    "modifyPageAnnotationProperties",	//687
    "modifyPageAnnotationProperties$#",	//688
    "muLaw",	//689
    "multiSelect",	//690
    "name",	//691
    "nativeId",	//692
    "nearestObjectRect",	//693
    "nearestObjectRect$$$$$$",	//694
    "normalizedRect",	//695
    "notice",	//696
    "notice$$",	//697
    "number",	//698
    "object",	//699
    "objectRect",	//700
    "objectRect$$$$$",	//701
    "objectRects",	//702
    "objectRects$$$$$",	//703
    "objectType",	//704
    "observer",	//705
    "openDialogAfterCreation",	//706
    "openDocument",	//707
    "openDocument$#?",	//708
    "openDocument$#?$",	//709
    "openDocumentArchive",	//710
    "openDocumentArchive$#",	//711
    "openDocumentArchive$#$",	//712
    "openUrl",	//713
    "openUrl#",	//714
    "operator!=",	//715
    "operator!=#",	//716
    "operator&",	//717
    "operator&#",	//718
    "operator<",	//719
    "operator<#",	//720
    "operator=",	//721
    "operator=#",	//722
    "operator==",	//723
    "operator==#",	//724
    "operator|",	//725
    "operator|#",	//726
    "operator|=",	//727
    "operator|=#",	//728
    "optionCollateCopies",	//729
    "optionCollateCopies#",	//730
    "optionCupsProperties",	//731
    "optionCupsProperties#",	//732
    "optionDoubleSidedPrinting",	//733
    "optionDoubleSidedPrinting#",	//734
    "optionMedia",	//735
    "optionMedia#",	//736
    "optionOrientation",	//737
    "optionOrientation#$",	//738
    "optionPageMargins",	//739
    "optionPageMargins#",	//740
    "optionPageOrder",	//741
    "optionPageOrder#",	//742
    "orientation",	//743
    "page",	//744
    "page$",	//745
    "pageAction",	//746
    "pageAction$",	//747
    "pageList",	//748
    "pageList#$$?",	//749
    "pageList#$?",	//750
    "pageListToPageRange",	//751
    "pageListToPageRange?",	//752
    "pageNumber",	//753
    "pageRange",	//754
    "pageRange#$?",	//755
    "pageSizeChanged",	//756
    "pageSizeChanged##",	//757
    "pageSizeString",	//758
    "pageSizeString$",	//759
    "pageSizes",	//760
    "pages",	//761
    "pages#$$$$",	//762
    "pagesSizeMetric",	//763
    "parameters",	//764
    "pdf2psAvailable",	//765
    "pixmap",	//766
    "preload",	//767
    "prepareToModifyAnnotationProperties",	//768
    "prepareToModifyAnnotationProperties#",	//769
    "print",	//770
    "print#",	//771
    "printArguments",	//772
    "printArguments#$$$$$$",	//773
    "printConfigurationWidget",	//774
    "printError",	//775
    "printError$",	//776
    "printFile",	//777
    "printFile#$$",	//778
    "printFile#$$$",	//779
    "printFile#$$$$",	//780
    "printFile#$$$$$",	//781
    "printingSupport",	//782
    "priority",	//783
    "processAction",	//784
    "processAction#",	//785
    "processMovieAction",	//786
    "processMovieAction#",	//787
    "processRenditionAction",	//788
    "processRenditionAction#",	//789
    "processSourceReference",	//790
    "processSourceReference#",	//791
    "ps2pdfAvailable",	//792
    "psPaperSize",	//793
    "psPaperSize#",	//794
    "qt_metacall",	//795
    "qt_metacall$$?",	//796
    "qt_metacast",	//797
    "qt_metacast$",	//798
    "quit",	//799
    "ratio",	//800
    "realDpi",	//801
    "realDpi#",	//802
    "realDpiX",	//803
    "realDpiY",	//804
    "rect",	//805
    "redo",	//806
    "region",	//807
    "registerView",	//808
    "registerView#",	//809
    "removeAnnotation",	//810
    "removeAnnotation#",	//811
    "removeObserver",	//812
    "removeObserver#",	//813
    "removePageAnnotation",	//814
    "removePageAnnotation$#",	//815
    "removePageAnnotations",	//816
    "removePageAnnotations$?",	//817
    "reparseConfig",	//818
    "repeat",	//819
    "requestFontData",	//820
    "requestFontData##",	//821
    "requestPixmaps",	//822
    "requestPixmaps?",	//823
    "requestPixmaps?$",	//824
    "requestTextPage",	//825
    "requestTextPage$",	//826
    "resetSearch",	//827
    "resetSearch$",	//828
    "revisions",	//829
    "right",	//830
    "rotateRect",	//831
    "rotateRect#$$$",	//832
    "rotation",	//833
    "rotationChanged",	//834
    "rotationChanged$$",	//835
    "roundedGeometry",	//836
    "roundedGeometry$$",	//837
    "row",	//838
    "samplingRate",	//839
    "saveChanges",	//840
    "saveChanges$",	//841
    "saveChanges$$",	//842
    "saveDocumentArchive",	//843
    "saveDocumentArchive$",	//844
    "scale",	//845
    "script",	//846
    "scriptType",	//847
    "searchFinished",	//848
    "searchFinished$$",	//849
    "searchText",	//850
    "searchText$$$$$$#",	//851
    "set",	//852
    "set$$",	//853
    "set$$$",	//854
    "setActivationAction",	//855
    "setActivationAction#",	//856
    "setAlignment",	//857
    "setAlignment$",	//858
    "setAngle",	//859
    "setAngle$",	//860
    "setAnnotationEditingEnabled",	//861
    "setAnnotationEditingEnabled$",	//862
    "setAnnotationProperties",	//863
    "setAnnotationProperties#",	//864
    "setAuthor",	//865
    "setAuthor$",	//866
    "setBitsPerSample",	//867
    "setBitsPerSample$",	//868
    "setBottom",	//869
    "setBottom$",	//870
    "setBoundingBox",	//871
    "setBoundingBox#",	//872
    "setBoundingRectangle",	//873
    "setBoundingRectangle#",	//874
    "setCanBeExtracted",	//875
    "setCanBeExtracted$",	//876
    "setCaretSymbol",	//877
    "setCaretSymbol$",	//878
    "setChannels",	//879
    "setChannels$",	//880
    "setComponentData",	//881
    "setContents",	//882
    "setContents$",	//883
    "setCreationDate",	//884
    "setCreationDate#",	//885
    "setCurrentChoices",	//886
    "setCurrentChoices?",	//887
    "setDOMDocument",	//888
    "setDPI",	//889
    "setDPI#",	//890
    "setDirection",	//891
    "setDirection$",	//892
    "setDisposeDataFunction",	//893
    "setDisposeDataFunction$",	//894
    "setDocument",	//895
    "setDocument#",	//896
    "setDuration",	//897
    "setDuration$",	//898
    "setEditChoice",	//899
    "setEditChoice$",	//900
    "setEmbedType",	//901
    "setEmbedType$",	//902
    "setEmbeddedFile",	//903
    "setEmbeddedFile#",	//904
    "setFeature",	//905
    "setFeature$",	//906
    "setFeature$$",	//907
    "setFile",	//908
    "setFile$",	//909
    "setFileIconName",	//910
    "setFileIconName$",	//911
    "setFlags",	//912
    "setFlags$",	//913
    "setFormFields",	//914
    "setFormFields?",	//915
    "setGeometricalInnerColor",	//916
    "setGeometricalInnerColor#",	//917
    "setGeometricalType",	//918
    "setGeometricalType$",	//919
    "setHighlightType",	//920
    "setHighlightType$",	//921
    "setInkPaths",	//922
    "setInkPaths?",	//923
    "setInplaceAlignment",	//924
    "setInplaceAlignment$",	//925
    "setInplaceCallout",	//926
    "setInplaceCallout#$",	//927
    "setInplaceIntent",	//928
    "setInplaceIntent$",	//929
    "setIsRectangular",	//930
    "setIsRectangular$",	//931
    "setLabel",	//932
    "setLabel$",	//933
    "setLeft",	//934
    "setLeft$",	//935
    "setLineClosed",	//936
    "setLineClosed$",	//937
    "setLineEndStyle",	//938
    "setLineEndStyle$",	//939
    "setLineInnerColor",	//940
    "setLineInnerColor#",	//941
    "setLineIntent",	//942
    "setLineIntent$",	//943
    "setLineLeadingBackwardPoint",	//944
    "setLineLeadingBackwardPoint$",	//945
    "setLineLeadingForwardPoint",	//946
    "setLineLeadingForwardPoint$",	//947
    "setLinePoints",	//948
    "setLinePoints?",	//949
    "setLineStartStyle",	//950
    "setLineStartStyle$",	//951
    "setLocalXMLFile",	//952
    "setM_object",	//953
    "setM_object$",	//954
    "setM_objectType",	//955
    "setM_objectType$",	//956
    "setM_path",	//957
    "setM_path#",	//958
    "setM_transformedPath",	//959
    "setM_transformedPath#",	//960
    "setModificationDate",	//961
    "setModificationDate#",	//962
    "setName",	//963
    "setName$",	//964
    "setNativeId",	//965
    "setNativeId#",	//966
    "setNextDocumentDestination",	//967
    "setNextDocumentDestination$",	//968
    "setNextDocumentViewport",	//969
    "setNextDocumentViewport#",	//970
    "setNextViewport",	//971
    "setNormalizedRect",	//972
    "setNormalizedRect#",	//973
    "setObjectRects",	//974
    "setObjectRects?",	//975
    "setPageAction",	//976
    "setPageAction$#",	//977
    "setPageNumber",	//978
    "setPageNumber$",	//979
    "setPageSize",	//980
    "setPageSize#",	//981
    "setPageTextSelection",	//982
    "setPageTextSelection$##",	//983
    "setPixmap",	//984
    "setPixmap##",	//985
    "setPixmap###",	//986
    "setPrevViewport",	//987
    "setRect",	//988
    "setRect#",	//989
    "setRight",	//990
    "setRight$",	//991
    "setRotation",	//992
    "setRotation$",	//993
    "setSamplingRate",	//994
    "setSamplingRate$",	//995
    "setScale",	//996
    "setScale$",	//997
    "setShowCaption",	//998
    "setShowCaption$",	//999
    "setSound",	//1000
    "setSound#",	//1001
    "setSoundEncoding",	//1002
    "setSoundEncoding$",	//1003
    "setSoundIconName",	//1004
    "setSoundIconName$",	//1005
    "setSourceReferences",	//1006
    "setSourceReferences?",	//1007
    "setStampIconName",	//1008
    "setStampIconName$",	//1009
    "setState",	//1010
    "setState$",	//1011
    "setText",	//1012
    "setText$",	//1013
    "setTextFont",	//1014
    "setTextFont#",	//1015
    "setTextIcon",	//1016
    "setTextIcon$",	//1017
    "setTextPage",	//1018
    "setTextPage#",	//1019
    "setTextType",	//1020
    "setTextType$",	//1021
    "setTile",	//1022
    "setTile$",	//1023
    "setTop",	//1024
    "setTop$",	//1025
    "setTransition",	//1026
    "setTransition#",	//1027
    "setType",	//1028
    "setType$",	//1029
    "setUniqueName",	//1030
    "setUniqueName$",	//1031
    "setViewport",	//1032
    "setViewport#",	//1033
    "setViewport##",	//1034
    "setViewport##$",	//1035
    "setViewportPage",	//1036
    "setViewportPage$",	//1037
    "setViewportPage$#",	//1038
    "setViewportPage$#$",	//1039
    "setVisiblePageRects",	//1040
    "setVisiblePageRects?",	//1041
    "setVisiblePageRects?#",	//1042
    "setX",	//1043
    "setX$",	//1044
    "setXML",	//1045
    "setXMLFile",	//1046
    "setY",	//1047
    "setY$",	//1048
    "setZoom",	//1049
    "setZoom$",	//1050
    "setZoom$#",	//1051
    "showCaption",	//1052
    "siblings",	//1053
    "signalPixmapRequestDone",	//1054
    "signalPixmapRequestDone#",	//1055
    "signalTextGenerationDone",	//1056
    "signalTextGenerationDone##",	//1057
    "size",	//1058
    "sound",	//1059
    "soundEncoding",	//1060
    "soundIconName",	//1061
    "soundType",	//1062
    "sourceReferenceActivated",	//1063
    "sourceReferenceActivated$$$$",	//1064
    "stampIconName",	//1065
    "standardFormat",	//1066
    "standardFormat$",	//1067
    "startFontReading",	//1068
    "state",	//1069
    "stateChanged",	//1070
    "staticMetaObject",	//1071
    "stopFontReading",	//1072
    "store",	//1073
    "store##",	//1074
    "storeAnnotation",	//1075
    "storeAnnotation###",	//1076
    "style",	//1077
    "subType",	//1078
    "supportedMimeTypes",	//1079
    "supportsPageSizes",	//1080
    "supportsPrintToFile",	//1081
    "supportsSearching",	//1082
    "supportsTiles",	//1083
    "synchronous",	//1084
    "text",	//1085
    "text#",	//1086
    "text#$",	//1087
    "textAlignment",	//1088
    "textArea",	//1089
    "textArea#",	//1090
    "textFont",	//1091
    "textIcon",	//1092
    "textPage",	//1093
    "textPage#",	//1094
    "textSelection",	//1095
    "textSelectionColor",	//1096
    "textType",	//1097
    "tilesAt",	//1098
    "tilesAt##",	//1099
    "timerEvent",	//1100
    "toString",	//1101
    "top",	//1102
    "totalOrientation",	//1103
    "tr",	//1104
    "tr$",	//1105
    "tr$$",	//1106
    "tr$$$",	//1107
    "trUtf8",	//1108
    "trUtf8$",	//1109
    "trUtf8$$",	//1110
    "trUtf8$$$",	//1111
    "transform",	//1112
    "transform#",	//1113
    "transformedArea",	//1114
    "transformedArea#",	//1115
    "transformedBoundingRectangle",	//1116
    "transformedInkPaths",	//1117
    "transformedInplaceCallout",	//1118
    "transformedInplaceCallout$",	//1119
    "transformedLinePoints",	//1120
    "transition",	//1121
    "translate",	//1122
    "translate#",	//1123
    "translatePageAnnotation",	//1124
    "translatePageAnnotation$##",	//1125
    "type",	//1126
    "uiName",	//1127
    "undo",	//1128
    "uniqueName",	//1129
    "unregisterView",	//1130
    "unregisterView#",	//1131
    "updatePageBoundingBox",	//1132
    "updatePageBoundingBox$#",	//1133
    "url",	//1134
    "userMutex",	//1135
    "viewport",	//1136
    "virtual_hook",	//1137
    "visiblePageRects",	//1138
    "volume",	//1139
    "walletDataForFile",	//1140
    "walletDataForFile$$$$",	//1141
    "warning",	//1142
    "warning$$",	//1143
    "width",	//1144
    "window",	//1145
    "wordAt",	//1146
    "wordAt#",	//1147
    "wordAt#$",	//1148
    "words",	//1149
    "words#$",	//1150
    "x",	//1151
    "xmlFile",	//1152
    "y",	//1153
    "~Action",	//1154
    "~Annotation",	//1155
    "~AnnotationObjectRect",	//1156
    "~AnnotationUtils",	//1157
    "~BrowseAction",	//1158
    "~CaretAnnotation",	//1159
    "~ConfigInterface",	//1160
    "~Document",	//1161
    "~DocumentAction",	//1162
    "~DocumentInfo",	//1163
    "~DocumentSynopsis",	//1164
    "~DocumentViewport",	//1165
    "~EmbeddedFile",	//1166
    "~ExecuteAction",	//1167
    "~ExportFormat",	//1168
    "~FileAttachmentAnnotation",	//1169
    "~FilePrinter",	//1170
    "~FontInfo",	//1171
    "~FormField",	//1172
    "~FormFieldButton",	//1173
    "~FormFieldChoice",	//1174
    "~FormFieldText",	//1175
    "~Generator",	//1176
    "~GeomAnnotation",	//1177
    "~GotoAction",	//1178
    "~GuiInterface",	//1179
    "~HighlightAnnotation",	//1180
    "~InkAnnotation",	//1181
    "~LineAnnotation",	//1182
    "~NormalizedPoint",	//1183
    "~NormalizedRect",	//1184
    "~ObjectRect",	//1185
    "~Page",	//1186
    "~PageSize",	//1187
    "~PageTransition",	//1188
    "~PixmapRequest",	//1189
    "~PrintInterface",	//1190
    "~RegularAreaRect",	//1191
    "~ScriptAction",	//1192
    "~Sound",	//1193
    "~SoundAction",	//1194
    "~SoundAnnotation",	//1195
    "~SourceRefObjectRect",	//1196
    "~SourceReference",	//1197
    "~StampAnnotation",	//1198
    "~TextAnnotation",	//1199
    "~TextDocumentConverter",	//1200
    "~TextDocumentGenerator",	//1201
    "~TextEntity",	//1202
    "~TextPage",	//1203
    "~Tile",	//1204
    "~Utils",	//1205
    "~VisiblePageRect",	//1206
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 363, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 151, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {7, 364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {7, 441, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//3 KXMLGUIClient::componentData() const
    {7, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 0},	//4 KXMLGUIClient::domDocument() const
    {7, 1152, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 0},	//5 KXMLGUIClient::xmlFile() const
    {7, 670, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 0},	//6 KXMLGUIClient::localXMLFile() const
    {7, 881, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {7, 1046, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {7, 952, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {7, 1045, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {7, 888, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {7, 1070, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {7, 1137, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {7, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {7, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {8, 366, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 14, 1},	//16 Okular::Action::actionType() const [pure virtual]
    {8, 365, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 2},	//17 Okular::Action::actionTip() const
    {8, 965, 23, 1, 0, 0, 3},	//18 Okular::Action::setNativeId(const QVariant&)
    {8, 692, 0, 0, Smoke::mf_const, 203, 4},	//19 Okular::Action::nativeId() const
    {8, 16, 25, 1, Smoke::mf_ctor|Smoke::mf_protected, 13, 5},	//20 Okular::Action::Action(Okular::ActionPrivate&)
    {8, 467, 0, 0, Smoke::mf_protected, 16, 6},	//21 Okular::Action::d_func()
    {8, 467, 0, 0, Smoke::mf_const|Smoke::mf_protected, 287, 7},	//22 Okular::Action::d_func() const
    {8, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 8},	//23 Okular::Action::Goto (enum)
    {8, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 9},	//24 Okular::Action::Execute (enum)
    {8, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 10},	//25 Okular::Action::Browse (enum)
    {8, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 11},	//26 Okular::Action::DocAction (enum)
    {8, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 12},	//27 Okular::Action::Sound (enum)
    {8, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 13},	//28 Okular::Action::Movie (enum)
    {8, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 14},	//29 Okular::Action::Script (enum)
    {8, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 15},	//30 Okular::Action::Rendition (enum)
    {8, 1154, 0, 0, Smoke::mf_dtor, 0, 16 },	//31 Okular::Action::~Action()
    {10, 865, 9, 1, 0, 0, 1},	//32 Okular::Annotation::setAuthor(const QString&)
    {10, 397, 0, 0, Smoke::mf_const, 196, 2},	//33 Okular::Annotation::author() const
    {10, 882, 9, 1, 0, 0, 3},	//34 Okular::Annotation::setContents(const QString&)
    {10, 447, 0, 0, Smoke::mf_const, 196, 4},	//35 Okular::Annotation::contents() const
    {10, 1030, 9, 1, 0, 0, 5},	//36 Okular::Annotation::setUniqueName(const QString&)
    {10, 1129, 0, 0, Smoke::mf_const, 196, 6},	//37 Okular::Annotation::uniqueName() const
    {10, 961, 27, 1, 0, 0, 7},	//38 Okular::Annotation::setModificationDate(const QDateTime&)
    {10, 686, 0, 0, Smoke::mf_const, 157, 8},	//39 Okular::Annotation::modificationDate() const
    {10, 884, 27, 1, 0, 0, 9},	//40 Okular::Annotation::setCreationDate(const QDateTime&)
    {10, 459, 0, 0, Smoke::mf_const, 157, 10},	//41 Okular::Annotation::creationDate() const
    {10, 912, 29, 1, 0, 0, 11},	//42 Okular::Annotation::setFlags(int)
    {10, 540, 0, 0, Smoke::mf_const, 370, 12},	//43 Okular::Annotation::flags() const
    {10, 873, 31, 1, 0, 0, 13},	//44 Okular::Annotation::setBoundingRectangle(const Okular::NormalizedRect&)
    {10, 406, 0, 0, Smoke::mf_const, 102, 14},	//45 Okular::Annotation::boundingRectangle() const
    {10, 1116, 0, 0, Smoke::mf_const, 102, 15},	//46 Okular::Annotation::transformedBoundingRectangle() const
    {10, 1122, 33, 1, 0, 0, 16},	//47 Okular::Annotation::translate(const Okular::NormalizedPoint&)
    {10, 1077, 0, 0, 0, 25, 17},	//48 Okular::Annotation::style()
    {10, 1077, 0, 0, Smoke::mf_const, 289, 18},	//49 Okular::Annotation::style() const
    {10, 1145, 0, 0, 0, 27, 19},	//50 Okular::Annotation::window()
    {10, 1145, 0, 0, Smoke::mf_const, 290, 20},	//51 Okular::Annotation::window() const
    {10, 829, 0, 0, 0, 171, 21},	//52 Okular::Annotation::revisions()
    {10, 829, 0, 0, Smoke::mf_const, 335, 22},	//53 Okular::Annotation::revisions() const
    {10, 965, 23, 1, 0, 0, 23},	//54 Okular::Annotation::setNativeId(const QVariant&)
    {10, 692, 0, 0, Smoke::mf_const, 203, 24},	//55 Okular::Annotation::nativeId() const
    {10, 893, 35, 1, 0, 0, 25},	//56 Okular::Annotation::setDisposeDataFunction(void(*)(const Okular::Annotation*))
    {10, 411, 0, 0, Smoke::mf_const, 279, 26},	//57 Okular::Annotation::canBeMoved() const
    {10, 706, 0, 0, Smoke::mf_const, 279, 27},	//58 Okular::Annotation::openDialogAfterCreation() const
    {10, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 26, 28},	//59 Okular::Annotation::subType() const [pure virtual]
    {10, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 29},	//60 Okular::Annotation::store(QDomNode&, QDomDocument&) const
    {10, 574, 0, 0, Smoke::mf_const, 162, 30},	//61 Okular::Annotation::getAnnotationPropertiesDomNode() const
    {10, 863, 40, 1, 0, 0, 31},	//62 Okular::Annotation::setAnnotationProperties(const QDomNode&)
    {10, 19, 42, 1, Smoke::mf_ctor|Smoke::mf_protected, 17, 32},	//63 Okular::Annotation::Annotation(Okular::AnnotationPrivate&)
    {10, 19, 44, 2, Smoke::mf_ctor|Smoke::mf_protected, 17, 33},	//64 Okular::Annotation::Annotation(Okular::AnnotationPrivate&, const QDomNode&)
    {10, 467, 0, 0, Smoke::mf_protected, 30, 34},	//65 Okular::Annotation::d_func()
    {10, 467, 0, 0, Smoke::mf_const|Smoke::mf_protected, 292, 35},	//66 Okular::Annotation::d_func() const
    {10, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 36},	//67 Okular::Annotation::AText (enum)
    {10, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 37},	//68 Okular::Annotation::ALine (enum)
    {10, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 38},	//69 Okular::Annotation::AGeom (enum)
    {10, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 39},	//70 Okular::Annotation::AHighlight (enum)
    {10, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 40},	//71 Okular::Annotation::AStamp (enum)
    {10, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 41},	//72 Okular::Annotation::AInk (enum)
    {10, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 42},	//73 Okular::Annotation::ACaret (enum)
    {10, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 43},	//74 Okular::Annotation::AFileAttachment (enum)
    {10, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 44},	//75 Okular::Annotation::ASound (enum)
    {10, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 45},	//76 Okular::Annotation::AMovie (enum)
    {10, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 46},	//77 Okular::Annotation::AScreen (enum)
    {10, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 47},	//78 Okular::Annotation::AWidget (enum)
    {10, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 48},	//79 Okular::Annotation::A_BASE (enum)
    {10, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 49},	//80 Okular::Annotation::Hidden (enum)
    {10, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 50},	//81 Okular::Annotation::FixedSize (enum)
    {10, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 51},	//82 Okular::Annotation::FixedRotation (enum)
    {10, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 52},	//83 Okular::Annotation::DenyPrint (enum)
    {10, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 53},	//84 Okular::Annotation::DenyWrite (enum)
    {10, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 54},	//85 Okular::Annotation::DenyDelete (enum)
    {10, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 55},	//86 Okular::Annotation::ToggleHidingOnMouse (enum)
    {10, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 56},	//87 Okular::Annotation::External (enum)
    {10, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 57},	//88 Okular::Annotation::ExternallyDrawn (enum)
    {10, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 58},	//89 Okular::Annotation::BeingMoved (enum)
    {10, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 59},	//90 Okular::Annotation::Solid (enum)
    {10, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//91 Okular::Annotation::Dashed (enum)
    {10, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//92 Okular::Annotation::Beveled (enum)
    {10, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 62},	//93 Okular::Annotation::Inset (enum)
    {10, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 63},	//94 Okular::Annotation::Underline (enum)
    {10, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 64},	//95 Okular::Annotation::NoEffect (enum)
    {10, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 65},	//96 Okular::Annotation::Cloudy (enum)
    {10, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 66},	//97 Okular::Annotation::Reply (enum)
    {10, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 67},	//98 Okular::Annotation::Group (enum)
    {10, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 68},	//99 Okular::Annotation::Delete (enum)
    {10, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 69},	//100 Okular::Annotation::None (enum)
    {10, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 70},	//101 Okular::Annotation::Marked (enum)
    {10, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 71},	//102 Okular::Annotation::Unmarked (enum)
    {10, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 72},	//103 Okular::Annotation::Accepted (enum)
    {10, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 73},	//104 Okular::Annotation::Rejected (enum)
    {10, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 74},	//105 Okular::Annotation::Cancelled (enum)
    {10, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 75},	//106 Okular::Annotation::Completed (enum)
    {10, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 76},	//107 Okular::Annotation::PageOpening (enum)
    {10, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 77},	//108 Okular::Annotation::PageClosing (enum)
    {10, 1155, 0, 0, Smoke::mf_dtor, 0, 78 },	//109 Okular::Annotation::~Annotation()
    {14, 22, 47, 1, Smoke::mf_ctor, 28, 1},	//110 Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    {14, 387, 0, 0, Smoke::mf_const, 17, 2},	//111 Okular::AnnotationObjectRect::annotation() const
    {14, 404, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 192, 3},	//112 Okular::AnnotationObjectRect::boundingRect(double, double) const
    {14, 444, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 279, 4},	//113 Okular::AnnotationObjectRect::contains(double, double, double, double) const
    {14, 1112, 57, 1, Smoke::mf_virtual, 0, 5},	//114 Okular::AnnotationObjectRect::transform(const QTransform&)
    {14, 22, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 6},	//115 Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    {14, 1156, 0, 0, Smoke::mf_dtor, 0, 7 },	//116 Okular::AnnotationObjectRect::~AnnotationObjectRect()
    {16, 457, 1, 1, Smoke::mf_static, 17, 1},	//117 Okular::AnnotationUtils::createAnnotation(const QDomElement&)
    {16, 1075, 61, 3, Smoke::mf_static, 0, 2},	//118 Okular::AnnotationUtils::storeAnnotation(const Okular::Annotation*, QDomElement&, QDomDocument&)
    {16, 535, 65, 2, Smoke::mf_static, 160, 3},	//119 Okular::AnnotationUtils::findChildElement(const QDomNode&, const QString&)
    {16, 390, 68, 3, Smoke::mf_static, 192, 4},	//120 Okular::AnnotationUtils::annotationGeometry(const Okular::Annotation*, double, double)
    {16, 24, 0, 0, Smoke::mf_ctor, 31, 5},	//121 Okular::AnnotationUtils::AnnotationUtils()
    {16, 24, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 6},	//122 Okular::AnnotationUtils::AnnotationUtils(const Okular::AnnotationUtils&)
    {16, 1157, 0, 0, Smoke::mf_dtor, 0, 7 },	//123 Okular::AnnotationUtils::~AnnotationUtils()
    {18, 37, 9, 1, Smoke::mf_ctor, 33, 1},	//124 Okular::BrowseAction::BrowseAction(const QString&)
    {18, 366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//125 Okular::BrowseAction::actionType() const
    {18, 365, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 3},	//126 Okular::BrowseAction::actionTip() const
    {18, 1134, 0, 0, Smoke::mf_const, 196, 4},	//127 Okular::BrowseAction::url() const
    {18, 1158, 0, 0, Smoke::mf_dtor, 0, 5 },	//128 Okular::BrowseAction::~BrowseAction()
    {19, 47, 0, 0, Smoke::mf_ctor, 34, 1},	//129 Okular::CaretAnnotation::CaretAnnotation()
    {19, 47, 40, 1, Smoke::mf_ctor, 34, 2},	//130 Okular::CaretAnnotation::CaretAnnotation(const QDomNode&)
    {19, 877, 74, 1, 0, 0, 3},	//131 Okular::CaretAnnotation::setCaretSymbol(Okular::CaretAnnotation::CaretSymbol)
    {19, 432, 0, 0, Smoke::mf_const, 35, 4},	//132 Okular::CaretAnnotation::caretSymbol() const
    {19, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 5},	//133 Okular::CaretAnnotation::subType() const
    {19, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//134 Okular::CaretAnnotation::store(QDomNode&, QDomDocument&) const
    {19, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 7},	//135 Okular::CaretAnnotation::None (enum)
    {19, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 8},	//136 Okular::CaretAnnotation::P (enum)
    {19, 1159, 0, 0, Smoke::mf_dtor, 0, 9 },	//137 Okular::CaretAnnotation::~CaretAnnotation()
    {20, 818, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 279, 1},	//138 Okular::ConfigInterface::reparseConfig() [pure virtual]
    {20, 380, 76, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//139 Okular::ConfigInterface::addPages(KConfigDialog*) [pure virtual]
    {20, 60, 0, 0, Smoke::mf_ctor, 36, 3},	//140 Okular::ConfigInterface::ConfigInterface()
    {20, 60, 78, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 4},	//141 Okular::ConfigInterface::ConfigInterface(const Okular::ConfigInterface&)
    {20, 1160, 0, 0, Smoke::mf_dtor, 0, 5 },	//142 Okular::ConfigInterface::~ConfigInterface()
    {21, 683, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//143 Okular::Document::metaObject() const
    {21, 797, 80, 1, Smoke::mf_virtual, 373, 2},	//144 Okular::Document::qt_metacast(const char*)
    {21, 1104, 82, 2, Smoke::mf_static, 196, 3},	//145 Okular::Document::tr(const char*, const char*)
    {21, 1108, 82, 2, Smoke::mf_static, 196, 4},	//146 Okular::Document::trUtf8(const char*, const char*)
    {21, 1104, 85, 3, Smoke::mf_static, 196, 5},	//147 Okular::Document::tr(const char*, const char*, int)
    {21, 1108, 85, 3, Smoke::mf_static, 196, 6},	//148 Okular::Document::trUtf8(const char*, const char*, int)
    {21, 795, 89, 3, Smoke::mf_virtual, 370, 7},	//149 Okular::Document::qt_metacall(QMetaObject::Call, int, void**)
    {21, 77, 93, 1, Smoke::mf_ctor, 37, 8},	//150 Okular::Document::Document(QWidget*)
    {21, 707, 95, 4, 0, 38, 9},	//151 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&, const QString&)
    {21, 439, 0, 0, 0, 0, 10},	//152 Okular::Document::closeDocument()
    {21, 376, 100, 1, 0, 0, 11},	//153 Okular::Document::addObserver(Okular::DocumentObserver*)
    {21, 812, 100, 1, 0, 0, 12},	//154 Okular::Document::removeObserver(Okular::DocumentObserver*)
    {21, 818, 0, 0, 0, 0, 13},	//155 Okular::Document::reparseConfig()
    {21, 631, 0, 0, Smoke::mf_const, 279, 14},	//156 Okular::Document::isOpened() const
    {21, 494, 0, 0, Smoke::mf_const, 46, 15},	//157 Okular::Document::documentInfo() const
    {21, 494, 102, 1, Smoke::mf_const, 46, 16},	//158 Okular::Document::documentInfo(const QSet<Okular::DocumentInfo::Key>&) const
    {21, 499, 0, 0, Smoke::mf_const, 299, 17},	//159 Okular::Document::documentSynopsis() const
    {21, 1068, 0, 0, 0, 0, 18},	//160 Okular::Document::startFontReading()
    {21, 1072, 0, 0, 0, 0, 19},	//161 Okular::Document::stopFontReading()
    {21, 419, 0, 0, Smoke::mf_const, 279, 20},	//162 Okular::Document::canProvideFontInformation() const
    {21, 520, 0, 0, Smoke::mf_const, 342, 21},	//163 Okular::Document::embeddedFiles() const
    {21, 744, 29, 1, Smoke::mf_const, 314, 22},	//164 Okular::Document::page(int) const
    {21, 1136, 0, 0, Smoke::mf_const, 300, 23},	//165 Okular::Document::viewport() const
    {21, 1040, 104, 2, 0, 0, 24},	//166 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&, Okular::DocumentObserver*)
    {21, 1138, 0, 0, Smoke::mf_const, 365, 25},	//167 Okular::Document::visiblePageRects() const
    {21, 465, 0, 0, Smoke::mf_const, 371, 26},	//168 Okular::Document::currentPage() const
    {21, 761, 0, 0, Smoke::mf_const, 371, 27},	//169 Okular::Document::pages() const
    {21, 464, 0, 0, Smoke::mf_const, 10, 28},	//170 Okular::Document::currentDocument() const
    {21, 619, 107, 1, Smoke::mf_const, 279, 29},	//171 Okular::Document::isAllowed(Okular::Permission) const
    {21, 1082, 0, 0, Smoke::mf_const, 279, 30},	//172 Okular::Document::supportsSearching() const
    {21, 1080, 0, 0, Smoke::mf_const, 279, 31},	//173 Okular::Document::supportsPageSizes() const
    {21, 1083, 0, 0, Smoke::mf_const, 279, 32},	//174 Okular::Document::supportsTiles() const
    {21, 760, 0, 0, Smoke::mf_const, 179, 33},	//175 Okular::Document::pageSizes() const
    {21, 414, 0, 0, Smoke::mf_const, 279, 34},	//176 Okular::Document::canExportToText() const
    {21, 528, 9, 1, Smoke::mf_const, 279, 35},	//177 Okular::Document::exportToText(const QString&) const
    {21, 525, 0, 0, Smoke::mf_const, 175, 36},	//178 Okular::Document::exportFormats() const
    {21, 526, 109, 2, Smoke::mf_const, 279, 37},	//179 Okular::Document::exportTo(const QString&, const Okular::ExportFormat&) const
    {21, 603, 0, 0, Smoke::mf_const, 279, 38},	//180 Okular::Document::historyAtBegin() const
    {21, 604, 0, 0, Smoke::mf_const, 279, 39},	//181 Okular::Document::historyAtEnd() const
    {21, 680, 112, 2, Smoke::mf_const, 203, 40},	//182 Okular::Document::metaData(const QString&, const QVariant&) const
    {21, 833, 0, 0, Smoke::mf_const, 123, 41},	//183 Okular::Document::rotation() const
    {21, 385, 0, 0, Smoke::mf_const, 195, 42},	//184 Okular::Document::allPagesSize() const
    {21, 758, 29, 1, Smoke::mf_const, 196, 43},	//185 Okular::Document::pageSizeString(int) const
    {21, 583, 0, 0, 0, 11, 44},	//186 Okular::Document::guiClient()
    {21, 1036, 115, 3, 0, 0, 45},	//187 Okular::Document::setViewportPage(int, Okular::DocumentObserver*, bool)
    {21, 1032, 119, 3, 0, 0, 46},	//188 Okular::Document::setViewport(const Okular::DocumentViewport&, Okular::DocumentObserver*, bool)
    {21, 987, 0, 0, 0, 0, 47},	//189 Okular::Document::setPrevViewport()
    {21, 971, 0, 0, 0, 0, 48},	//190 Okular::Document::setNextViewport()
    {21, 969, 123, 1, 0, 0, 49},	//191 Okular::Document::setNextDocumentViewport(const Okular::DocumentViewport&)
    {21, 967, 9, 1, 0, 0, 50},	//192 Okular::Document::setNextDocumentDestination(const QString&)
    {21, 1049, 125, 2, 0, 0, 51},	//193 Okular::Document::setZoom(int, Okular::DocumentObserver*)
    {21, 822, 128, 1, 0, 0, 52},	//194 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&)
    {21, 822, 130, 2, 0, 0, 53},	//195 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>)
    {21, 825, 133, 1, 0, 0, 54},	//196 Okular::Document::requestTextPage(unsigned int)
    {21, 378, 135, 2, 0, 0, 55},	//197 Okular::Document::addPageAnnotation(int, Okular::Annotation*)
    {21, 417, 138, 1, Smoke::mf_const, 279, 56},	//198 Okular::Document::canModifyPageAnnotation(const Okular::Annotation*) const
    {21, 768, 47, 1, 0, 0, 57},	//199 Okular::Document::prepareToModifyAnnotationProperties(Okular::Annotation*)
    {21, 687, 135, 2, 0, 0, 58},	//200 Okular::Document::modifyPageAnnotationProperties(int, Okular::Annotation*)
    {21, 1124, 140, 3, 0, 0, 59},	//201 Okular::Document::translatePageAnnotation(int, Okular::Annotation*, const Okular::NormalizedPoint&)
    {21, 516, 144, 6, 0, 0, 60},	//202 Okular::Document::editPageAnnotationContents(int, Okular::Annotation*, const QString&, int, int, int)
    {21, 423, 138, 1, Smoke::mf_const, 279, 61},	//203 Okular::Document::canRemovePageAnnotation(const Okular::Annotation*) const
    {21, 814, 135, 2, 0, 0, 62},	//204 Okular::Document::removePageAnnotation(int, Okular::Annotation*)
    {21, 816, 151, 2, 0, 0, 63},	//205 Okular::Document::removePageAnnotations(int, const QList<Okular::Annotation*>&)
    {21, 982, 154, 3, 0, 0, 64},	//206 Okular::Document::setPageTextSelection(int, Okular::RegularAreaRect*, const QColor&)
    {21, 427, 0, 0, Smoke::mf_const, 279, 65},	//207 Okular::Document::canUndo() const
    {21, 420, 0, 0, Smoke::mf_const, 279, 66},	//208 Okular::Document::canRedo() const
    {21, 850, 158, 7, 0, 0, 67},	//209 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&)
    {21, 448, 29, 1, 0, 0, 68},	//210 Okular::Document::continueSearch(int)
    {21, 448, 166, 2, 0, 0, 69},	//211 Okular::Document::continueSearch(int, Okular::Document::SearchType)
    {21, 827, 29, 1, 0, 0, 70},	//212 Okular::Document::resetSearch(int)
    {21, 399, 0, 0, Smoke::mf_const, 32, 71},	//213 Okular::Document::bookmarkManager() const
    {21, 784, 169, 1, 0, 0, 72},	//214 Okular::Document::processAction(const Okular::Action*)
    {21, 400, 0, 0, Smoke::mf_const, 184, 73},	//215 Okular::Document::bookmarkedPageList() const
    {21, 401, 0, 0, Smoke::mf_const, 196, 74},	//216 Okular::Document::bookmarkedPageRange() const
    {21, 790, 171, 1, 0, 0, 75},	//217 Okular::Document::processSourceReference(const Okular::SourceReference*)
    {21, 413, 0, 0, Smoke::mf_const, 279, 76},	//218 Okular::Document::canConfigurePrinter() const
    {21, 782, 0, 0, Smoke::mf_const, 40, 77},	//219 Okular::Document::printingSupport() const
    {21, 1081, 0, 0, Smoke::mf_const, 279, 78},	//220 Okular::Document::supportsPrintToFile() const
    {21, 770, 173, 1, 0, 279, 79},	//221 Okular::Document::print(QPrinter&)
    {21, 775, 0, 0, Smoke::mf_const, 196, 80},	//222 Okular::Document::printError() const
    {21, 774, 0, 0, Smoke::mf_const, 205, 81},	//223 Okular::Document::printConfigurationWidget() const
    {21, 533, 76, 1, 0, 0, 82},	//224 Okular::Document::fillConfigDialog(KConfigDialog*)
    {21, 442, 0, 0, Smoke::mf_const, 370, 83},	//225 Okular::Document::configurableGenerators() const
    {21, 1079, 0, 0, Smoke::mf_const, 198, 84},	//226 Okular::Document::supportedMimeTypes() const
    {21, 441, 0, 0, Smoke::mf_const, 282, 85},	//227 Okular::Document::componentData() const
    {21, 425, 175, 1, Smoke::mf_const, 279, 86},	//228 Okular::Document::canSaveChanges(Okular::Document::SaveCapability) const
    {21, 425, 0, 0, Smoke::mf_const, 279, 87},	//229 Okular::Document::canSaveChanges() const
    {21, 840, 9, 1, 0, 279, 88},	//230 Okular::Document::saveChanges(const QString&)
    {21, 840, 177, 2, 0, 279, 89},	//231 Okular::Document::saveChanges(const QString&, QString*)
    {21, 808, 180, 1, 0, 0, 90},	//232 Okular::Document::registerView(Okular::View*)
    {21, 1130, 180, 1, 0, 0, 91},	//233 Okular::Document::unregisterView(Okular::View*)
    {21, 541, 182, 1, Smoke::mf_const, 153, 92},	//234 Okular::Document::fontData(const Okular::FontInfo&) const
    {21, 710, 184, 3, 0, 38, 93},	//235 Okular::Document::openDocumentArchive(const QString&, const KUrl&, const QString&)
    {21, 843, 9, 1, 0, 279, 94},	//236 Okular::Document::saveDocumentArchive(const QString&)
    {21, 505, 188, 3, 0, 323, 95},	//237 Okular::Document::dynamicSourceReference(int, double, double)
    {21, 743, 0, 0, Smoke::mf_const, 191, 96},	//238 Okular::Document::orientation() const
    {21, 861, 192, 1, 0, 0, 97},	//239 Okular::Document::setAnnotationEditingEnabled(bool)
    {21, 1140, 194, 4, Smoke::mf_const, 0, 98},	//240 Okular::Document::walletDataForFile(const QString&, QString*, QString*, QString*) const
    {21, 992, 29, 1, Smoke::mf_slot, 0, 99},	//241 Okular::Document::setRotation(int)
    {21, 980, 199, 1, Smoke::mf_slot, 0, 100},	//242 Okular::Document::setPageSize(const Okular::PageSize&)
    {21, 430, 0, 0, Smoke::mf_slot, 0, 101},	//243 Okular::Document::cancelSearch()
    {21, 1128, 0, 0, Smoke::mf_slot, 0, 102},	//244 Okular::Document::undo()
    {21, 806, 0, 0, Smoke::mf_slot, 0, 103},	//245 Okular::Document::redo()
    {21, 514, 201, 6, Smoke::mf_slot, 0, 104},	//246 Okular::Document::editFormText(int, Okular::FormFieldText*, const QString&, int, int, int)
    {21, 512, 208, 3, Smoke::mf_slot, 0, 105},	//247 Okular::Document::editFormList(int, Okular::FormFieldChoice*, const QList<int>&)
    {21, 510, 212, 6, Smoke::mf_slot, 0, 106},	//248 Okular::Document::editFormCombo(int, Okular::FormFieldChoice*, const QString&, int, int, int)
    {21, 508, 219, 3, Smoke::mf_slot, 0, 107},	//249 Okular::Document::editFormButtons(int, const QList<Okular::FormFieldButton*>&, const QList<bool>&)
    {21, 438, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 108},	//250 Okular::Document::close()
    {21, 799, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 109},	//251 Okular::Document::quit()
    {21, 659, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 110},	//252 Okular::Document::linkFind()
    {21, 660, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 111},	//253 Okular::Document::linkGoToPage()
    {21, 661, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 112},	//254 Okular::Document::linkPresentation()
    {21, 658, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 113},	//255 Okular::Document::linkEndPresentation()
    {21, 713, 223, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 114},	//256 Okular::Document::openUrl(const KUrl&)
    {21, 521, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 115},	//257 Okular::Document::error(const QString&, int)
    {21, 1142, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 116},	//258 Okular::Document::warning(const QString&, int)
    {21, 696, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 117},	//259 Okular::Document::notice(const QString&, int)
    {21, 581, 182, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 118},	//260 Okular::Document::gotFont(const Okular::FontInfo&)
    {21, 544, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 119},	//261 Okular::Document::fontReadingProgress(int)
    {21, 543, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 120},	//262 Okular::Document::fontReadingEnded()
    {21, 848, 228, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 121},	//263 Okular::Document::searchFinished(int, Okular::Document::SearchStatus)
    {21, 1063, 231, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 122},	//264 Okular::Document::sourceReferenceActivated(const QString&, int, int, bool*)
    {21, 786, 236, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 123},	//265 Okular::Document::processMovieAction(const Okular::MovieAction*)
    {21, 428, 192, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 124},	//266 Okular::Document::canUndoChanged(bool)
    {21, 421, 192, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 125},	//267 Okular::Document::canRedoChanged(bool)
    {21, 788, 238, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 126},	//268 Okular::Document::processRenditionAction(const Okular::RenditionAction*)
    {21, 388, 240, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 127},	//269 Okular::Document::annotationContentsChangedByUndoRedo(Okular::Annotation*, const QString&, int, int)
    {21, 555, 245, 5, Smoke::mf_protected|Smoke::mf_signal, 0, 128},	//270 Okular::Document::formTextChangedByUndoRedo(int, Okular::FormFieldText*, const QString&, int, int)
    {21, 553, 208, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 129},	//271 Okular::Document::formListChangedByUndoRedo(int, Okular::FormFieldChoice*, const QList<int>&)
    {21, 550, 251, 5, Smoke::mf_protected|Smoke::mf_signal, 0, 130},	//272 Okular::Document::formComboChangedByUndoRedo(int, Okular::FormFieldChoice*, const QString&, int, int)
    {21, 548, 257, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 131},	//273 Okular::Document::formButtonsChangedByUndoRedo(int, const QList<Okular::FormFieldButton*>&)
    {21, 1104, 80, 1, Smoke::mf_static, 196, 132},	//274 Okular::Document::tr(const char*)
    {21, 1108, 80, 1, Smoke::mf_static, 196, 133},	//275 Okular::Document::trUtf8(const char*)
    {21, 707, 260, 3, 0, 38, 134},	//276 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&)
    {21, 1040, 264, 1, 0, 0, 135},	//277 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&)
    {21, 680, 9, 1, Smoke::mf_const, 203, 136},	//278 Okular::Document::metaData(const QString&) const
    {21, 1036, 29, 1, 0, 0, 137},	//279 Okular::Document::setViewportPage(int)
    {21, 1036, 125, 2, 0, 0, 138},	//280 Okular::Document::setViewportPage(int, Okular::DocumentObserver*)
    {21, 1032, 123, 1, 0, 0, 139},	//281 Okular::Document::setViewport(const Okular::DocumentViewport&)
    {21, 1032, 266, 2, 0, 0, 140},	//282 Okular::Document::setViewport(const Okular::DocumentViewport&, Okular::DocumentObserver*)
    {21, 1049, 29, 1, 0, 0, 141},	//283 Okular::Document::setZoom(int)
    {21, 710, 269, 2, 0, 38, 142},	//284 Okular::Document::openDocumentArchive(const QString&, const KUrl&)
    {21, 1071, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 143},	//285 Okular::Document::staticMetaObject() const
    {21, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 144},	//286 Okular::Document::OpenSuccess (enum)
    {21, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 145},	//287 Okular::Document::OpenError (enum)
    {21, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 146},	//288 Okular::Document::OpenNeedsPassword (enum)
    {21, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 147},	//289 Okular::Document::NoOption (enum)
    {21, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 148},	//290 Okular::Document::RemoveAllPrevious (enum)
    {21, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 149},	//291 Okular::Document::NextMatch (enum)
    {21, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 150},	//292 Okular::Document::PreviousMatch (enum)
    {21, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 151},	//293 Okular::Document::AllDocument (enum)
    {21, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 152},	//294 Okular::Document::GoogleAll (enum)
    {21, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 153},	//295 Okular::Document::GoogleAny (enum)
    {21, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 154},	//296 Okular::Document::MatchFound (enum)
    {21, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 155},	//297 Okular::Document::NoMatchFound (enum)
    {21, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 156},	//298 Okular::Document::SearchCancelled (enum)
    {21, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 157},	//299 Okular::Document::EndOfDocumentReached (enum)
    {21, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 158},	//300 Okular::Document::NoPrinting (enum)
    {21, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 159},	//301 Okular::Document::NativePrinting (enum)
    {21, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 160},	//302 Okular::Document::PostscriptPrinting (enum)
    {21, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 161},	//303 Okular::Document::SaveFormsCapability (enum)
    {21, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 162},	//304 Okular::Document::SaveAnnotationsCapability (enum)
    {21, 1161, 0, 0, Smoke::mf_dtor, 0, 163 },	//305 Okular::Document::~Document()
    {22, 79, 272, 1, Smoke::mf_ctor, 44, 1},	//306 Okular::DocumentAction::DocumentAction(Okular::DocumentAction::DocumentActionType)
    {22, 366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//307 Okular::DocumentAction::actionType() const
    {22, 365, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 3},	//308 Okular::DocumentAction::actionTip() const
    {22, 493, 0, 0, Smoke::mf_const, 45, 4},	//309 Okular::DocumentAction::documentActionType() const
    {22, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 5},	//310 Okular::DocumentAction::PageFirst (enum)
    {22, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 6},	//311 Okular::DocumentAction::PagePrev (enum)
    {22, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 7},	//312 Okular::DocumentAction::PageNext (enum)
    {22, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 8},	//313 Okular::DocumentAction::PageLast (enum)
    {22, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 9},	//314 Okular::DocumentAction::HistoryBack (enum)
    {22, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 10},	//315 Okular::DocumentAction::HistoryForward (enum)
    {22, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 11},	//316 Okular::DocumentAction::Quit (enum)
    {22, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 12},	//317 Okular::DocumentAction::Presentation (enum)
    {22, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 13},	//318 Okular::DocumentAction::EndPresentation (enum)
    {22, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 14},	//319 Okular::DocumentAction::Find (enum)
    {22, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 15},	//320 Okular::DocumentAction::GoToPage (enum)
    {22, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 16},	//321 Okular::DocumentAction::Close (enum)
    {22, 1162, 0, 0, Smoke::mf_dtor, 0, 17 },	//322 Okular::DocumentAction::~DocumentAction()
    {23, 81, 0, 0, Smoke::mf_ctor, 48, 1},	//323 Okular::DocumentInfo::DocumentInfo()
    {23, 81, 274, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 2},	//324 Okular::DocumentInfo::DocumentInfo(const Okular::DocumentInfo&)
    {23, 721, 274, 1, 0, 47, 3},	//325 Okular::DocumentInfo::operator=(const Okular::DocumentInfo&)
    {23, 647, 0, 0, Smoke::mf_const, 198, 4},	//326 Okular::DocumentInfo::keys() const
    {23, 572, 276, 1, Smoke::mf_const, 196, 5},	//327 Okular::DocumentInfo::get(Okular::DocumentInfo::Key) const
    {23, 572, 9, 1, Smoke::mf_const, 196, 6},	//328 Okular::DocumentInfo::get(const QString&) const
    {23, 852, 278, 3, 0, 0, 7},	//329 Okular::DocumentInfo::set(const QString&, const QString&, const QString&)
    {23, 852, 282, 2, 0, 0, 8},	//330 Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    {23, 579, 9, 1, Smoke::mf_const, 196, 9},	//331 Okular::DocumentInfo::getKeyTitle(const QString&) const
    {23, 577, 276, 1, Smoke::mf_static, 196, 10},	//332 Okular::DocumentInfo::getKeyString(Okular::DocumentInfo::Key)
    {23, 579, 276, 1, Smoke::mf_static, 196, 11},	//333 Okular::DocumentInfo::getKeyTitle(Okular::DocumentInfo::Key)
    {23, 575, 9, 1, Smoke::mf_static, 49, 12},	//334 Okular::DocumentInfo::getKeyFromString(const QString&)
    {23, 852, 285, 2, 0, 0, 13},	//335 Okular::DocumentInfo::set(const QString&, const QString&)
    {23, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 14},	//336 Okular::DocumentInfo::Title (enum)
    {23, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 15},	//337 Okular::DocumentInfo::Subject (enum)
    {23, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 16},	//338 Okular::DocumentInfo::Description (enum)
    {23, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 17},	//339 Okular::DocumentInfo::Author (enum)
    {23, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 18},	//340 Okular::DocumentInfo::Creator (enum)
    {23, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 19},	//341 Okular::DocumentInfo::Producer (enum)
    {23, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 20},	//342 Okular::DocumentInfo::Copyright (enum)
    {23, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 21},	//343 Okular::DocumentInfo::Pages (enum)
    {23, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 22},	//344 Okular::DocumentInfo::CreationDate (enum)
    {23, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 23},	//345 Okular::DocumentInfo::ModificationDate (enum)
    {23, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 24},	//346 Okular::DocumentInfo::MimeType (enum)
    {23, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 25},	//347 Okular::DocumentInfo::Category (enum)
    {23, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 26},	//348 Okular::DocumentInfo::Keywords (enum)
    {23, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 27},	//349 Okular::DocumentInfo::FilePath (enum)
    {23, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 28},	//350 Okular::DocumentInfo::DocumentSize (enum)
    {23, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 29},	//351 Okular::DocumentInfo::PagesSize (enum)
    {23, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 30},	//352 Okular::DocumentInfo::CustomKeys (enum)
    {23, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 31},	//353 Okular::DocumentInfo::Invalid (enum)
    {23, 1163, 0, 0, Smoke::mf_dtor, 0, 32 },	//354 Okular::DocumentInfo::~DocumentInfo()
    {25, 84, 0, 0, Smoke::mf_ctor, 51, 1},	//355 Okular::DocumentSynopsis::DocumentSynopsis()
    {25, 84, 288, 1, Smoke::mf_ctor, 51, 2},	//356 Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    {25, 84, 290, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 3},	//357 Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    {25, 1164, 0, 0, Smoke::mf_dtor, 0, 4 },	//358 Okular::DocumentSynopsis::~DocumentSynopsis()
    {26, 86, 29, 1, Smoke::mf_ctor, 53, 1},	//359 Okular::DocumentViewport::DocumentViewport(int)
    {26, 86, 9, 1, Smoke::mf_ctor, 53, 2},	//360 Okular::DocumentViewport::DocumentViewport(const QString&)
    {26, 1101, 0, 0, Smoke::mf_const, 196, 3},	//361 Okular::DocumentViewport::toString() const
    {26, 643, 0, 0, Smoke::mf_const, 279, 4},	//362 Okular::DocumentViewport::isValid() const
    {26, 723, 123, 1, Smoke::mf_const, 279, 5},	//363 Okular::DocumentViewport::operator==(const Okular::DocumentViewport&) const
    {26, 719, 123, 1, Smoke::mf_const, 279, 6},	//364 Okular::DocumentViewport::operator<(const Okular::DocumentViewport&) const
    {26, 86, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 7},	//365 Okular::DocumentViewport::DocumentViewport(const Okular::DocumentViewport&)
    {26, 86, 0, 0, Smoke::mf_ctor, 53, 8},	//366 Okular::DocumentViewport::DocumentViewport()
    {26, 753, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 370, 9},	//367 Okular::DocumentViewport::pageNumber() const
    {26, 978, 29, 1, Smoke::mf_attribute, 0, 10},	//368 Okular::DocumentViewport::setPageNumber(int)
    {26, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 11},	//369 Okular::DocumentViewport::Center (enum)
    {26, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 12},	//370 Okular::DocumentViewport::TopLeft (enum)
    {26, 1165, 0, 0, Smoke::mf_dtor, 0, 13 },	//371 Okular::DocumentViewport::~DocumentViewport()
    {27, 90, 0, 0, Smoke::mf_ctor, 55, 1},	//372 Okular::EmbeddedFile::EmbeddedFile()
    {27, 691, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 196, 2},	//373 Okular::EmbeddedFile::name() const [pure virtual]
    {27, 477, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 196, 3},	//374 Okular::EmbeddedFile::description() const [pure virtual]
    {27, 468, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 4},	//375 Okular::EmbeddedFile::data() const [pure virtual]
    {27, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 370, 5},	//376 Okular::EmbeddedFile::size() const [pure virtual]
    {27, 686, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 157, 6},	//377 Okular::EmbeddedFile::modificationDate() const [pure virtual]
    {27, 459, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 157, 7},	//378 Okular::EmbeddedFile::creationDate() const [pure virtual]
    {27, 90, 292, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 8},	//379 Okular::EmbeddedFile::EmbeddedFile(const Okular::EmbeddedFile&)
    {27, 1166, 0, 0, Smoke::mf_dtor, 0, 9 },	//380 Okular::EmbeddedFile::~EmbeddedFile()
    {28, 96, 285, 2, Smoke::mf_ctor, 56, 1},	//381 Okular::ExecuteAction::ExecuteAction(const QString&, const QString&)
    {28, 366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//382 Okular::ExecuteAction::actionType() const
    {28, 365, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 3},	//383 Okular::ExecuteAction::actionTip() const
    {28, 532, 0, 0, Smoke::mf_const, 196, 4},	//384 Okular::ExecuteAction::fileName() const
    {28, 764, 0, 0, Smoke::mf_const, 196, 5},	//385 Okular::ExecuteAction::parameters() const
    {28, 1167, 0, 0, Smoke::mf_dtor, 0, 6 },	//386 Okular::ExecuteAction::~ExecuteAction()
    {29, 98, 0, 0, Smoke::mf_ctor, 59, 1},	//387 Okular::ExportFormat::ExportFormat()
    {29, 98, 294, 2, Smoke::mf_ctor, 59, 2},	//388 Okular::ExportFormat::ExportFormat(const QString&, const KSharedPtr<KMimeType>&)
    {29, 98, 297, 3, Smoke::mf_ctor, 59, 3},	//389 Okular::ExportFormat::ExportFormat(const KIcon&, const QString&, const KSharedPtr<KMimeType>&)
    {29, 98, 301, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 4},	//390 Okular::ExportFormat::ExportFormat(const Okular::ExportFormat&)
    {29, 721, 301, 1, 0, 58, 5},	//391 Okular::ExportFormat::operator=(const Okular::ExportFormat&)
    {29, 477, 0, 0, Smoke::mf_const, 196, 6},	//392 Okular::ExportFormat::description() const
    {29, 684, 0, 0, Smoke::mf_const, 7, 7},	//393 Okular::ExportFormat::mimeType() const
    {29, 605, 0, 0, Smoke::mf_const, 5, 8},	//394 Okular::ExportFormat::icon() const
    {29, 630, 0, 0, Smoke::mf_const, 279, 9},	//395 Okular::ExportFormat::isNull() const
    {29, 1066, 303, 1, Smoke::mf_static, 57, 10},	//396 Okular::ExportFormat::standardFormat(Okular::ExportFormat::StandardExportFormat)
    {29, 723, 301, 1, Smoke::mf_const, 279, 11},	//397 Okular::ExportFormat::operator==(const Okular::ExportFormat&) const
    {29, 715, 301, 1, Smoke::mf_const, 279, 12},	//398 Okular::ExportFormat::operator!=(const Okular::ExportFormat&) const
    {29, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 13},	//399 Okular::ExportFormat::PlainText (enum)
    {29, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 14},	//400 Okular::ExportFormat::PDF (enum)
    {29, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 15},	//401 Okular::ExportFormat::OpenDocumentText (enum)
    {29, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 16},	//402 Okular::ExportFormat::HTML (enum)
    {29, 1168, 0, 0, Smoke::mf_dtor, 0, 17 },	//403 Okular::ExportFormat::~ExportFormat()
    {30, 105, 0, 0, Smoke::mf_ctor, 61, 1},	//404 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation()
    {30, 105, 40, 1, Smoke::mf_ctor, 61, 2},	//405 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation(const QDomNode&)
    {30, 531, 0, 0, Smoke::mf_const, 196, 3},	//406 Okular::FileAttachmentAnnotation::fileIconName() const
    {30, 910, 9, 1, 0, 0, 4},	//407 Okular::FileAttachmentAnnotation::setFileIconName(const QString&)
    {30, 519, 0, 0, Smoke::mf_const, 55, 5},	//408 Okular::FileAttachmentAnnotation::embeddedFile() const
    {30, 903, 305, 1, 0, 0, 6},	//409 Okular::FileAttachmentAnnotation::setEmbeddedFile(Okular::EmbeddedFile*)
    {30, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 7},	//410 Okular::FileAttachmentAnnotation::subType() const
    {30, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//411 Okular::FileAttachmentAnnotation::store(QDomNode&, QDomDocument&) const
    {30, 1169, 0, 0, Smoke::mf_dtor, 0, 9 },	//412 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation()
    {31, 777, 307, 6, Smoke::mf_static, 370, 1},	//413 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {31, 748, 314, 4, Smoke::mf_static, 184, 2},	//414 Okular::FilePrinter::pageList(QPrinter&, int, int, const QList<int>&)
    {31, 748, 319, 3, Smoke::mf_static, 184, 3},	//415 Okular::FilePrinter::pageList(QPrinter&, int, const QList<int>&)
    {31, 754, 319, 3, Smoke::mf_static, 196, 4},	//416 Okular::FilePrinter::pageRange(QPrinter&, int, const QList<int>&)
    {31, 751, 323, 1, Smoke::mf_static, 196, 5},	//417 Okular::FilePrinter::pageListToPageRange(const QList<int>&)
    {31, 792, 0, 0, Smoke::mf_static, 279, 6},	//418 Okular::FilePrinter::ps2pdfAvailable()
    {31, 765, 0, 0, Smoke::mf_static, 279, 7},	//419 Okular::FilePrinter::pdf2psAvailable()
    {31, 460, 0, 0, Smoke::mf_static, 279, 8},	//420 Okular::FilePrinter::cupsAvailable()
    {31, 793, 173, 1, Smoke::mf_static, 194, 9},	//421 Okular::FilePrinter::psPaperSize(QPrinter&)
    {31, 775, 29, 1, Smoke::mf_static, 84, 10},	//422 Okular::FilePrinter::printError(int)
    {31, 483, 0, 0, Smoke::mf_protected, 279, 11},	//423 Okular::FilePrinter::detectCupsService()
    {31, 482, 0, 0, Smoke::mf_protected, 279, 12},	//424 Okular::FilePrinter::detectCupsConfig()
    {31, 490, 325, 6, Smoke::mf_protected, 370, 13},	//425 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation)
    {31, 772, 332, 7, Smoke::mf_protected, 198, 14},	//426 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation)
    {31, 479, 340, 2, Smoke::mf_protected, 198, 15},	//427 Okular::FilePrinter::destination(QPrinter&, const QString&)
    {31, 455, 340, 2, Smoke::mf_protected, 198, 16},	//428 Okular::FilePrinter::copies(QPrinter&, const QString&)
    {31, 645, 340, 2, Smoke::mf_protected, 198, 17},	//429 Okular::FilePrinter::jobname(QPrinter&, const QString&)
    {31, 470, 343, 3, Smoke::mf_protected, 198, 18},	//430 Okular::FilePrinter::deleteFile(QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&)
    {31, 761, 347, 5, Smoke::mf_protected, 198, 19},	//431 Okular::FilePrinter::pages(QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&)
    {31, 461, 353, 2, Smoke::mf_protected, 198, 20},	//432 Okular::FilePrinter::cupsOptions(QPrinter&, QPrinter::Orientation)
    {31, 735, 173, 1, Smoke::mf_protected, 198, 21},	//433 Okular::FilePrinter::optionMedia(QPrinter&)
    {31, 676, 173, 1, Smoke::mf_protected, 196, 22},	//434 Okular::FilePrinter::mediaPageSize(QPrinter&)
    {31, 678, 173, 1, Smoke::mf_protected, 196, 23},	//435 Okular::FilePrinter::mediaPaperSource(QPrinter&)
    {31, 737, 353, 2, Smoke::mf_protected, 198, 24},	//436 Okular::FilePrinter::optionOrientation(QPrinter&, QPrinter::Orientation)
    {31, 733, 173, 1, Smoke::mf_protected, 198, 25},	//437 Okular::FilePrinter::optionDoubleSidedPrinting(QPrinter&)
    {31, 741, 173, 1, Smoke::mf_protected, 198, 26},	//438 Okular::FilePrinter::optionPageOrder(QPrinter&)
    {31, 729, 173, 1, Smoke::mf_protected, 198, 27},	//439 Okular::FilePrinter::optionCollateCopies(QPrinter&)
    {31, 739, 173, 1, Smoke::mf_protected, 198, 28},	//440 Okular::FilePrinter::optionPageMargins(QPrinter&)
    {31, 731, 173, 1, Smoke::mf_protected, 198, 29},	//441 Okular::FilePrinter::optionCupsProperties(QPrinter&)
    {31, 109, 0, 0, Smoke::mf_ctor, 62, 30},	//442 Okular::FilePrinter::FilePrinter()
    {31, 109, 356, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 31},	//443 Okular::FilePrinter::FilePrinter(const Okular::FilePrinter&)
    {31, 777, 358, 3, Smoke::mf_static, 370, 32},	//444 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation)
    {31, 777, 362, 4, Smoke::mf_static, 370, 33},	//445 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy)
    {31, 777, 367, 5, Smoke::mf_static, 370, 34},	//446 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    {31, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 63, 35},	//447 Okular::FilePrinter::ApplicationDeletesFiles (enum)
    {31, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 63, 36},	//448 Okular::FilePrinter::SystemDeletesFiles (enum)
    {31, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 37},	//449 Okular::FilePrinter::ApplicationSelectsPages (enum)
    {31, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 38},	//450 Okular::FilePrinter::SystemSelectsPages (enum)
    {31, 1170, 0, 0, Smoke::mf_dtor, 0, 39 },	//451 Okular::FilePrinter::~FilePrinter()
    {32, 116, 0, 0, Smoke::mf_ctor, 67, 1},	//452 Okular::FontInfo::FontInfo()
    {32, 116, 182, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 2},	//453 Okular::FontInfo::FontInfo(const Okular::FontInfo&)
    {32, 691, 0, 0, Smoke::mf_const, 196, 3},	//454 Okular::FontInfo::name() const
    {32, 963, 9, 1, 0, 0, 4},	//455 Okular::FontInfo::setName(const QString&)
    {32, 1126, 0, 0, Smoke::mf_const, 69, 5},	//456 Okular::FontInfo::type() const
    {32, 1028, 373, 1, 0, 0, 6},	//457 Okular::FontInfo::setType(Okular::FontInfo::FontType)
    {32, 518, 0, 0, Smoke::mf_const, 68, 7},	//458 Okular::FontInfo::embedType() const
    {32, 901, 375, 1, 0, 0, 8},	//459 Okular::FontInfo::setEmbedType(Okular::FontInfo::EmbedType)
    {32, 530, 0, 0, Smoke::mf_const, 196, 9},	//460 Okular::FontInfo::file() const
    {32, 908, 9, 1, 0, 0, 10},	//461 Okular::FontInfo::setFile(const QString&)
    {32, 410, 0, 0, Smoke::mf_const, 279, 11},	//462 Okular::FontInfo::canBeExtracted() const
    {32, 875, 192, 1, 0, 0, 12},	//463 Okular::FontInfo::setCanBeExtracted(bool)
    {32, 965, 23, 1, 0, 0, 13},	//464 Okular::FontInfo::setNativeId(const QVariant&)
    {32, 692, 0, 0, Smoke::mf_const, 203, 14},	//465 Okular::FontInfo::nativeId() const
    {32, 721, 182, 1, 0, 66, 15},	//466 Okular::FontInfo::operator=(const Okular::FontInfo&)
    {32, 723, 182, 1, Smoke::mf_const, 279, 16},	//467 Okular::FontInfo::operator==(const Okular::FontInfo&) const
    {32, 715, 182, 1, Smoke::mf_const, 279, 17},	//468 Okular::FontInfo::operator!=(const Okular::FontInfo&) const
    {32, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 18},	//469 Okular::FontInfo::Unknown (enum)
    {32, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 19},	//470 Okular::FontInfo::Type1 (enum)
    {32, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 20},	//471 Okular::FontInfo::Type1C (enum)
    {32, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 21},	//472 Okular::FontInfo::Type1COT (enum)
    {32, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 22},	//473 Okular::FontInfo::Type3 (enum)
    {32, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 23},	//474 Okular::FontInfo::TrueType (enum)
    {32, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 24},	//475 Okular::FontInfo::TrueTypeOT (enum)
    {32, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 25},	//476 Okular::FontInfo::CIDType0 (enum)
    {32, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 26},	//477 Okular::FontInfo::CIDType0C (enum)
    {32, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 27},	//478 Okular::FontInfo::CIDType0COT (enum)
    {32, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 28},	//479 Okular::FontInfo::CIDTrueType (enum)
    {32, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 29},	//480 Okular::FontInfo::CIDTrueTypeOT (enum)
    {32, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 30},	//481 Okular::FontInfo::TeXPK (enum)
    {32, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 31},	//482 Okular::FontInfo::TeXVirtual (enum)
    {32, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 32},	//483 Okular::FontInfo::TeXFontMetric (enum)
    {32, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 33},	//484 Okular::FontInfo::TeXFreeTypeHandled (enum)
    {32, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 34},	//485 Okular::FontInfo::NotEmbedded (enum)
    {32, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 35},	//486 Okular::FontInfo::EmbeddedSubset (enum)
    {32, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 36},	//487 Okular::FontInfo::FullyEmbedded (enum)
    {32, 1171, 0, 0, Smoke::mf_dtor, 0, 37 },	//488 Okular::FontInfo::~FontInfo()
    {33, 1126, 0, 0, Smoke::mf_const, 71, 1},	//489 Okular::FormField::type() const
    {33, 805, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 102, 2},	//490 Okular::FormField::rect() const [pure virtual]
    {33, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 370, 3},	//491 Okular::FormField::id() const [pure virtual]
    {33, 691, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 196, 4},	//492 Okular::FormField::name() const [pure virtual]
    {33, 1127, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 196, 5},	//493 Okular::FormField::uiName() const [pure virtual]
    {33, 633, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 6},	//494 Okular::FormField::isReadOnly() const
    {33, 644, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 7},	//495 Okular::FormField::isVisible() const
    {33, 367, 0, 0, Smoke::mf_const, 13, 8},	//496 Okular::FormField::activationAction() const
    {33, 120, 377, 1, Smoke::mf_ctor|Smoke::mf_protected, 70, 9},	//497 Okular::FormField::FormField(Okular::FormFieldPrivate&)
    {33, 467, 0, 0, Smoke::mf_protected, 77, 10},	//498 Okular::FormField::d_func()
    {33, 467, 0, 0, Smoke::mf_const|Smoke::mf_protected, 305, 11},	//499 Okular::FormField::d_func() const
    {33, 855, 379, 1, Smoke::mf_protected, 0, 12},	//500 Okular::FormField::setActivationAction(Okular::Action*)
    {33, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 13},	//501 Okular::FormField::FormButton (enum)
    {33, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 14},	//502 Okular::FormField::FormText (enum)
    {33, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 15},	//503 Okular::FormField::FormChoice (enum)
    {33, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 16},	//504 Okular::FormField::FormSignature (enum)
    {33, 1172, 0, 0, Smoke::mf_dtor, 0, 17 },	//505 Okular::FormField::~FormField()
    {34, 407, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 73, 1},	//506 Okular::FormFieldButton::buttonType() const [pure virtual]
    {34, 431, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 196, 2},	//507 Okular::FormFieldButton::caption() const [pure virtual]
    {34, 1069, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 279, 3},	//508 Okular::FormFieldButton::state() const [pure virtual]
    {34, 1010, 192, 1, Smoke::mf_virtual, 0, 4},	//509 Okular::FormFieldButton::setState(bool)
    {34, 1053, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 184, 5},	//510 Okular::FormFieldButton::siblings() const [pure virtual]
    {34, 122, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 72, 6},	//511 Okular::FormFieldButton::FormFieldButton()
    {34, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 7},	//512 Okular::FormFieldButton::Push (enum)
    {34, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 8},	//513 Okular::FormFieldButton::CheckBox (enum)
    {34, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 9},	//514 Okular::FormFieldButton::Radio (enum)
    {34, 1173, 0, 0, Smoke::mf_dtor, 0, 10 },	//515 Okular::FormFieldButton::~FormFieldButton()
    {35, 436, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 75, 1},	//516 Okular::FormFieldChoice::choiceType() const [pure virtual]
    {35, 437, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 2},	//517 Okular::FormFieldChoice::choices() const [pure virtual]
    {35, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 3},	//518 Okular::FormFieldChoice::isEditable() const
    {35, 690, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 4},	//519 Okular::FormFieldChoice::multiSelect() const
    {35, 463, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 184, 5},	//520 Okular::FormFieldChoice::currentChoices() const [pure virtual]
    {35, 886, 323, 1, Smoke::mf_virtual, 0, 6},	//521 Okular::FormFieldChoice::setCurrentChoices(const QList<int>&)
    {35, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 7},	//522 Okular::FormFieldChoice::editChoice() const
    {35, 899, 9, 1, Smoke::mf_virtual, 0, 8},	//523 Okular::FormFieldChoice::setEditChoice(const QString&)
    {35, 1088, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 167, 9},	//524 Okular::FormFieldChoice::textAlignment() const
    {35, 412, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 10},	//525 Okular::FormFieldChoice::canBeSpellChecked() const
    {35, 123, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 74, 11},	//526 Okular::FormFieldChoice::FormFieldChoice()
    {35, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 12},	//527 Okular::FormFieldChoice::ComboBox (enum)
    {35, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 13},	//528 Okular::FormFieldChoice::ListBox (enum)
    {35, 1174, 0, 0, Smoke::mf_dtor, 0, 14 },	//529 Okular::FormFieldChoice::~FormFieldChoice()
    {37, 1097, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 79, 1},	//530 Okular::FormFieldText::textType() const [pure virtual]
    {37, 1085, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 196, 2},	//531 Okular::FormFieldText::text() const [pure virtual]
    {37, 1012, 9, 1, Smoke::mf_virtual, 0, 3},	//532 Okular::FormFieldText::setText(const QString&)
    {37, 632, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 4},	//533 Okular::FormFieldText::isPassword() const
    {37, 635, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 5},	//534 Okular::FormFieldText::isRichText() const
    {37, 675, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 370, 6},	//535 Okular::FormFieldText::maximumLength() const
    {37, 1088, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 167, 7},	//536 Okular::FormFieldText::textAlignment() const
    {37, 412, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 8},	//537 Okular::FormFieldText::canBeSpellChecked() const
    {37, 124, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 78, 9},	//538 Okular::FormFieldText::FormFieldText()
    {37, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 10},	//539 Okular::FormFieldText::Normal (enum)
    {37, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 11},	//540 Okular::FormFieldText::Multiline (enum)
    {37, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 12},	//541 Okular::FormFieldText::FileSelect (enum)
    {37, 1175, 0, 0, Smoke::mf_dtor, 0, 13 },	//542 Okular::FormFieldText::~FormFieldText()
    {38, 683, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//543 Okular::Generator::metaObject() const
    {38, 797, 80, 1, Smoke::mf_virtual, 373, 2},	//544 Okular::Generator::qt_metacast(const char*)
    {38, 1104, 82, 2, Smoke::mf_static, 196, 3},	//545 Okular::Generator::tr(const char*, const char*)
    {38, 1108, 82, 2, Smoke::mf_static, 196, 4},	//546 Okular::Generator::trUtf8(const char*, const char*)
    {38, 1104, 85, 3, Smoke::mf_static, 196, 5},	//547 Okular::Generator::tr(const char*, const char*, int)
    {38, 1108, 85, 3, Smoke::mf_static, 196, 6},	//548 Okular::Generator::trUtf8(const char*, const char*, int)
    {38, 795, 89, 3, Smoke::mf_virtual, 370, 7},	//549 Okular::Generator::qt_metacall(QMetaObject::Call, int, void**)
    {38, 128, 381, 2, Smoke::mf_ctor, 81, 8},	//550 Okular::Generator::Generator(QObject*, const QList<QVariant>&)
    {38, 662, 384, 2, Smoke::mf_virtual, 279, 9},	//551 Okular::Generator::loadDocument(const QString&, QVector<Okular::Page*>&)
    {38, 664, 387, 2, Smoke::mf_virtual, 279, 10},	//552 Okular::Generator::loadDocumentFromData(const QByteArray&, QVector<Okular::Page*>&)
    {38, 668, 390, 3, Smoke::mf_virtual, 38, 11},	//553 Okular::Generator::loadDocumentWithPassword(const QString&, QVector<Okular::Page*>&, const QString&)
    {38, 666, 394, 3, Smoke::mf_virtual, 38, 12},	//554 Okular::Generator::loadDocumentFromDataWithPassword(const QByteArray&, QVector<Okular::Page*>&, const QString&)
    {38, 439, 0, 0, 0, 279, 13},	//555 Okular::Generator::closeDocument()
    {38, 415, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 14},	//556 Okular::Generator::canGeneratePixmap() const
    {38, 563, 398, 1, Smoke::mf_virtual, 0, 15},	//557 Okular::Generator::generatePixmap(Okular::PixmapRequest*)
    {38, 416, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 16},	//558 Okular::Generator::canGenerateTextPage() const
    {38, 565, 400, 1, Smoke::mf_virtual, 0, 17},	//559 Okular::Generator::generateTextPage(Okular::Page*)
    {38, 560, 102, 1, Smoke::mf_const|Smoke::mf_virtual, 46, 18},	//560 Okular::Generator::generateDocumentInfo(const QSet<Okular::DocumentInfo::Key>&) const
    {38, 562, 0, 0, Smoke::mf_virtual, 299, 19},	//561 Okular::Generator::generateDocumentSynopsis()
    {38, 546, 29, 1, Smoke::mf_virtual, 176, 20},	//562 Okular::Generator::fontsForPage(int)
    {38, 520, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 342, 21},	//563 Okular::Generator::embeddedFiles() const
    {38, 763, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 22},	//564 Okular::Generator::pagesSizeMetric() const
    {38, 619, 107, 1, Smoke::mf_const|Smoke::mf_virtual, 279, 23},	//565 Okular::Generator::isAllowed(Okular::Permission) const
    {38, 834, 402, 2, Smoke::mf_virtual, 0, 24},	//566 Okular::Generator::rotationChanged(Okular::Rotation, Okular::Rotation)
    {38, 760, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 179, 25},	//567 Okular::Generator::pageSizes() const
    {38, 756, 405, 2, Smoke::mf_virtual, 0, 26},	//568 Okular::Generator::pageSizeChanged(const Okular::PageSize&, const Okular::PageSize&)
    {38, 770, 173, 1, Smoke::mf_virtual, 279, 27},	//569 Okular::Generator::print(QPrinter&)
    {38, 680, 112, 2, Smoke::mf_const|Smoke::mf_virtual, 203, 28},	//570 Okular::Generator::metaData(const QString&, const QVariant&) const
    {38, 525, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 29},	//571 Okular::Generator::exportFormats() const
    {38, 526, 109, 2, Smoke::mf_virtual, 279, 30},	//572 Okular::Generator::exportTo(const QString&, const Okular::ExportFormat&)
    {38, 1140, 194, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 31},	//573 Okular::Generator::walletDataForFile(const QString&, QString*, QString*, QString*) const
    {38, 585, 408, 1, Smoke::mf_const, 279, 32},	//574 Okular::Generator::hasFeature(Okular::Generator::GeneratorFeature) const
    {38, 889, 410, 1, 0, 0, 33},	//575 Okular::Generator::setDPI(const QSizeF&)
    {38, 521, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//576 Okular::Generator::error(const QString&, int)
    {38, 1142, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//577 Okular::Generator::warning(const QString&, int)
    {38, 696, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//578 Okular::Generator::notice(const QString&, int)
    {38, 1054, 398, 1, Smoke::mf_protected, 0, 37},	//579 Okular::Generator::signalPixmapRequestDone(Okular::PixmapRequest*)
    {38, 1056, 412, 2, Smoke::mf_protected, 0, 38},	//580 Okular::Generator::signalTextGenerationDone(Okular::Page*, Okular::TextPage*)
    {38, 489, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 279, 39},	//581 Okular::Generator::doCloseDocument() [pure virtual]
    {38, 607, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 169, 40},	//582 Okular::Generator::image(Okular::PixmapRequest*)
    {38, 1093, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 142, 41},	//583 Okular::Generator::textPage(Okular::Page*)
    {38, 492, 0, 0, Smoke::mf_const|Smoke::mf_protected, 295, 42},	//584 Okular::Generator::document() const
    {38, 905, 415, 2, Smoke::mf_protected, 0, 43},	//585 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature, bool)
    {38, 496, 112, 2, Smoke::mf_const|Smoke::mf_protected, 203, 44},	//586 Okular::Generator::documentMetaData(const QString&, const QVariant&) const
    {38, 1135, 0, 0, Smoke::mf_const|Smoke::mf_protected, 186, 45},	//587 Okular::Generator::userMutex() const
    {38, 1132, 418, 2, Smoke::mf_protected, 0, 46},	//588 Okular::Generator::updatePageBoundingBox(int, const Okular::NormalizedRect&)
    {38, 501, 0, 0, Smoke::mf_const|Smoke::mf_protected, 195, 47},	//589 Okular::Generator::dpi() const
    {38, 820, 421, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//590 Okular::Generator::requestFontData(const Okular::FontInfo&, QByteArray*)
    {38, 775, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 84, 49},	//591 Okular::Generator::printError() const
    {38, 128, 424, 3, Smoke::mf_ctor|Smoke::mf_protected, 81, 50},	//592 Okular::Generator::Generator(Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&)
    {38, 467, 0, 0, Smoke::mf_protected, 86, 51},	//593 Okular::Generator::d_func()
    {38, 467, 0, 0, Smoke::mf_const|Smoke::mf_protected, 306, 52},	//594 Okular::Generator::d_func() const
    {38, 1104, 80, 1, Smoke::mf_static, 196, 53},	//595 Okular::Generator::tr(const char*)
    {38, 1108, 80, 1, Smoke::mf_static, 196, 54},	//596 Okular::Generator::trUtf8(const char*)
    {38, 905, 408, 1, Smoke::mf_protected, 0, 55},	//597 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature)
    {38, 496, 9, 1, Smoke::mf_const|Smoke::mf_protected, 203, 56},	//598 Okular::Generator::documentMetaData(const QString&) const
    {38, 1071, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 57},	//599 Okular::Generator::staticMetaObject() const
    {38, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 58},	//600 Okular::Generator::Threaded (enum)
    {38, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 59},	//601 Okular::Generator::TextExtraction (enum)
    {38, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 60},	//602 Okular::Generator::ReadRawData (enum)
    {38, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 61},	//603 Okular::Generator::FontInfo (enum)
    {38, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 62},	//604 Okular::Generator::PageSizes (enum)
    {38, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 63},	//605 Okular::Generator::PrintNative (enum)
    {38, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//606 Okular::Generator::PrintPostscript (enum)
    {38, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//607 Okular::Generator::PrintToFile (enum)
    {38, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 66},	//608 Okular::Generator::TiledRendering (enum)
    {38, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 67},	//609 Okular::Generator::None (enum)
    {38, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 68},	//610 Okular::Generator::Points (enum)
    {38, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 69},	//611 Okular::Generator::Pixels (enum)
    {38, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 70},	//612 Okular::Generator::NoPrintError (enum)
    {38, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 71},	//613 Okular::Generator::UnknownPrintError (enum)
    {38, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 72},	//614 Okular::Generator::TemporaryFileOpenPrintError (enum)
    {38, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 73},	//615 Okular::Generator::FileConversionPrintError (enum)
    {38, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 74},	//616 Okular::Generator::PrintingProcessCrashPrintError (enum)
    {38, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 75},	//617 Okular::Generator::PrintingProcessStartPrintError (enum)
    {38, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 76},	//618 Okular::Generator::PrintToFilePrintError (enum)
    {38, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 77},	//619 Okular::Generator::InvalidPrinterStatePrintError (enum)
    {38, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 78},	//620 Okular::Generator::UnableToFindFilePrintError (enum)
    {38, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//621 Okular::Generator::NoFileToPrintError (enum)
    {38, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//622 Okular::Generator::NoBinaryToPrintError (enum)
    {38, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//623 Okular::Generator::InvalidPageSizePrintError (enum)
    {38, 1176, 0, 0, Smoke::mf_dtor, 0, 82 },	//624 Okular::Generator::~Generator()
    {40, 131, 0, 0, Smoke::mf_ctor, 87, 1},	//625 Okular::GeomAnnotation::GeomAnnotation()
    {40, 131, 40, 1, Smoke::mf_ctor, 87, 2},	//626 Okular::GeomAnnotation::GeomAnnotation(const QDomNode&)
    {40, 918, 428, 1, 0, 0, 3},	//627 Okular::GeomAnnotation::setGeometricalType(Okular::GeomAnnotation::GeomType)
    {40, 569, 0, 0, Smoke::mf_const, 88, 4},	//628 Okular::GeomAnnotation::geometricalType() const
    {40, 916, 430, 1, 0, 0, 5},	//629 Okular::GeomAnnotation::setGeometricalInnerColor(const QColor&)
    {40, 568, 0, 0, Smoke::mf_const, 156, 6},	//630 Okular::GeomAnnotation::geometricalInnerColor() const
    {40, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 7},	//631 Okular::GeomAnnotation::subType() const
    {40, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//632 Okular::GeomAnnotation::store(QDomNode&, QDomDocument&) const
    {40, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 9},	//633 Okular::GeomAnnotation::InscribedSquare (enum)
    {40, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 10},	//634 Okular::GeomAnnotation::InscribedCircle (enum)
    {40, 1177, 0, 0, Smoke::mf_dtor, 0, 11 },	//635 Okular::GeomAnnotation::~GeomAnnotation()
    {41, 138, 432, 2, Smoke::mf_ctor, 89, 1},	//636 Okular::GotoAction::GotoAction(const QString&, const Okular::DocumentViewport&)
    {41, 138, 285, 2, Smoke::mf_ctor, 89, 2},	//637 Okular::GotoAction::GotoAction(const QString&, const QString&)
    {41, 366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 3},	//638 Okular::GotoAction::actionType() const
    {41, 365, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 4},	//639 Okular::GotoAction::actionTip() const
    {41, 627, 0, 0, Smoke::mf_const, 279, 5},	//640 Okular::GotoAction::isExternal() const
    {41, 532, 0, 0, Smoke::mf_const, 196, 6},	//641 Okular::GotoAction::fileName() const
    {41, 478, 0, 0, Smoke::mf_const, 52, 7},	//642 Okular::GotoAction::destViewport() const
    {41, 481, 0, 0, Smoke::mf_const, 196, 8},	//643 Okular::GotoAction::destinationName() const
    {41, 1178, 0, 0, Smoke::mf_dtor, 0, 9 },	//644 Okular::GotoAction::~GotoAction()
    {42, 583, 0, 0, 0, 11, 1},	//645 Okular::GuiInterface::guiClient()
    {42, 142, 0, 0, Smoke::mf_ctor, 90, 2},	//646 Okular::GuiInterface::GuiInterface()
    {42, 142, 435, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 3},	//647 Okular::GuiInterface::GuiInterface(const Okular::GuiInterface&)
    {42, 1179, 0, 0, Smoke::mf_dtor, 0, 4 },	//648 Okular::GuiInterface::~GuiInterface()
    {43, 147, 0, 0, Smoke::mf_ctor, 91, 1},	//649 Okular::HighlightAnnotation::HighlightAnnotation()
    {43, 147, 40, 1, Smoke::mf_ctor, 91, 2},	//650 Okular::HighlightAnnotation::HighlightAnnotation(const QDomNode&)
    {43, 920, 437, 1, 0, 0, 3},	//651 Okular::HighlightAnnotation::setHighlightType(Okular::HighlightAnnotation::HighlightType)
    {43, 602, 0, 0, Smoke::mf_const, 92, 4},	//652 Okular::HighlightAnnotation::highlightType() const
    {43, 601, 0, 0, 0, 178, 5},	//653 Okular::HighlightAnnotation::highlightQuads()
    {43, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 6},	//654 Okular::HighlightAnnotation::subType() const
    {43, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//655 Okular::HighlightAnnotation::store(QDomNode&, QDomDocument&) const
    {43, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 8},	//656 Okular::HighlightAnnotation::Highlight (enum)
    {43, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 9},	//657 Okular::HighlightAnnotation::Squiggly (enum)
    {43, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 10},	//658 Okular::HighlightAnnotation::Underline (enum)
    {43, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 11},	//659 Okular::HighlightAnnotation::StrikeOut (enum)
    {43, 1180, 0, 0, Smoke::mf_dtor, 0, 12 },	//660 Okular::HighlightAnnotation::~HighlightAnnotation()
    {45, 154, 0, 0, Smoke::mf_ctor, 94, 1},	//661 Okular::InkAnnotation::InkAnnotation()
    {45, 154, 40, 1, Smoke::mf_ctor, 94, 2},	//662 Okular::InkAnnotation::InkAnnotation(const QDomNode&)
    {45, 922, 439, 1, 0, 0, 3},	//663 Okular::InkAnnotation::setInkPaths(const QList<QLinkedList<Okular::NormalizedPoint> >&)
    {45, 611, 0, 0, Smoke::mf_const, 182, 4},	//664 Okular::InkAnnotation::inkPaths() const
    {45, 1117, 0, 0, Smoke::mf_const, 182, 5},	//665 Okular::InkAnnotation::transformedInkPaths() const
    {45, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 6},	//666 Okular::InkAnnotation::subType() const
    {45, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//667 Okular::InkAnnotation::store(QDomNode&, QDomDocument&) const
    {45, 1181, 0, 0, Smoke::mf_dtor, 0, 8 },	//668 Okular::InkAnnotation::~InkAnnotation()
    {46, 183, 0, 0, Smoke::mf_ctor, 95, 1},	//669 Okular::LineAnnotation::LineAnnotation()
    {46, 183, 40, 1, Smoke::mf_ctor, 95, 2},	//670 Okular::LineAnnotation::LineAnnotation(const QDomNode&)
    {46, 948, 441, 1, 0, 0, 3},	//671 Okular::LineAnnotation::setLinePoints(const QLinkedList<Okular::NormalizedPoint>&)
    {46, 656, 0, 0, Smoke::mf_const, 173, 4},	//672 Okular::LineAnnotation::linePoints() const
    {46, 1120, 0, 0, Smoke::mf_const, 173, 5},	//673 Okular::LineAnnotation::transformedLinePoints() const
    {46, 950, 443, 1, 0, 0, 6},	//674 Okular::LineAnnotation::setLineStartStyle(Okular::LineAnnotation::TermStyle)
    {46, 657, 0, 0, Smoke::mf_const, 97, 7},	//675 Okular::LineAnnotation::lineStartStyle() const
    {46, 938, 443, 1, 0, 0, 8},	//676 Okular::LineAnnotation::setLineEndStyle(Okular::LineAnnotation::TermStyle)
    {46, 651, 0, 0, Smoke::mf_const, 97, 9},	//677 Okular::LineAnnotation::lineEndStyle() const
    {46, 936, 192, 1, 0, 0, 10},	//678 Okular::LineAnnotation::setLineClosed(bool)
    {46, 650, 0, 0, Smoke::mf_const, 279, 11},	//679 Okular::LineAnnotation::lineClosed() const
    {46, 940, 430, 1, 0, 0, 12},	//680 Okular::LineAnnotation::setLineInnerColor(const QColor&)
    {46, 652, 0, 0, Smoke::mf_const, 156, 13},	//681 Okular::LineAnnotation::lineInnerColor() const
    {46, 946, 445, 1, 0, 0, 14},	//682 Okular::LineAnnotation::setLineLeadingForwardPoint(double)
    {46, 655, 0, 0, Smoke::mf_const, 368, 15},	//683 Okular::LineAnnotation::lineLeadingForwardPoint() const
    {46, 944, 445, 1, 0, 0, 16},	//684 Okular::LineAnnotation::setLineLeadingBackwardPoint(double)
    {46, 654, 0, 0, Smoke::mf_const, 368, 17},	//685 Okular::LineAnnotation::lineLeadingBackwardPoint() const
    {46, 998, 192, 1, 0, 0, 18},	//686 Okular::LineAnnotation::setShowCaption(bool)
    {46, 1052, 0, 0, Smoke::mf_const, 279, 19},	//687 Okular::LineAnnotation::showCaption() const
    {46, 942, 447, 1, 0, 0, 20},	//688 Okular::LineAnnotation::setLineIntent(Okular::LineAnnotation::LineIntent)
    {46, 653, 0, 0, Smoke::mf_const, 96, 21},	//689 Okular::LineAnnotation::lineIntent() const
    {46, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 22},	//690 Okular::LineAnnotation::subType() const
    {46, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//691 Okular::LineAnnotation::store(QDomNode&, QDomDocument&) const
    {46, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 24},	//692 Okular::LineAnnotation::Square (enum)
    {46, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 25},	//693 Okular::LineAnnotation::Circle (enum)
    {46, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 26},	//694 Okular::LineAnnotation::Diamond (enum)
    {46, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 27},	//695 Okular::LineAnnotation::OpenArrow (enum)
    {46, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 28},	//696 Okular::LineAnnotation::ClosedArrow (enum)
    {46, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 29},	//697 Okular::LineAnnotation::None (enum)
    {46, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 30},	//698 Okular::LineAnnotation::Butt (enum)
    {46, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 31},	//699 Okular::LineAnnotation::ROpenArrow (enum)
    {46, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 32},	//700 Okular::LineAnnotation::RClosedArrow (enum)
    {46, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 33},	//701 Okular::LineAnnotation::Slash (enum)
    {46, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 34},	//702 Okular::LineAnnotation::Unknown (enum)
    {46, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 35},	//703 Okular::LineAnnotation::Arrow (enum)
    {46, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 36},	//704 Okular::LineAnnotation::Dimension (enum)
    {46, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 37},	//705 Okular::LineAnnotation::PolygonCloud (enum)
    {46, 1182, 0, 0, Smoke::mf_dtor, 0, 38 },	//706 Okular::LineAnnotation::~LineAnnotation()
    {48, 205, 0, 0, Smoke::mf_ctor, 101, 1},	//707 Okular::NormalizedPoint::NormalizedPoint()
    {48, 205, 49, 2, Smoke::mf_ctor, 101, 2},	//708 Okular::NormalizedPoint::NormalizedPoint(double, double)
    {48, 205, 449, 4, Smoke::mf_ctor, 101, 3},	//709 Okular::NormalizedPoint::NormalizedPoint(int, int, int, int)
    {48, 721, 33, 1, 0, 100, 4},	//710 Okular::NormalizedPoint::operator=(const Okular::NormalizedPoint&)
    {48, 1112, 57, 1, 0, 0, 5},	//711 Okular::NormalizedPoint::transform(const QTransform&)
    {48, 486, 52, 4, Smoke::mf_const, 368, 6},	//712 Okular::NormalizedPoint::distanceSqr(double, double, double, double) const
    {48, 486, 454, 6, Smoke::mf_static, 368, 7},	//713 Okular::NormalizedPoint::distanceSqr(double, double, double, double, const Okular::NormalizedPoint&, const Okular::NormalizedPoint&)
    {48, 205, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 8},	//714 Okular::NormalizedPoint::NormalizedPoint(const Okular::NormalizedPoint&)
    {48, 1151, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 368, 9},	//715 Okular::NormalizedPoint::x() const
    {48, 1043, 445, 1, Smoke::mf_attribute, 0, 10},	//716 Okular::NormalizedPoint::setX(double)
    {48, 1153, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 368, 11},	//717 Okular::NormalizedPoint::y() const
    {48, 1047, 445, 1, Smoke::mf_attribute, 0, 12},	//718 Okular::NormalizedPoint::setY(double)
    {48, 1183, 0, 0, Smoke::mf_dtor, 0, 13 },	//719 Okular::NormalizedPoint::~NormalizedPoint()
    {49, 209, 0, 0, Smoke::mf_ctor, 104, 1},	//720 Okular::NormalizedRect::NormalizedRect()
    {49, 209, 52, 4, Smoke::mf_ctor, 104, 2},	//721 Okular::NormalizedRect::NormalizedRect(double, double, double, double)
    {49, 209, 461, 3, Smoke::mf_ctor, 104, 3},	//722 Okular::NormalizedRect::NormalizedRect(const QRect&, double, double)
    {49, 209, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 4},	//723 Okular::NormalizedRect::NormalizedRect(const Okular::NormalizedRect&)
    {49, 721, 31, 1, 0, 103, 5},	//724 Okular::NormalizedRect::operator=(const Okular::NormalizedRect&)
    {49, 557, 465, 1, Smoke::mf_static, 102, 6},	//725 Okular::NormalizedRect::fromQRectF(const QRectF&)
    {49, 630, 0, 0, Smoke::mf_const, 279, 7},	//726 Okular::NormalizedRect::isNull() const
    {49, 444, 49, 2, Smoke::mf_const, 279, 8},	//727 Okular::NormalizedRect::contains(double, double) const
    {49, 616, 31, 1, Smoke::mf_const, 279, 9},	//728 Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    {49, 616, 467, 1, Smoke::mf_const, 279, 10},	//729 Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    {49, 616, 52, 4, Smoke::mf_const, 279, 11},	//730 Okular::NormalizedRect::intersects(double, double, double, double) const
    {49, 570, 469, 2, Smoke::mf_const, 192, 12},	//731 Okular::NormalizedRect::geometry(int, int) const
    {49, 836, 469, 2, Smoke::mf_const, 192, 13},	//732 Okular::NormalizedRect::roundedGeometry(int, int) const
    {49, 725, 31, 1, Smoke::mf_const, 102, 14},	//733 Okular::NormalizedRect::operator|(const Okular::NormalizedRect&) const
    {49, 727, 31, 1, 0, 103, 15},	//734 Okular::NormalizedRect::operator|=(const Okular::NormalizedRect&)
    {49, 717, 31, 1, Smoke::mf_const, 102, 16},	//735 Okular::NormalizedRect::operator&(const Okular::NormalizedRect&) const
    {49, 723, 31, 1, Smoke::mf_const, 279, 17},	//736 Okular::NormalizedRect::operator==(const Okular::NormalizedRect&) const
    {49, 433, 0, 0, Smoke::mf_const, 99, 18},	//737 Okular::NormalizedRect::center() const
    {49, 1112, 57, 1, 0, 0, 19},	//738 Okular::NormalizedRect::transform(const QTransform&)
    {49, 621, 33, 1, Smoke::mf_const, 279, 20},	//739 Okular::NormalizedRect::isBottom(const Okular::NormalizedPoint&) const
    {49, 639, 33, 1, Smoke::mf_const, 279, 21},	//740 Okular::NormalizedRect::isTop(const Okular::NormalizedPoint&) const
    {49, 623, 33, 1, Smoke::mf_const, 279, 22},	//741 Okular::NormalizedRect::isBottomOrLevel(const Okular::NormalizedPoint&) const
    {49, 641, 33, 1, Smoke::mf_const, 279, 23},	//742 Okular::NormalizedRect::isTopOrLevel(const Okular::NormalizedPoint&) const
    {49, 628, 33, 1, Smoke::mf_const, 279, 24},	//743 Okular::NormalizedRect::isLeft(const Okular::NormalizedPoint&) const
    {49, 636, 33, 1, Smoke::mf_const, 279, 25},	//744 Okular::NormalizedRect::isRight(const Okular::NormalizedPoint&) const
    {49, 486, 52, 4, Smoke::mf_const, 368, 26},	//745 Okular::NormalizedRect::distanceSqr(double, double, double, double) const
    {49, 649, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 368, 27},	//746 Okular::NormalizedRect::left() const
    {49, 934, 445, 1, Smoke::mf_attribute, 0, 28},	//747 Okular::NormalizedRect::setLeft(double)
    {49, 1102, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 368, 29},	//748 Okular::NormalizedRect::top() const
    {49, 1024, 445, 1, Smoke::mf_attribute, 0, 30},	//749 Okular::NormalizedRect::setTop(double)
    {49, 830, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 368, 31},	//750 Okular::NormalizedRect::right() const
    {49, 990, 445, 1, Smoke::mf_attribute, 0, 32},	//751 Okular::NormalizedRect::setRight(double)
    {49, 402, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 368, 33},	//752 Okular::NormalizedRect::bottom() const
    {49, 869, 445, 1, Smoke::mf_attribute, 0, 34},	//753 Okular::NormalizedRect::setBottom(double)
    {49, 1184, 0, 0, Smoke::mf_dtor, 0, 35 },	//754 Okular::NormalizedRect::~NormalizedRect()
    {50, 215, 472, 7, Smoke::mf_ctor, 105, 1},	//755 Okular::ObjectRect::ObjectRect(double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*)
    {50, 215, 480, 4, Smoke::mf_ctor, 105, 2},	//756 Okular::ObjectRect::ObjectRect(const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*)
    {50, 215, 485, 3, Smoke::mf_ctor, 105, 3},	//757 Okular::ObjectRect::ObjectRect(const QPolygonF&, Okular::ObjectRect::ObjectType, void*)
    {50, 704, 0, 0, Smoke::mf_const, 106, 4},	//758 Okular::ObjectRect::objectType() const
    {50, 699, 0, 0, Smoke::mf_const, 367, 5},	//759 Okular::ObjectRect::object() const
    {50, 807, 0, 0, Smoke::mf_const, 351, 6},	//760 Okular::ObjectRect::region() const
    {50, 404, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 192, 7},	//761 Okular::ObjectRect::boundingRect(double, double) const
    {50, 444, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 279, 8},	//762 Okular::ObjectRect::contains(double, double, double, double) const
    {50, 1112, 57, 1, Smoke::mf_virtual, 0, 9},	//763 Okular::ObjectRect::transform(const QTransform&)
    {50, 486, 52, 4, Smoke::mf_const, 368, 10},	//764 Okular::ObjectRect::distanceSqr(double, double, double, double) const
    {50, 215, 489, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 11},	//765 Okular::ObjectRect::ObjectRect(const Okular::ObjectRect&)
    {50, 672, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 106, 12},	//766 Okular::ObjectRect::m_objectType() const
    {50, 955, 491, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//767 Okular::ObjectRect::setM_objectType(Okular::ObjectRect::ObjectType)
    {50, 671, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 373, 14},	//768 Okular::ObjectRect::m_object() const
    {50, 953, 493, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//769 Okular::ObjectRect::setM_object(void*)
    {50, 673, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 188, 16},	//770 Okular::ObjectRect::m_path() const
    {50, 957, 495, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 17},	//771 Okular::ObjectRect::setM_path(const QPainterPath&)
    {50, 674, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 188, 18},	//772 Okular::ObjectRect::m_transformedPath() const
    {50, 959, 495, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//773 Okular::ObjectRect::setM_transformedPath(const QPainterPath&)
    {50, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 20},	//774 Okular::ObjectRect::Action (enum)
    {50, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 21},	//775 Okular::ObjectRect::Image (enum)
    {50, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 22},	//776 Okular::ObjectRect::OAnnotation (enum)
    {50, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 23},	//777 Okular::ObjectRect::SourceRef (enum)
    {50, 1185, 0, 0, Smoke::mf_dtor, 0, 24 },	//778 Okular::ObjectRect::~ObjectRect()
    {51, 229, 497, 4, Smoke::mf_ctor, 107, 1},	//779 Okular::Page::Page(unsigned int, double, double, Okular::Rotation)
    {51, 698, 0, 0, Smoke::mf_const, 370, 2},	//780 Okular::Page::number() const
    {51, 743, 0, 0, Smoke::mf_const, 123, 3},	//781 Okular::Page::orientation() const
    {51, 833, 0, 0, Smoke::mf_const, 123, 4},	//782 Okular::Page::rotation() const
    {51, 1103, 0, 0, Smoke::mf_const, 123, 5},	//783 Okular::Page::totalOrientation() const
    {51, 1144, 0, 0, Smoke::mf_const, 368, 6},	//784 Okular::Page::width() const
    {51, 600, 0, 0, Smoke::mf_const, 368, 7},	//785 Okular::Page::height() const
    {51, 800, 0, 0, Smoke::mf_const, 368, 8},	//786 Okular::Page::ratio() const
    {51, 403, 0, 0, Smoke::mf_const, 102, 9},	//787 Okular::Page::boundingBox() const
    {51, 625, 0, 0, Smoke::mf_const, 279, 10},	//788 Okular::Page::isBoundingBoxKnown() const
    {51, 871, 31, 1, 0, 0, 11},	//789 Okular::Page::setBoundingBox(const Okular::NormalizedRect&)
    {51, 591, 502, 4, Smoke::mf_const, 279, 12},	//790 Okular::Page::hasPixmap(Okular::DocumentObserver*, int, int, const Okular::NormalizedRect&) const
    {51, 596, 0, 0, Smoke::mf_const, 279, 13},	//791 Okular::Page::hasTextPage() const
    {51, 589, 52, 4, Smoke::mf_const, 279, 14},	//792 Okular::Page::hasObjectRect(double, double, double, double) const
    {51, 587, 29, 1, Smoke::mf_const, 279, 15},	//793 Okular::Page::hasHighlights(int) const
    {51, 599, 0, 0, Smoke::mf_const, 279, 16},	//794 Okular::Page::hasTransition() const
    {51, 584, 0, 0, Smoke::mf_const, 279, 17},	//795 Okular::Page::hasAnnotations() const
    {51, 537, 507, 5, Smoke::mf_const, 122, 18},	//796 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*) const
    {51, 1085, 513, 1, Smoke::mf_const, 196, 19},	//797 Okular::Page::text(const Okular::RegularAreaRect*) const
    {51, 1085, 515, 2, Smoke::mf_const, 196, 20},	//798 Okular::Page::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {51, 1149, 515, 2, Smoke::mf_const, 180, 21},	//799 Okular::Page::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {51, 1146, 518, 2, Smoke::mf_const, 122, 22},	//800 Okular::Page::wordAt(const Okular::NormalizedPoint&, QString*) const
    {51, 1089, 521, 1, Smoke::mf_const, 122, 23},	//801 Okular::Page::textArea(Okular::TextSelection*) const
    {51, 700, 523, 5, Smoke::mf_const, 313, 24},	//802 Okular::Page::objectRect(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {51, 702, 523, 5, Smoke::mf_const, 174, 25},	//803 Okular::Page::objectRects(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {51, 693, 529, 6, Smoke::mf_const, 313, 26},	//804 Okular::Page::nearestObjectRect(Okular::ObjectRect::ObjectType, double, double, double, double, double*) const
    {51, 1121, 0, 0, Smoke::mf_const, 317, 27},	//805 Okular::Page::transition() const
    {51, 392, 0, 0, Smoke::mf_const, 170, 28},	//806 Okular::Page::annotations() const
    {51, 746, 536, 1, Smoke::mf_const, 286, 29},	//807 Okular::Page::pageAction(Okular::Page::PageAction) const
    {51, 552, 0, 0, Smoke::mf_const, 172, 30},	//808 Okular::Page::formFields() const
    {51, 984, 538, 3, 0, 0, 31},	//809 Okular::Page::setPixmap(Okular::DocumentObserver*, QPixmap*, const Okular::NormalizedRect&)
    {51, 1018, 542, 1, 0, 0, 32},	//810 Okular::Page::setTextPage(Okular::TextPage*)
    {51, 974, 544, 1, 0, 0, 33},	//811 Okular::Page::setObjectRects(const QLinkedList<Okular::ObjectRect*>&)
    {51, 1006, 546, 1, 0, 0, 34},	//812 Okular::Page::setSourceReferences(const QLinkedList<Okular::SourceRefObjectRect*>&)
    {51, 897, 445, 1, 0, 0, 35},	//813 Okular::Page::setDuration(double)
    {51, 504, 0, 0, Smoke::mf_const, 368, 36},	//814 Okular::Page::duration() const
    {51, 932, 9, 1, 0, 0, 37},	//815 Okular::Page::setLabel(const QString&)
    {51, 648, 0, 0, Smoke::mf_const, 196, 38},	//816 Okular::Page::label() const
    {51, 1095, 0, 0, Smoke::mf_const, 320, 39},	//817 Okular::Page::textSelection() const
    {51, 1096, 0, 0, Smoke::mf_const, 156, 40},	//818 Okular::Page::textSelectionColor() const
    {51, 370, 47, 1, 0, 0, 41},	//819 Okular::Page::addAnnotation(Okular::Annotation*)
    {51, 810, 47, 1, 0, 279, 42},	//820 Okular::Page::removeAnnotation(Okular::Annotation*)
    {51, 1026, 548, 1, 0, 0, 43},	//821 Okular::Page::setTransition(Okular::PageTransition*)
    {51, 976, 550, 2, 0, 0, 44},	//822 Okular::Page::setPageAction(Okular::Page::PageAction, Okular::Action*)
    {51, 914, 553, 1, 0, 0, 45},	//823 Okular::Page::setFormFields(const QLinkedList<Okular::FormField*>&)
    {51, 472, 100, 1, 0, 0, 46},	//824 Okular::Page::deletePixmap(Okular::DocumentObserver*)
    {51, 474, 0, 0, 0, 0, 47},	//825 Okular::Page::deletePixmaps()
    {51, 475, 0, 0, 0, 0, 48},	//826 Okular::Page::deleteRects()
    {51, 476, 0, 0, 0, 0, 49},	//827 Okular::Page::deleteSourceReferences()
    {51, 469, 0, 0, 0, 0, 50},	//828 Okular::Page::deleteAnnotations()
    {51, 597, 555, 1, Smoke::mf_const, 279, 51},	//829 Okular::Page::hasTilesManager(const Okular::DocumentObserver*) const
    {51, 1098, 557, 2, Smoke::mf_const, 181, 52},	//830 Okular::Page::tilesAt(const Okular::DocumentObserver*, const Okular::NormalizedRect&) const
    {51, 591, 100, 1, Smoke::mf_const, 279, 53},	//831 Okular::Page::hasPixmap(Okular::DocumentObserver*) const
    {51, 591, 560, 2, Smoke::mf_const, 279, 54},	//832 Okular::Page::hasPixmap(Okular::DocumentObserver*, int) const
    {51, 591, 563, 3, Smoke::mf_const, 279, 55},	//833 Okular::Page::hasPixmap(Okular::DocumentObserver*, int, int) const
    {51, 587, 0, 0, Smoke::mf_const, 279, 56},	//834 Okular::Page::hasHighlights() const
    {51, 537, 567, 4, Smoke::mf_const, 122, 57},	//835 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity) const
    {51, 1085, 0, 0, Smoke::mf_const, 196, 58},	//836 Okular::Page::text() const
    {51, 1146, 33, 1, Smoke::mf_const, 122, 59},	//837 Okular::Page::wordAt(const Okular::NormalizedPoint&) const
    {51, 984, 572, 2, 0, 0, 60},	//838 Okular::Page::setPixmap(Okular::DocumentObserver*, QPixmap*)
    {51, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 61},	//839 Okular::Page::Opening (enum)
    {51, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 62},	//840 Okular::Page::Closing (enum)
    {51, 1186, 0, 0, Smoke::mf_dtor, 0, 63 },	//841 Okular::Page::~Page()
    {52, 237, 0, 0, Smoke::mf_ctor, 111, 1},	//842 Okular::PageSize::PageSize()
    {52, 237, 575, 3, Smoke::mf_ctor, 111, 2},	//843 Okular::PageSize::PageSize(double, double, const QString&)
    {52, 237, 199, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 3},	//844 Okular::PageSize::PageSize(const Okular::PageSize&)
    {52, 1144, 0, 0, Smoke::mf_const, 368, 4},	//845 Okular::PageSize::width() const
    {52, 600, 0, 0, Smoke::mf_const, 368, 5},	//846 Okular::PageSize::height() const
    {52, 691, 0, 0, Smoke::mf_const, 196, 6},	//847 Okular::PageSize::name() const
    {52, 630, 0, 0, Smoke::mf_const, 279, 7},	//848 Okular::PageSize::isNull() const
    {52, 721, 199, 1, 0, 110, 8},	//849 Okular::PageSize::operator=(const Okular::PageSize&)
    {52, 723, 199, 1, Smoke::mf_const, 279, 9},	//850 Okular::PageSize::operator==(const Okular::PageSize&) const
    {52, 715, 199, 1, Smoke::mf_const, 279, 10},	//851 Okular::PageSize::operator!=(const Okular::PageSize&) const
    {52, 1187, 0, 0, Smoke::mf_dtor, 0, 11 },	//852 Okular::PageSize::~PageSize()
    {53, 241, 579, 1, Smoke::mf_ctor, 113, 1},	//853 Okular::PageTransition::PageTransition(Okular::PageTransition::Type)
    {53, 241, 581, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 2},	//854 Okular::PageTransition::PageTransition(const Okular::PageTransition&)
    {53, 721, 581, 1, 0, 112, 3},	//855 Okular::PageTransition::operator=(const Okular::PageTransition&)
    {53, 1126, 0, 0, Smoke::mf_const, 116, 4},	//856 Okular::PageTransition::type() const
    {53, 504, 0, 0, Smoke::mf_const, 370, 5},	//857 Okular::PageTransition::duration() const
    {53, 384, 0, 0, Smoke::mf_const, 114, 6},	//858 Okular::PageTransition::alignment() const
    {53, 484, 0, 0, Smoke::mf_const, 115, 7},	//859 Okular::PageTransition::direction() const
    {53, 386, 0, 0, Smoke::mf_const, 370, 8},	//860 Okular::PageTransition::angle() const
    {53, 845, 0, 0, Smoke::mf_const, 368, 9},	//861 Okular::PageTransition::scale() const
    {53, 634, 0, 0, Smoke::mf_const, 279, 10},	//862 Okular::PageTransition::isRectangular() const
    {53, 1028, 579, 1, 0, 0, 11},	//863 Okular::PageTransition::setType(Okular::PageTransition::Type)
    {53, 897, 29, 1, 0, 0, 12},	//864 Okular::PageTransition::setDuration(int)
    {53, 857, 583, 1, 0, 0, 13},	//865 Okular::PageTransition::setAlignment(Okular::PageTransition::Alignment)
    {53, 891, 585, 1, 0, 0, 14},	//866 Okular::PageTransition::setDirection(Okular::PageTransition::Direction)
    {53, 859, 29, 1, 0, 0, 15},	//867 Okular::PageTransition::setAngle(int)
    {53, 996, 445, 1, 0, 0, 16},	//868 Okular::PageTransition::setScale(double)
    {53, 930, 192, 1, 0, 0, 17},	//869 Okular::PageTransition::setIsRectangular(bool)
    {53, 241, 0, 0, Smoke::mf_ctor, 113, 18},	//870 Okular::PageTransition::PageTransition()
    {53, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 19},	//871 Okular::PageTransition::Replace (enum)
    {53, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 20},	//872 Okular::PageTransition::Split (enum)
    {53, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 21},	//873 Okular::PageTransition::Blinds (enum)
    {53, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 22},	//874 Okular::PageTransition::Box (enum)
    {53, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 23},	//875 Okular::PageTransition::Wipe (enum)
    {53, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 24},	//876 Okular::PageTransition::Dissolve (enum)
    {53, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 25},	//877 Okular::PageTransition::Glitter (enum)
    {53, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 26},	//878 Okular::PageTransition::Fly (enum)
    {53, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 27},	//879 Okular::PageTransition::Push (enum)
    {53, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 28},	//880 Okular::PageTransition::Cover (enum)
    {53, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 29},	//881 Okular::PageTransition::Uncover (enum)
    {53, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 30},	//882 Okular::PageTransition::Fade (enum)
    {53, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 31},	//883 Okular::PageTransition::Horizontal (enum)
    {53, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 32},	//884 Okular::PageTransition::Vertical (enum)
    {53, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 33},	//885 Okular::PageTransition::Inward (enum)
    {53, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 34},	//886 Okular::PageTransition::Outward (enum)
    {53, 1188, 0, 0, Smoke::mf_dtor, 0, 35 },	//887 Okular::PageTransition::~PageTransition()
    {54, 247, 587, 6, Smoke::mf_ctor, 118, 1},	//888 Okular::PixmapRequest::PixmapRequest(Okular::DocumentObserver*, int, int, int, int, QFlags<Okular::PixmapRequest::PixmapRequestFeature>)
    {54, 705, 0, 0, Smoke::mf_const, 50, 2},	//889 Okular::PixmapRequest::observer() const
    {54, 753, 0, 0, Smoke::mf_const, 370, 3},	//890 Okular::PixmapRequest::pageNumber() const
    {54, 1144, 0, 0, Smoke::mf_const, 370, 4},	//891 Okular::PixmapRequest::width() const
    {54, 600, 0, 0, Smoke::mf_const, 370, 5},	//892 Okular::PixmapRequest::height() const
    {54, 783, 0, 0, Smoke::mf_const, 370, 6},	//893 Okular::PixmapRequest::priority() const
    {54, 396, 0, 0, Smoke::mf_const, 279, 7},	//894 Okular::PixmapRequest::asynchronous() const
    {54, 767, 0, 0, Smoke::mf_const, 279, 8},	//895 Okular::PixmapRequest::preload() const
    {54, 744, 0, 0, Smoke::mf_const, 107, 9},	//896 Okular::PixmapRequest::page() const
    {54, 1022, 192, 1, 0, 0, 10},	//897 Okular::PixmapRequest::setTile(bool)
    {54, 638, 0, 0, Smoke::mf_const, 279, 11},	//898 Okular::PixmapRequest::isTile() const
    {54, 972, 31, 1, 0, 0, 12},	//899 Okular::PixmapRequest::setNormalizedRect(const Okular::NormalizedRect&)
    {54, 695, 0, 0, Smoke::mf_const, 310, 13},	//900 Okular::PixmapRequest::normalizedRect() const
    {54, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 14},	//901 Okular::PixmapRequest::NoFeature (enum)
    {54, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 15},	//902 Okular::PixmapRequest::Asynchronous (enum)
    {54, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 16},	//903 Okular::PixmapRequest::Preload (enum)
    {54, 1189, 0, 0, Smoke::mf_dtor, 0, 17 },	//904 Okular::PixmapRequest::~PixmapRequest()
    {55, 774, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 1},	//905 Okular::PrintInterface::printConfigurationWidget() const [pure virtual]
    {55, 256, 0, 0, Smoke::mf_ctor, 120, 2},	//906 Okular::PrintInterface::PrintInterface()
    {55, 256, 594, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 3},	//907 Okular::PrintInterface::PrintInterface(const Okular::PrintInterface&)
    {55, 1190, 0, 0, Smoke::mf_dtor, 0, 4 },	//908 Okular::PrintInterface::~PrintInterface()
    {56, 272, 0, 0, Smoke::mf_ctor, 122, 1},	//909 Okular::RegularAreaRect::RegularAreaRect()
    {56, 272, 596, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 2},	//910 Okular::RegularAreaRect::RegularAreaRect(const Okular::RegularAreaRect&)
    {56, 721, 596, 1, 0, 121, 3},	//911 Okular::RegularAreaRect::operator=(const Okular::RegularAreaRect&)
    {56, 1191, 0, 0, Smoke::mf_dtor, 0, 4 },	//912 Okular::RegularAreaRect::~RegularAreaRect()
    {58, 282, 598, 2, Smoke::mf_ctor, 124, 1},	//913 Okular::ScriptAction::ScriptAction(Okular::ScriptType, const QString&)
    {58, 366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//914 Okular::ScriptAction::actionType() const
    {58, 365, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 3},	//915 Okular::ScriptAction::actionTip() const
    {58, 847, 0, 0, Smoke::mf_const, 125, 4},	//916 Okular::ScriptAction::scriptType() const
    {58, 846, 0, 0, Smoke::mf_const, 196, 5},	//917 Okular::ScriptAction::script() const
    {58, 1192, 0, 0, Smoke::mf_dtor, 0, 6 },	//918 Okular::ScriptAction::~ScriptAction()
    {59, 288, 601, 1, Smoke::mf_ctor, 127, 1},	//919 Okular::Sound::Sound(const QByteArray&)
    {59, 288, 9, 1, Smoke::mf_ctor, 127, 2},	//920 Okular::Sound::Sound(const QString&)
    {59, 1062, 0, 0, Smoke::mf_const, 129, 3},	//921 Okular::Sound::soundType() const
    {59, 1134, 0, 0, Smoke::mf_const, 196, 4},	//922 Okular::Sound::url() const
    {59, 468, 0, 0, Smoke::mf_const, 153, 5},	//923 Okular::Sound::data() const
    {59, 994, 445, 1, 0, 0, 6},	//924 Okular::Sound::setSamplingRate(double)
    {59, 839, 0, 0, Smoke::mf_const, 368, 7},	//925 Okular::Sound::samplingRate() const
    {59, 879, 29, 1, 0, 0, 8},	//926 Okular::Sound::setChannels(int)
    {59, 434, 0, 0, Smoke::mf_const, 370, 9},	//927 Okular::Sound::channels() const
    {59, 867, 29, 1, 0, 0, 10},	//928 Okular::Sound::setBitsPerSample(int)
    {59, 398, 0, 0, Smoke::mf_const, 370, 11},	//929 Okular::Sound::bitsPerSample() const
    {59, 1002, 603, 1, 0, 0, 12},	//930 Okular::Sound::setSoundEncoding(Okular::Sound::SoundEncoding)
    {59, 1060, 0, 0, Smoke::mf_const, 128, 13},	//931 Okular::Sound::soundEncoding() const
    {59, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 14},	//932 Okular::Sound::External (enum)
    {59, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 15},	//933 Okular::Sound::Embedded (enum)
    {59, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 16},	//934 Okular::Sound::Raw (enum)
    {59, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 17},	//935 Okular::Sound::Signed (enum)
    {59, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 18},	//936 Okular::Sound::muLaw (enum)
    {59, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 19},	//937 Okular::Sound::ALaw (enum)
    {59, 1193, 0, 0, Smoke::mf_dtor, 0, 20 },	//938 Okular::Sound::~Sound()
    {60, 291, 605, 5, Smoke::mf_ctor, 130, 1},	//939 Okular::SoundAction::SoundAction(double, bool, bool, bool, Okular::Sound*)
    {60, 366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//940 Okular::SoundAction::actionType() const
    {60, 365, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 196, 3},	//941 Okular::SoundAction::actionTip() const
    {60, 1139, 0, 0, Smoke::mf_const, 368, 4},	//942 Okular::SoundAction::volume() const
    {60, 1084, 0, 0, Smoke::mf_const, 279, 5},	//943 Okular::SoundAction::synchronous() const
    {60, 819, 0, 0, Smoke::mf_const, 279, 6},	//944 Okular::SoundAction::repeat() const
    {60, 685, 0, 0, Smoke::mf_const, 279, 7},	//945 Okular::SoundAction::mix() const
    {60, 1059, 0, 0, Smoke::mf_const, 127, 8},	//946 Okular::SoundAction::sound() const
    {60, 1194, 0, 0, Smoke::mf_dtor, 0, 9 },	//947 Okular::SoundAction::~SoundAction()
    {61, 293, 0, 0, Smoke::mf_ctor, 131, 1},	//948 Okular::SoundAnnotation::SoundAnnotation()
    {61, 293, 40, 1, Smoke::mf_ctor, 131, 2},	//949 Okular::SoundAnnotation::SoundAnnotation(const QDomNode&)
    {61, 1061, 0, 0, Smoke::mf_const, 196, 3},	//950 Okular::SoundAnnotation::soundIconName() const
    {61, 1004, 9, 1, 0, 0, 4},	//951 Okular::SoundAnnotation::setSoundIconName(const QString&)
    {61, 1059, 0, 0, Smoke::mf_const, 127, 5},	//952 Okular::SoundAnnotation::sound() const
    {61, 1000, 611, 1, 0, 0, 6},	//953 Okular::SoundAnnotation::setSound(Okular::Sound*)
    {61, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 7},	//954 Okular::SoundAnnotation::subType() const
    {61, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//955 Okular::SoundAnnotation::store(QDomNode&, QDomDocument&) const
    {61, 1195, 0, 0, Smoke::mf_dtor, 0, 9 },	//956 Okular::SoundAnnotation::~SoundAnnotation()
    {62, 296, 613, 2, Smoke::mf_ctor, 132, 1},	//957 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::NormalizedPoint&, void*)
    {62, 404, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 192, 2},	//958 Okular::SourceRefObjectRect::boundingRect(double, double) const
    {62, 444, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 279, 3},	//959 Okular::SourceRefObjectRect::contains(double, double, double, double) const
    {62, 296, 616, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 4},	//960 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::SourceRefObjectRect&)
    {62, 1196, 0, 0, Smoke::mf_dtor, 0, 5 },	//961 Okular::SourceRefObjectRect::~SourceRefObjectRect()
    {63, 299, 618, 3, Smoke::mf_ctor, 133, 1},	//962 Okular::SourceReference::SourceReference(const QString&, int, int)
    {63, 532, 0, 0, Smoke::mf_const, 196, 2},	//963 Okular::SourceReference::fileName() const
    {63, 838, 0, 0, Smoke::mf_const, 370, 3},	//964 Okular::SourceReference::row() const
    {63, 440, 0, 0, Smoke::mf_const, 370, 4},	//965 Okular::SourceReference::column() const
    {63, 299, 225, 2, Smoke::mf_ctor, 133, 5},	//966 Okular::SourceReference::SourceReference(const QString&, int)
    {63, 1197, 0, 0, Smoke::mf_dtor, 0, 6 },	//967 Okular::SourceReference::~SourceReference()
    {64, 305, 0, 0, Smoke::mf_ctor, 134, 1},	//968 Okular::StampAnnotation::StampAnnotation()
    {64, 305, 40, 1, Smoke::mf_ctor, 134, 2},	//969 Okular::StampAnnotation::StampAnnotation(const QDomNode&)
    {64, 1008, 9, 1, 0, 0, 3},	//970 Okular::StampAnnotation::setStampIconName(const QString&)
    {64, 1065, 0, 0, Smoke::mf_const, 196, 4},	//971 Okular::StampAnnotation::stampIconName() const
    {64, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 5},	//972 Okular::StampAnnotation::subType() const
    {64, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//973 Okular::StampAnnotation::store(QDomNode&, QDomDocument&) const
    {64, 1198, 0, 0, Smoke::mf_dtor, 0, 7 },	//974 Okular::StampAnnotation::~StampAnnotation()
    {65, 318, 0, 0, Smoke::mf_ctor, 135, 1},	//975 Okular::TextAnnotation::TextAnnotation()
    {65, 318, 40, 1, Smoke::mf_ctor, 135, 2},	//976 Okular::TextAnnotation::TextAnnotation(const QDomNode&)
    {65, 1020, 622, 1, 0, 0, 3},	//977 Okular::TextAnnotation::setTextType(Okular::TextAnnotation::TextType)
    {65, 1097, 0, 0, Smoke::mf_const, 137, 4},	//978 Okular::TextAnnotation::textType() const
    {65, 1016, 9, 1, 0, 0, 5},	//979 Okular::TextAnnotation::setTextIcon(const QString&)
    {65, 1092, 0, 0, Smoke::mf_const, 196, 6},	//980 Okular::TextAnnotation::textIcon() const
    {65, 1014, 624, 1, 0, 0, 7},	//981 Okular::TextAnnotation::setTextFont(const QFont&)
    {65, 1091, 0, 0, Smoke::mf_const, 168, 8},	//982 Okular::TextAnnotation::textFont() const
    {65, 924, 29, 1, 0, 0, 9},	//983 Okular::TextAnnotation::setInplaceAlignment(int)
    {65, 612, 0, 0, Smoke::mf_const, 370, 10},	//984 Okular::TextAnnotation::inplaceAlignment() const
    {65, 926, 626, 2, 0, 0, 11},	//985 Okular::TextAnnotation::setInplaceCallout(const Okular::NormalizedPoint&, int)
    {65, 613, 29, 1, Smoke::mf_const, 99, 12},	//986 Okular::TextAnnotation::inplaceCallout(int) const
    {65, 1118, 29, 1, Smoke::mf_const, 99, 13},	//987 Okular::TextAnnotation::transformedInplaceCallout(int) const
    {65, 928, 629, 1, 0, 0, 14},	//988 Okular::TextAnnotation::setInplaceIntent(Okular::TextAnnotation::InplaceIntent)
    {65, 615, 0, 0, Smoke::mf_const, 136, 15},	//989 Okular::TextAnnotation::inplaceIntent() const
    {65, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 16},	//990 Okular::TextAnnotation::subType() const
    {65, 1073, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 17},	//991 Okular::TextAnnotation::store(QDomNode&, QDomDocument&) const
    {65, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 18},	//992 Okular::TextAnnotation::Linked (enum)
    {65, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 19},	//993 Okular::TextAnnotation::InPlace (enum)
    {65, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 20},	//994 Okular::TextAnnotation::Unknown (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 21},	//995 Okular::TextAnnotation::Callout (enum)
    {65, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 22},	//996 Okular::TextAnnotation::TypeWriter (enum)
    {65, 1199, 0, 0, Smoke::mf_dtor, 0, 23 },	//997 Okular::TextAnnotation::~TextAnnotation()
    {66, 683, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//998 Okular::TextDocumentConverter::metaObject() const
    {66, 797, 80, 1, Smoke::mf_virtual, 373, 2},	//999 Okular::TextDocumentConverter::qt_metacast(const char*)
    {66, 1104, 82, 2, Smoke::mf_static, 196, 3},	//1000 Okular::TextDocumentConverter::tr(const char*, const char*)
    {66, 1108, 82, 2, Smoke::mf_static, 196, 4},	//1001 Okular::TextDocumentConverter::trUtf8(const char*, const char*)
    {66, 1104, 85, 3, Smoke::mf_static, 196, 5},	//1002 Okular::TextDocumentConverter::tr(const char*, const char*, int)
    {66, 1108, 85, 3, Smoke::mf_static, 196, 6},	//1003 Okular::TextDocumentConverter::trUtf8(const char*, const char*, int)
    {66, 795, 89, 3, Smoke::mf_virtual, 370, 7},	//1004 Okular::TextDocumentConverter::qt_metacall(QMetaObject::Call, int, void**)
    {66, 320, 0, 0, Smoke::mf_ctor, 138, 8},	//1005 Okular::TextDocumentConverter::TextDocumentConverter()
    {66, 451, 9, 1, Smoke::mf_virtual, 201, 9},	//1006 Okular::TextDocumentConverter::convert(const QString&)
    {66, 453, 285, 2, Smoke::mf_virtual, 38, 10},	//1007 Okular::TextDocumentConverter::convertWithPassword(const QString&, const QString&)
    {66, 492, 0, 0, 0, 201, 11},	//1008 Okular::TextDocumentConverter::document()
    {66, 368, 631, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1009 Okular::TextDocumentConverter::addAction(Okular::Action*, int, int)
    {66, 370, 635, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1010 Okular::TextDocumentConverter::addAnnotation(Okular::Annotation*, int, int)
    {66, 382, 639, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1011 Okular::TextDocumentConverter::addTitle(int, const QString&, const QTextBlock&)
    {66, 373, 278, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1012 Okular::TextDocumentConverter::addMetaData(const QString&, const QString&, const QString&)
    {66, 373, 282, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1013 Okular::TextDocumentConverter::addMetaData(Okular::DocumentInfo::Key, const QString&)
    {66, 521, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1014 Okular::TextDocumentConverter::error(const QString&, int)
    {66, 1142, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1015 Okular::TextDocumentConverter::warning(const QString&, int)
    {66, 696, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1016 Okular::TextDocumentConverter::notice(const QString&, int)
    {66, 895, 643, 1, Smoke::mf_protected, 0, 20},	//1017 Okular::TextDocumentConverter::setDocument(QTextDocument*)
    {66, 408, 645, 2, Smoke::mf_protected, 52, 21},	//1018 Okular::TextDocumentConverter::calculateViewport(QTextDocument*, const QTextBlock&)
    {66, 567, 0, 0, Smoke::mf_const|Smoke::mf_protected, 139, 22},	//1019 Okular::TextDocumentConverter::generator() const
    {66, 1104, 80, 1, Smoke::mf_static, 196, 23},	//1020 Okular::TextDocumentConverter::tr(const char*)
    {66, 1108, 80, 1, Smoke::mf_static, 196, 24},	//1021 Okular::TextDocumentConverter::trUtf8(const char*)
    {66, 1071, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 25},	//1022 Okular::TextDocumentConverter::staticMetaObject() const
    {66, 1200, 0, 0, Smoke::mf_dtor, 0, 26 },	//1023 Okular::TextDocumentConverter::~TextDocumentConverter()
    {67, 683, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1024 Okular::TextDocumentGenerator::metaObject() const
    {67, 797, 80, 1, Smoke::mf_virtual, 373, 2},	//1025 Okular::TextDocumentGenerator::qt_metacast(const char*)
    {67, 1104, 82, 2, Smoke::mf_static, 196, 3},	//1026 Okular::TextDocumentGenerator::tr(const char*, const char*)
    {67, 1108, 82, 2, Smoke::mf_static, 196, 4},	//1027 Okular::TextDocumentGenerator::trUtf8(const char*, const char*)
    {67, 1104, 85, 3, Smoke::mf_static, 196, 5},	//1028 Okular::TextDocumentGenerator::tr(const char*, const char*, int)
    {67, 1108, 85, 3, Smoke::mf_static, 196, 6},	//1029 Okular::TextDocumentGenerator::trUtf8(const char*, const char*, int)
    {67, 795, 89, 3, Smoke::mf_virtual, 370, 7},	//1030 Okular::TextDocumentGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {67, 321, 648, 4, Smoke::mf_ctor, 139, 8},	//1031 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, const QString&, QObject*, const QList<QVariant>&)
    {67, 321, 653, 3, Smoke::mf_ctor, 139, 9},	//1032 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&)
    {67, 668, 390, 3, Smoke::mf_virtual, 38, 10},	//1033 Okular::TextDocumentGenerator::loadDocumentWithPassword(const QString&, QVector<Okular::Page*>&, const QString&)
    {67, 415, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 11},	//1034 Okular::TextDocumentGenerator::canGeneratePixmap() const
    {67, 563, 398, 1, Smoke::mf_virtual, 0, 12},	//1035 Okular::TextDocumentGenerator::generatePixmap(Okular::PixmapRequest*)
    {67, 770, 173, 1, Smoke::mf_virtual, 279, 13},	//1036 Okular::TextDocumentGenerator::print(QPrinter&)
    {67, 525, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 14},	//1037 Okular::TextDocumentGenerator::exportFormats() const
    {67, 526, 109, 2, Smoke::mf_virtual, 279, 15},	//1038 Okular::TextDocumentGenerator::exportTo(const QString&, const Okular::ExportFormat&)
    {67, 818, 0, 0, Smoke::mf_virtual, 279, 16},	//1039 Okular::TextDocumentGenerator::reparseConfig()
    {67, 380, 76, 1, Smoke::mf_virtual, 0, 17},	//1040 Okular::TextDocumentGenerator::addPages(KConfigDialog*)
    {67, 559, 0, 0, 0, 140, 18},	//1041 Okular::TextDocumentGenerator::generalSettings()
    {67, 560, 102, 1, Smoke::mf_const|Smoke::mf_virtual, 46, 19},	//1042 Okular::TextDocumentGenerator::generateDocumentInfo(const QSet<Okular::DocumentInfo::Key>&) const
    {67, 562, 0, 0, Smoke::mf_virtual, 299, 20},	//1043 Okular::TextDocumentGenerator::generateDocumentSynopsis()
    {67, 489, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 279, 21},	//1044 Okular::TextDocumentGenerator::doCloseDocument()
    {67, 1093, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 142, 22},	//1045 Okular::TextDocumentGenerator::textPage(Okular::Page*)
    {67, 1104, 80, 1, Smoke::mf_static, 196, 23},	//1046 Okular::TextDocumentGenerator::tr(const char*)
    {67, 1108, 80, 1, Smoke::mf_static, 196, 24},	//1047 Okular::TextDocumentGenerator::trUtf8(const char*)
    {67, 1071, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 25},	//1048 Okular::TextDocumentGenerator::staticMetaObject() const
    {67, 1201, 0, 0, Smoke::mf_dtor, 0, 26 },	//1049 Okular::TextDocumentGenerator::~TextDocumentGenerator()
    {69, 324, 657, 2, Smoke::mf_ctor, 141, 1},	//1050 Okular::TextEntity::TextEntity(const QString&, Okular::NormalizedRect*)
    {69, 1085, 0, 0, Smoke::mf_const, 196, 2},	//1051 Okular::TextEntity::text() const
    {69, 395, 0, 0, Smoke::mf_const, 104, 3},	//1052 Okular::TextEntity::area() const
    {69, 1114, 57, 1, Smoke::mf_const, 102, 4},	//1053 Okular::TextEntity::transformedArea(const QTransform&) const
    {69, 1202, 0, 0, Smoke::mf_dtor, 0, 5 },	//1054 Okular::TextEntity::~TextEntity()
    {70, 327, 0, 0, Smoke::mf_ctor, 142, 1},	//1055 Okular::TextPage::TextPage()
    {70, 327, 660, 1, Smoke::mf_ctor, 142, 2},	//1056 Okular::TextPage::TextPage(const QList<Okular::TextEntity*>&)
    {70, 393, 657, 2, 0, 0, 3},	//1057 Okular::TextPage::append(const QString&, Okular::NormalizedRect*)
    {70, 537, 507, 5, 0, 122, 4},	//1058 Okular::TextPage::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*)
    {70, 1085, 513, 1, Smoke::mf_const, 196, 5},	//1059 Okular::TextPage::text(const Okular::RegularAreaRect*) const
    {70, 1085, 515, 2, Smoke::mf_const, 196, 6},	//1060 Okular::TextPage::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {70, 1149, 515, 2, Smoke::mf_const, 180, 7},	//1061 Okular::TextPage::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {70, 1146, 518, 2, Smoke::mf_const, 122, 8},	//1062 Okular::TextPage::wordAt(const Okular::NormalizedPoint&, QString*) const
    {70, 1089, 521, 1, Smoke::mf_const, 122, 9},	//1063 Okular::TextPage::textArea(Okular::TextSelection*) const
    {70, 1085, 0, 0, Smoke::mf_const, 196, 10},	//1064 Okular::TextPage::text() const
    {70, 1146, 33, 1, Smoke::mf_const, 122, 11},	//1065 Okular::TextPage::wordAt(const Okular::NormalizedPoint&) const
    {70, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 12},	//1066 Okular::TextPage::AnyPixelTextAreaInclusionBehaviour (enum)
    {70, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 13},	//1067 Okular::TextPage::CentralPixelTextAreaInclusionBehaviour (enum)
    {70, 1203, 0, 0, Smoke::mf_dtor, 0, 14 },	//1068 Okular::TextPage::~TextPage()
    {72, 330, 662, 3, Smoke::mf_ctor, 147, 1},	//1069 Okular::Tile::Tile(const Okular::NormalizedRect&, QPixmap*, bool)
    {72, 330, 666, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 2},	//1070 Okular::Tile::Tile(const Okular::Tile&)
    {72, 805, 0, 0, Smoke::mf_const, 102, 3},	//1071 Okular::Tile::rect() const
    {72, 766, 0, 0, Smoke::mf_const, 189, 4},	//1072 Okular::Tile::pixmap() const
    {72, 643, 0, 0, Smoke::mf_const, 279, 5},	//1073 Okular::Tile::isValid() const
    {72, 721, 666, 1, 0, 146, 6},	//1074 Okular::Tile::operator=(const Okular::Tile&)
    {72, 1204, 0, 0, Smoke::mf_dtor, 0, 7 },	//1075 Okular::Tile::~Tile()
    {73, 831, 668, 4, Smoke::mf_static, 192, 1},	//1076 Okular::Utils::rotateRect(const QRect&, int, int, int)
    {73, 502, 0, 0, Smoke::mf_static, 368, 2},	//1077 Okular::Utils::dpiX()
    {73, 503, 0, 0, Smoke::mf_static, 368, 3},	//1078 Okular::Utils::dpiY()
    {73, 803, 0, 0, Smoke::mf_static, 368, 4},	//1079 Okular::Utils::realDpiX()
    {73, 804, 0, 0, Smoke::mf_static, 368, 5},	//1080 Okular::Utils::realDpiY()
    {73, 801, 93, 1, Smoke::mf_static, 195, 6},	//1081 Okular::Utils::realDpi(QWidget*)
    {73, 609, 673, 1, Smoke::mf_static, 102, 7},	//1082 Okular::Utils::imageBoundingBox(const QImage*)
    {73, 350, 0, 0, Smoke::mf_ctor, 148, 8},	//1083 Okular::Utils::Utils()
    {73, 350, 675, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 9},	//1084 Okular::Utils::Utils(const Okular::Utils&)
    {73, 1205, 0, 0, Smoke::mf_dtor, 0, 10 },	//1085 Okular::Utils::~Utils()
    {75, 353, 418, 2, Smoke::mf_ctor, 150, 1},	//1086 Okular::VisiblePageRect::VisiblePageRect(int, const Okular::NormalizedRect&)
    {75, 353, 677, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 2},	//1087 Okular::VisiblePageRect::VisiblePageRect(const Okular::VisiblePageRect&)
    {75, 353, 0, 0, Smoke::mf_ctor, 150, 3},	//1088 Okular::VisiblePageRect::VisiblePageRect()
    {75, 353, 29, 1, Smoke::mf_ctor, 150, 4},	//1089 Okular::VisiblePageRect::VisiblePageRect(int)
    {75, 753, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 370, 5},	//1090 Okular::VisiblePageRect::pageNumber() const
    {75, 978, 29, 1, Smoke::mf_attribute, 0, 6},	//1091 Okular::VisiblePageRect::setPageNumber(int)
    {75, 805, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 103, 7},	//1092 Okular::VisiblePageRect::rect() const
    {75, 988, 31, 1, Smoke::mf_attribute, 0, 8},	//1093 Okular::VisiblePageRect::setRect(const Okular::NormalizedRect&)
    {75, 1206, 0, 0, Smoke::mf_dtor, 0, 9 },	//1094 Okular::VisiblePageRect::~VisiblePageRect()
    {87, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 1},	//1095 QGlobalSpace::_IEEE_ (enum)
    {87, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 2},	//1096 QGlobalSpace::_SVID_ (enum)
    {87, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 3},	//1097 QGlobalSpace::_XOPEN_ (enum)
    {87, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 4},	//1098 QGlobalSpace::_POSIX_ (enum)
    {87, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 5},	//1099 QGlobalSpace::_ISOC_ (enum)
    {87, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 6},	//1100 QGlobalSpace::KST_KSycocaEntry (enum)
    {87, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 7},	//1101 QGlobalSpace::KST_KService (enum)
    {87, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 8},	//1102 QGlobalSpace::KST_KServiceType (enum)
    {87, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 9},	//1103 QGlobalSpace::KST_KMimeType (enum)
    {87, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 10},	//1104 QGlobalSpace::KST_KFolderMimeType (enum)
    {87, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 11},	//1105 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {87, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 12},	//1106 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {87, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 13},	//1107 QGlobalSpace::KST_KServiceGroup (enum)
    {87, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 14},	//1108 QGlobalSpace::KST_KImageIOFormat (enum)
    {87, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 15},	//1109 QGlobalSpace::KST_KProtocolInfo (enum)
    {87, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 16},	//1110 QGlobalSpace::KST_KServiceSeparator (enum)
    {87, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 17},	//1111 QGlobalSpace::KST_KCustom (enum)
    {87, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 18},	//1112 QGlobalSpace::KST_KServiceFactory (enum)
    {87, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 19},	//1113 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {87, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 20},	//1114 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {87, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 21},	//1115 QGlobalSpace::KST_KImageIO (enum)
    {87, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 22},	//1116 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {87, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 23},	//1117 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {87, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 24},	//1118 QGlobalSpace::KST_CTimeInfo (enum)
    {91, 523, 679, 1, Smoke::mf_virtual, 279, 0},	//1119 QObject::event(QEvent*)
    {91, 524, 681, 2, Smoke::mf_virtual, 279, 0},	//1120 QObject::eventFilter(QObject*, QEvent*)
    {91, 1100, 684, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1121 QObject::timerEvent(QTimerEvent*)
    {91, 435, 686, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1122 QObject::childEvent(QChildEvent*)
    {91, 466, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1123 QObject::customEvent(QEvent*)
    {91, 443, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1124 QObject::connectNotify(const char*)
    {91, 485, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1125 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    110,  // Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    115,  // Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    0,
    356,  // Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    357,  // Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    0,
    327,  // Okular::DocumentInfo::get(Okular::DocumentInfo::Key) const
    328,  // Okular::DocumentInfo::get(const QString&) const
    0,
    331,  // Okular::DocumentInfo::getKeyTitle(const QString&) const
    333,  // Okular::DocumentInfo::getKeyTitle(Okular::DocumentInfo::Key)
    0,
    330,  // Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    335,  // Okular::DocumentInfo::set(const QString&, const QString&)
    0,
    65,  // Okular::Annotation::d_func()
    66,  // Okular::Annotation::d_func() const
    0,
    52,  // Okular::Annotation::revisions()
    53,  // Okular::Annotation::revisions() const
    0,
    48,  // Okular::Annotation::style()
    49,  // Okular::Annotation::style() const
    0,
    50,  // Okular::Annotation::window()
    51,  // Okular::Annotation::window() const
    0,
    593,  // Okular::Generator::d_func()
    594,  // Okular::Generator::d_func() const
    0,
    498,  // Okular::FormField::d_func()
    499,  // Okular::FormField::d_func() const
    0,
    728,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    729,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    0,
    359,  // Okular::DocumentViewport::DocumentViewport(int)
    360,  // Okular::DocumentViewport::DocumentViewport(const QString&)
    0,
    21,  // Okular::Action::d_func()
    22,  // Okular::Action::d_func() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {8, 17, 20},	// Okular::Action::Action#
    {8, 36, 25},	// Okular::Action::Browse
    {8, 76, 26},	// Okular::Action::DocAction
    {8, 95, 24},	// Okular::Action::Execute
    {8, 137, 23},	// Okular::Action::Goto
    {8, 191, 28},	// Okular::Action::Movie
    {8, 276, 30},	// Okular::Action::Rendition
    {8, 281, 29},	// Okular::Action::Script
    {8, 288, 27},	// Okular::Action::Sound
    {8, 365, 17},	// Okular::Action::actionTip
    {8, 366, 16},	// Okular::Action::actionType
    {8, 467, -40},	// Okular::Action::d_func
    {8, 692, 19},	// Okular::Action::nativeId
    {8, 966, 18},	// Okular::Action::setNativeId#
    {8, 1154, 31},	// Okular::Action::~Action
    {10, 1, 73},	// Okular::Annotation::ACaret
    {10, 2, 74},	// Okular::Annotation::AFileAttachment
    {10, 3, 69},	// Okular::Annotation::AGeom
    {10, 4, 70},	// Okular::Annotation::AHighlight
    {10, 5, 72},	// Okular::Annotation::AInk
    {10, 7, 68},	// Okular::Annotation::ALine
    {10, 8, 76},	// Okular::Annotation::AMovie
    {10, 9, 77},	// Okular::Annotation::AScreen
    {10, 10, 75},	// Okular::Annotation::ASound
    {10, 11, 71},	// Okular::Annotation::AStamp
    {10, 12, 67},	// Okular::Annotation::AText
    {10, 13, 78},	// Okular::Annotation::AWidget
    {10, 14, 79},	// Okular::Annotation::A_BASE
    {10, 15, 103},	// Okular::Annotation::Accepted
    {10, 20, 63},	// Okular::Annotation::Annotation#
    {10, 21, 64},	// Okular::Annotation::Annotation##
    {10, 32, 89},	// Okular::Annotation::BeingMoved
    {10, 33, 92},	// Okular::Annotation::Beveled
    {10, 46, 105},	// Okular::Annotation::Cancelled
    {10, 57, 96},	// Okular::Annotation::Cloudy
    {10, 59, 106},	// Okular::Annotation::Completed
    {10, 67, 91},	// Okular::Annotation::Dashed
    {10, 68, 99},	// Okular::Annotation::Delete
    {10, 69, 85},	// Okular::Annotation::DenyDelete
    {10, 70, 83},	// Okular::Annotation::DenyPrint
    {10, 71, 84},	// Okular::Annotation::DenyWrite
    {10, 102, 87},	// Okular::Annotation::External
    {10, 103, 88},	// Okular::Annotation::ExternallyDrawn
    {10, 113, 82},	// Okular::Annotation::FixedRotation
    {10, 114, 81},	// Okular::Annotation::FixedSize
    {10, 141, 98},	// Okular::Annotation::Group
    {10, 145, 80},	// Okular::Annotation::Hidden
    {10, 158, 93},	// Okular::Annotation::Inset
    {10, 187, 101},	// Okular::Annotation::Marked
    {10, 196, 95},	// Okular::Annotation::NoEffect
    {10, 203, 100},	// Okular::Annotation::None
    {10, 231, 108},	// Okular::Annotation::PageClosing
    {10, 235, 107},	// Okular::Annotation::PageOpening
    {10, 274, 104},	// Okular::Annotation::Rejected
    {10, 278, 97},	// Okular::Annotation::Reply
    {10, 287, 90},	// Okular::Annotation::Solid
    {10, 335, 86},	// Okular::Annotation::ToggleHidingOnMouse
    {10, 346, 94},	// Okular::Annotation::Underline
    {10, 349, 102},	// Okular::Annotation::Unmarked
    {10, 397, 33},	// Okular::Annotation::author
    {10, 406, 45},	// Okular::Annotation::boundingRectangle
    {10, 411, 57},	// Okular::Annotation::canBeMoved
    {10, 447, 35},	// Okular::Annotation::contents
    {10, 459, 41},	// Okular::Annotation::creationDate
    {10, 467, -16},	// Okular::Annotation::d_func
    {10, 540, 43},	// Okular::Annotation::flags
    {10, 574, 61},	// Okular::Annotation::getAnnotationPropertiesDomNode
    {10, 686, 39},	// Okular::Annotation::modificationDate
    {10, 692, 55},	// Okular::Annotation::nativeId
    {10, 706, 58},	// Okular::Annotation::openDialogAfterCreation
    {10, 829, -19},	// Okular::Annotation::revisions
    {10, 864, 62},	// Okular::Annotation::setAnnotationProperties#
    {10, 866, 32},	// Okular::Annotation::setAuthor$
    {10, 874, 44},	// Okular::Annotation::setBoundingRectangle#
    {10, 883, 34},	// Okular::Annotation::setContents$
    {10, 885, 40},	// Okular::Annotation::setCreationDate#
    {10, 894, 56},	// Okular::Annotation::setDisposeDataFunction$
    {10, 913, 42},	// Okular::Annotation::setFlags$
    {10, 962, 38},	// Okular::Annotation::setModificationDate#
    {10, 966, 54},	// Okular::Annotation::setNativeId#
    {10, 1031, 36},	// Okular::Annotation::setUniqueName$
    {10, 1074, 60},	// Okular::Annotation::store##
    {10, 1077, -22},	// Okular::Annotation::style
    {10, 1078, 59},	// Okular::Annotation::subType
    {10, 1116, 46},	// Okular::Annotation::transformedBoundingRectangle
    {10, 1123, 47},	// Okular::Annotation::translate#
    {10, 1129, 37},	// Okular::Annotation::uniqueName
    {10, 1145, -25},	// Okular::Annotation::window
    {10, 1155, 109},	// Okular::Annotation::~Annotation
    {14, 23, -1},	// Okular::AnnotationObjectRect::AnnotationObjectRect#
    {14, 387, 111},	// Okular::AnnotationObjectRect::annotation
    {14, 405, 112},	// Okular::AnnotationObjectRect::boundingRect$$
    {14, 446, 113},	// Okular::AnnotationObjectRect::contains$$$$
    {14, 1113, 114},	// Okular::AnnotationObjectRect::transform#
    {14, 1156, 116},	// Okular::AnnotationObjectRect::~AnnotationObjectRect
    {16, 24, 121},	// Okular::AnnotationUtils::AnnotationUtils
    {16, 25, 122},	// Okular::AnnotationUtils::AnnotationUtils#
    {16, 391, 120},	// Okular::AnnotationUtils::annotationGeometry#$$
    {16, 458, 117},	// Okular::AnnotationUtils::createAnnotation#
    {16, 536, 119},	// Okular::AnnotationUtils::findChildElement#$
    {16, 1076, 118},	// Okular::AnnotationUtils::storeAnnotation###
    {16, 1157, 123},	// Okular::AnnotationUtils::~AnnotationUtils
    {18, 38, 124},	// Okular::BrowseAction::BrowseAction$
    {18, 365, 126},	// Okular::BrowseAction::actionTip
    {18, 366, 125},	// Okular::BrowseAction::actionType
    {18, 1134, 127},	// Okular::BrowseAction::url
    {18, 1158, 128},	// Okular::BrowseAction::~BrowseAction
    {19, 47, 129},	// Okular::CaretAnnotation::CaretAnnotation
    {19, 48, 130},	// Okular::CaretAnnotation::CaretAnnotation#
    {19, 203, 135},	// Okular::CaretAnnotation::None
    {19, 227, 136},	// Okular::CaretAnnotation::P
    {19, 432, 132},	// Okular::CaretAnnotation::caretSymbol
    {19, 878, 131},	// Okular::CaretAnnotation::setCaretSymbol$
    {19, 1074, 134},	// Okular::CaretAnnotation::store##
    {19, 1078, 133},	// Okular::CaretAnnotation::subType
    {19, 1159, 137},	// Okular::CaretAnnotation::~CaretAnnotation
    {20, 60, 140},	// Okular::ConfigInterface::ConfigInterface
    {20, 61, 141},	// Okular::ConfigInterface::ConfigInterface#
    {20, 381, 139},	// Okular::ConfigInterface::addPages#
    {20, 818, 138},	// Okular::ConfigInterface::reparseConfig
    {20, 1160, 142},	// Okular::ConfigInterface::~ConfigInterface
    {21, 18, 293},	// Okular::Document::AllDocument
    {21, 78, 150},	// Okular::Document::Document#
    {21, 93, 299},	// Okular::Document::EndOfDocumentReached
    {21, 135, 294},	// Okular::Document::GoogleAll
    {21, 136, 295},	// Okular::Document::GoogleAny
    {21, 188, 296},	// Okular::Document::MatchFound
    {21, 193, 301},	// Okular::Document::NativePrinting
    {21, 194, 291},	// Okular::Document::NextMatch
    {21, 199, 297},	// Okular::Document::NoMatchFound
    {21, 200, 289},	// Okular::Document::NoOption
    {21, 202, 300},	// Okular::Document::NoPrinting
    {21, 222, 287},	// Okular::Document::OpenError
    {21, 223, 288},	// Okular::Document::OpenNeedsPassword
    {21, 224, 286},	// Okular::Document::OpenSuccess
    {21, 252, 302},	// Okular::Document::PostscriptPrinting
    {21, 255, 292},	// Okular::Document::PreviousMatch
    {21, 275, 290},	// Okular::Document::RemoveAllPrevious
    {21, 279, 304},	// Okular::Document::SaveAnnotationsCapability
    {21, 280, 303},	// Okular::Document::SaveFormsCapability
    {21, 284, 298},	// Okular::Document::SearchCancelled
    {21, 377, 153},	// Okular::Document::addObserver#
    {21, 379, 197},	// Okular::Document::addPageAnnotation$#
    {21, 385, 184},	// Okular::Document::allPagesSize
    {21, 389, 269},	// Okular::Document::annotationContentsChangedByUndoRedo#$$$
    {21, 399, 213},	// Okular::Document::bookmarkManager
    {21, 400, 215},	// Okular::Document::bookmarkedPageList
    {21, 401, 216},	// Okular::Document::bookmarkedPageRange
    {21, 413, 218},	// Okular::Document::canConfigurePrinter
    {21, 414, 176},	// Okular::Document::canExportToText
    {21, 418, 198},	// Okular::Document::canModifyPageAnnotation#
    {21, 419, 162},	// Okular::Document::canProvideFontInformation
    {21, 420, 208},	// Okular::Document::canRedo
    {21, 422, 267},	// Okular::Document::canRedoChanged$
    {21, 424, 203},	// Okular::Document::canRemovePageAnnotation#
    {21, 425, 229},	// Okular::Document::canSaveChanges
    {21, 426, 228},	// Okular::Document::canSaveChanges$
    {21, 427, 207},	// Okular::Document::canUndo
    {21, 429, 266},	// Okular::Document::canUndoChanged$
    {21, 430, 243},	// Okular::Document::cancelSearch
    {21, 438, 250},	// Okular::Document::close
    {21, 439, 152},	// Okular::Document::closeDocument
    {21, 441, 227},	// Okular::Document::componentData
    {21, 442, 225},	// Okular::Document::configurableGenerators
    {21, 449, 210},	// Okular::Document::continueSearch$
    {21, 450, 211},	// Okular::Document::continueSearch$$
    {21, 464, 170},	// Okular::Document::currentDocument
    {21, 465, 168},	// Okular::Document::currentPage
    {21, 494, 157},	// Okular::Document::documentInfo
    {21, 495, 158},	// Okular::Document::documentInfo?
    {21, 499, 159},	// Okular::Document::documentSynopsis
    {21, 506, 237},	// Okular::Document::dynamicSourceReference$$$
    {21, 509, 249},	// Okular::Document::editFormButtons$??
    {21, 511, 248},	// Okular::Document::editFormCombo$#$$$$
    {21, 513, 247},	// Okular::Document::editFormList$#?
    {21, 515, 246},	// Okular::Document::editFormText$#$$$$
    {21, 517, 202},	// Okular::Document::editPageAnnotationContents$#$$$$
    {21, 520, 163},	// Okular::Document::embeddedFiles
    {21, 522, 257},	// Okular::Document::error$$
    {21, 525, 178},	// Okular::Document::exportFormats
    {21, 527, 179},	// Okular::Document::exportTo$#
    {21, 529, 177},	// Okular::Document::exportToText$
    {21, 534, 224},	// Okular::Document::fillConfigDialog#
    {21, 542, 234},	// Okular::Document::fontData#
    {21, 543, 262},	// Okular::Document::fontReadingEnded
    {21, 545, 261},	// Okular::Document::fontReadingProgress$
    {21, 549, 273},	// Okular::Document::formButtonsChangedByUndoRedo$?
    {21, 551, 272},	// Okular::Document::formComboChangedByUndoRedo$#$$$
    {21, 554, 271},	// Okular::Document::formListChangedByUndoRedo$#?
    {21, 556, 270},	// Okular::Document::formTextChangedByUndoRedo$#$$$
    {21, 582, 260},	// Okular::Document::gotFont#
    {21, 583, 186},	// Okular::Document::guiClient
    {21, 603, 180},	// Okular::Document::historyAtBegin
    {21, 604, 181},	// Okular::Document::historyAtEnd
    {21, 620, 171},	// Okular::Document::isAllowed$
    {21, 631, 156},	// Okular::Document::isOpened
    {21, 658, 255},	// Okular::Document::linkEndPresentation
    {21, 659, 252},	// Okular::Document::linkFind
    {21, 660, 253},	// Okular::Document::linkGoToPage
    {21, 661, 254},	// Okular::Document::linkPresentation
    {21, 681, 278},	// Okular::Document::metaData$
    {21, 682, 182},	// Okular::Document::metaData$#
    {21, 683, 143},	// Okular::Document::metaObject
    {21, 688, 200},	// Okular::Document::modifyPageAnnotationProperties$#
    {21, 697, 259},	// Okular::Document::notice$$
    {21, 708, 276},	// Okular::Document::openDocument$#?
    {21, 709, 151},	// Okular::Document::openDocument$#?$
    {21, 711, 284},	// Okular::Document::openDocumentArchive$#
    {21, 712, 235},	// Okular::Document::openDocumentArchive$#$
    {21, 714, 256},	// Okular::Document::openUrl#
    {21, 743, 238},	// Okular::Document::orientation
    {21, 745, 164},	// Okular::Document::page$
    {21, 759, 185},	// Okular::Document::pageSizeString$
    {21, 760, 175},	// Okular::Document::pageSizes
    {21, 761, 169},	// Okular::Document::pages
    {21, 769, 199},	// Okular::Document::prepareToModifyAnnotationProperties#
    {21, 771, 221},	// Okular::Document::print#
    {21, 774, 223},	// Okular::Document::printConfigurationWidget
    {21, 775, 222},	// Okular::Document::printError
    {21, 782, 219},	// Okular::Document::printingSupport
    {21, 785, 214},	// Okular::Document::processAction#
    {21, 787, 265},	// Okular::Document::processMovieAction#
    {21, 789, 268},	// Okular::Document::processRenditionAction#
    {21, 791, 217},	// Okular::Document::processSourceReference#
    {21, 796, 149},	// Okular::Document::qt_metacall$$?
    {21, 798, 144},	// Okular::Document::qt_metacast$
    {21, 799, 251},	// Okular::Document::quit
    {21, 806, 245},	// Okular::Document::redo
    {21, 809, 232},	// Okular::Document::registerView#
    {21, 813, 154},	// Okular::Document::removeObserver#
    {21, 815, 204},	// Okular::Document::removePageAnnotation$#
    {21, 817, 205},	// Okular::Document::removePageAnnotations$?
    {21, 818, 155},	// Okular::Document::reparseConfig
    {21, 823, 194},	// Okular::Document::requestPixmaps?
    {21, 824, 195},	// Okular::Document::requestPixmaps?$
    {21, 826, 196},	// Okular::Document::requestTextPage$
    {21, 828, 212},	// Okular::Document::resetSearch$
    {21, 833, 183},	// Okular::Document::rotation
    {21, 841, 230},	// Okular::Document::saveChanges$
    {21, 842, 231},	// Okular::Document::saveChanges$$
    {21, 844, 236},	// Okular::Document::saveDocumentArchive$
    {21, 849, 263},	// Okular::Document::searchFinished$$
    {21, 851, 209},	// Okular::Document::searchText$$$$$$#
    {21, 862, 239},	// Okular::Document::setAnnotationEditingEnabled$
    {21, 968, 192},	// Okular::Document::setNextDocumentDestination$
    {21, 970, 191},	// Okular::Document::setNextDocumentViewport#
    {21, 971, 190},	// Okular::Document::setNextViewport
    {21, 981, 242},	// Okular::Document::setPageSize#
    {21, 983, 206},	// Okular::Document::setPageTextSelection$##
    {21, 987, 189},	// Okular::Document::setPrevViewport
    {21, 993, 241},	// Okular::Document::setRotation$
    {21, 1033, 281},	// Okular::Document::setViewport#
    {21, 1034, 282},	// Okular::Document::setViewport##
    {21, 1035, 188},	// Okular::Document::setViewport##$
    {21, 1037, 279},	// Okular::Document::setViewportPage$
    {21, 1038, 280},	// Okular::Document::setViewportPage$#
    {21, 1039, 187},	// Okular::Document::setViewportPage$#$
    {21, 1041, 277},	// Okular::Document::setVisiblePageRects?
    {21, 1042, 166},	// Okular::Document::setVisiblePageRects?#
    {21, 1050, 283},	// Okular::Document::setZoom$
    {21, 1051, 193},	// Okular::Document::setZoom$#
    {21, 1064, 264},	// Okular::Document::sourceReferenceActivated$$$$
    {21, 1068, 160},	// Okular::Document::startFontReading
    {21, 1071, 285},	// Okular::Document::staticMetaObject
    {21, 1072, 161},	// Okular::Document::stopFontReading
    {21, 1079, 226},	// Okular::Document::supportedMimeTypes
    {21, 1080, 173},	// Okular::Document::supportsPageSizes
    {21, 1081, 220},	// Okular::Document::supportsPrintToFile
    {21, 1082, 172},	// Okular::Document::supportsSearching
    {21, 1083, 174},	// Okular::Document::supportsTiles
    {21, 1105, 274},	// Okular::Document::tr$
    {21, 1106, 145},	// Okular::Document::tr$$
    {21, 1107, 147},	// Okular::Document::tr$$$
    {21, 1109, 275},	// Okular::Document::trUtf8$
    {21, 1110, 146},	// Okular::Document::trUtf8$$
    {21, 1111, 148},	// Okular::Document::trUtf8$$$
    {21, 1125, 201},	// Okular::Document::translatePageAnnotation$##
    {21, 1128, 244},	// Okular::Document::undo
    {21, 1131, 233},	// Okular::Document::unregisterView#
    {21, 1136, 165},	// Okular::Document::viewport
    {21, 1138, 167},	// Okular::Document::visiblePageRects
    {21, 1141, 240},	// Okular::Document::walletDataForFile$$$$
    {21, 1143, 258},	// Okular::Document::warning$$
    {21, 1161, 305},	// Okular::Document::~Document
    {22, 54, 321},	// Okular::DocumentAction::Close
    {22, 80, 306},	// Okular::DocumentAction::DocumentAction$
    {22, 94, 318},	// Okular::DocumentAction::EndPresentation
    {22, 112, 319},	// Okular::DocumentAction::Find
    {22, 134, 320},	// Okular::DocumentAction::GoToPage
    {22, 149, 314},	// Okular::DocumentAction::HistoryBack
    {22, 150, 315},	// Okular::DocumentAction::HistoryForward
    {22, 232, 310},	// Okular::DocumentAction::PageFirst
    {22, 233, 313},	// Okular::DocumentAction::PageLast
    {22, 234, 312},	// Okular::DocumentAction::PageNext
    {22, 236, 311},	// Okular::DocumentAction::PagePrev
    {22, 254, 317},	// Okular::DocumentAction::Presentation
    {22, 266, 316},	// Okular::DocumentAction::Quit
    {22, 365, 308},	// Okular::DocumentAction::actionTip
    {22, 366, 307},	// Okular::DocumentAction::actionType
    {22, 493, 309},	// Okular::DocumentAction::documentActionType
    {22, 1162, 322},	// Okular::DocumentAction::~DocumentAction
    {23, 31, 339},	// Okular::DocumentInfo::Author
    {23, 49, 347},	// Okular::DocumentInfo::Category
    {23, 62, 342},	// Okular::DocumentInfo::Copyright
    {23, 64, 344},	// Okular::DocumentInfo::CreationDate
    {23, 65, 340},	// Okular::DocumentInfo::Creator
    {23, 66, 352},	// Okular::DocumentInfo::CustomKeys
    {23, 72, 338},	// Okular::DocumentInfo::Description
    {23, 81, 323},	// Okular::DocumentInfo::DocumentInfo
    {23, 82, 324},	// Okular::DocumentInfo::DocumentInfo#
    {23, 83, 350},	// Okular::DocumentInfo::DocumentSize
    {23, 108, 349},	// Okular::DocumentInfo::FilePath
    {23, 159, 353},	// Okular::DocumentInfo::Invalid
    {23, 182, 348},	// Okular::DocumentInfo::Keywords
    {23, 189, 346},	// Okular::DocumentInfo::MimeType
    {23, 190, 345},	// Okular::DocumentInfo::ModificationDate
    {23, 244, 343},	// Okular::DocumentInfo::Pages
    {23, 245, 351},	// Okular::DocumentInfo::PagesSize
    {23, 264, 341},	// Okular::DocumentInfo::Producer
    {23, 310, 337},	// Okular::DocumentInfo::Subject
    {23, 334, 336},	// Okular::DocumentInfo::Title
    {23, 573, -7},	// Okular::DocumentInfo::get$
    {23, 576, 334},	// Okular::DocumentInfo::getKeyFromString$
    {23, 578, 332},	// Okular::DocumentInfo::getKeyString$
    {23, 580, -10},	// Okular::DocumentInfo::getKeyTitle$
    {23, 647, 326},	// Okular::DocumentInfo::keys
    {23, 722, 325},	// Okular::DocumentInfo::operator=#
    {23, 853, -13},	// Okular::DocumentInfo::set$$
    {23, 854, 329},	// Okular::DocumentInfo::set$$$
    {23, 1163, 354},	// Okular::DocumentInfo::~DocumentInfo
    {25, 84, 355},	// Okular::DocumentSynopsis::DocumentSynopsis
    {25, 85, -4},	// Okular::DocumentSynopsis::DocumentSynopsis#
    {25, 1164, 358},	// Okular::DocumentSynopsis::~DocumentSynopsis
    {26, 50, 369},	// Okular::DocumentViewport::Center
    {26, 86, 366},	// Okular::DocumentViewport::DocumentViewport
    {26, 87, 365},	// Okular::DocumentViewport::DocumentViewport#
    {26, 88, -37},	// Okular::DocumentViewport::DocumentViewport$
    {26, 336, 370},	// Okular::DocumentViewport::TopLeft
    {26, 643, 362},	// Okular::DocumentViewport::isValid
    {26, 720, 364},	// Okular::DocumentViewport::operator<#
    {26, 724, 363},	// Okular::DocumentViewport::operator==#
    {26, 753, 367},	// Okular::DocumentViewport::pageNumber
    {26, 979, 368},	// Okular::DocumentViewport::setPageNumber$
    {26, 1101, 361},	// Okular::DocumentViewport::toString
    {26, 1165, 371},	// Okular::DocumentViewport::~DocumentViewport
    {27, 90, 372},	// Okular::EmbeddedFile::EmbeddedFile
    {27, 91, 379},	// Okular::EmbeddedFile::EmbeddedFile#
    {27, 459, 378},	// Okular::EmbeddedFile::creationDate
    {27, 468, 375},	// Okular::EmbeddedFile::data
    {27, 477, 374},	// Okular::EmbeddedFile::description
    {27, 686, 377},	// Okular::EmbeddedFile::modificationDate
    {27, 691, 373},	// Okular::EmbeddedFile::name
    {27, 1058, 376},	// Okular::EmbeddedFile::size
    {27, 1166, 380},	// Okular::EmbeddedFile::~EmbeddedFile
    {28, 97, 381},	// Okular::ExecuteAction::ExecuteAction$$
    {28, 365, 383},	// Okular::ExecuteAction::actionTip
    {28, 366, 382},	// Okular::ExecuteAction::actionType
    {28, 532, 384},	// Okular::ExecuteAction::fileName
    {28, 764, 385},	// Okular::ExecuteAction::parameters
    {28, 1167, 386},	// Okular::ExecuteAction::~ExecuteAction
    {29, 98, 387},	// Okular::ExportFormat::ExportFormat
    {29, 99, 390},	// Okular::ExportFormat::ExportFormat#
    {29, 100, 389},	// Okular::ExportFormat::ExportFormat#$?
    {29, 101, 388},	// Okular::ExportFormat::ExportFormat$?
    {29, 144, 402},	// Okular::ExportFormat::HTML
    {29, 221, 401},	// Okular::ExportFormat::OpenDocumentText
    {29, 228, 400},	// Okular::ExportFormat::PDF
    {29, 249, 399},	// Okular::ExportFormat::PlainText
    {29, 477, 392},	// Okular::ExportFormat::description
    {29, 605, 394},	// Okular::ExportFormat::icon
    {29, 630, 395},	// Okular::ExportFormat::isNull
    {29, 684, 393},	// Okular::ExportFormat::mimeType
    {29, 716, 398},	// Okular::ExportFormat::operator!=#
    {29, 722, 391},	// Okular::ExportFormat::operator=#
    {29, 724, 397},	// Okular::ExportFormat::operator==#
    {29, 1067, 396},	// Okular::ExportFormat::standardFormat$
    {29, 1168, 403},	// Okular::ExportFormat::~ExportFormat
    {30, 105, 404},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation
    {30, 106, 405},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation#
    {30, 519, 408},	// Okular::FileAttachmentAnnotation::embeddedFile
    {30, 531, 406},	// Okular::FileAttachmentAnnotation::fileIconName
    {30, 904, 409},	// Okular::FileAttachmentAnnotation::setEmbeddedFile#
    {30, 911, 407},	// Okular::FileAttachmentAnnotation::setFileIconName$
    {30, 1074, 411},	// Okular::FileAttachmentAnnotation::store##
    {30, 1078, 410},	// Okular::FileAttachmentAnnotation::subType
    {30, 1169, 412},	// Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation
    {31, 27, 447},	// Okular::FilePrinter::ApplicationDeletesFiles
    {31, 28, 449},	// Okular::FilePrinter::ApplicationSelectsPages
    {31, 109, 442},	// Okular::FilePrinter::FilePrinter
    {31, 110, 443},	// Okular::FilePrinter::FilePrinter#
    {31, 311, 448},	// Okular::FilePrinter::SystemDeletesFiles
    {31, 312, 450},	// Okular::FilePrinter::SystemSelectsPages
    {31, 456, 428},	// Okular::FilePrinter::copies#$
    {31, 460, 420},	// Okular::FilePrinter::cupsAvailable
    {31, 462, 432},	// Okular::FilePrinter::cupsOptions#$
    {31, 471, 430},	// Okular::FilePrinter::deleteFile#$$
    {31, 480, 427},	// Okular::FilePrinter::destination#$
    {31, 482, 424},	// Okular::FilePrinter::detectCupsConfig
    {31, 483, 423},	// Okular::FilePrinter::detectCupsService
    {31, 491, 425},	// Okular::FilePrinter::doPrintFiles#?$$$$
    {31, 646, 429},	// Okular::FilePrinter::jobname#$
    {31, 677, 434},	// Okular::FilePrinter::mediaPageSize#
    {31, 679, 435},	// Okular::FilePrinter::mediaPaperSource#
    {31, 730, 439},	// Okular::FilePrinter::optionCollateCopies#
    {31, 732, 441},	// Okular::FilePrinter::optionCupsProperties#
    {31, 734, 437},	// Okular::FilePrinter::optionDoubleSidedPrinting#
    {31, 736, 433},	// Okular::FilePrinter::optionMedia#
    {31, 738, 436},	// Okular::FilePrinter::optionOrientation#$
    {31, 740, 440},	// Okular::FilePrinter::optionPageMargins#
    {31, 742, 438},	// Okular::FilePrinter::optionPageOrder#
    {31, 749, 414},	// Okular::FilePrinter::pageList#$$?
    {31, 750, 415},	// Okular::FilePrinter::pageList#$?
    {31, 752, 417},	// Okular::FilePrinter::pageListToPageRange?
    {31, 755, 416},	// Okular::FilePrinter::pageRange#$?
    {31, 762, 431},	// Okular::FilePrinter::pages#$$$$
    {31, 765, 419},	// Okular::FilePrinter::pdf2psAvailable
    {31, 773, 426},	// Okular::FilePrinter::printArguments#$$$$$$
    {31, 776, 422},	// Okular::FilePrinter::printError$
    {31, 778, 444},	// Okular::FilePrinter::printFile#$$
    {31, 779, 445},	// Okular::FilePrinter::printFile#$$$
    {31, 780, 446},	// Okular::FilePrinter::printFile#$$$$
    {31, 781, 413},	// Okular::FilePrinter::printFile#$$$$$
    {31, 792, 418},	// Okular::FilePrinter::ps2pdfAvailable
    {31, 794, 421},	// Okular::FilePrinter::psPaperSize#
    {31, 1170, 451},	// Okular::FilePrinter::~FilePrinter
    {32, 40, 479},	// Okular::FontInfo::CIDTrueType
    {32, 41, 480},	// Okular::FontInfo::CIDTrueTypeOT
    {32, 42, 476},	// Okular::FontInfo::CIDType0
    {32, 43, 477},	// Okular::FontInfo::CIDType0C
    {32, 44, 478},	// Okular::FontInfo::CIDType0COT
    {32, 92, 486},	// Okular::FontInfo::EmbeddedSubset
    {32, 116, 452},	// Okular::FontInfo::FontInfo
    {32, 117, 453},	// Okular::FontInfo::FontInfo#
    {32, 127, 487},	// Okular::FontInfo::FullyEmbedded
    {32, 213, 485},	// Okular::FontInfo::NotEmbedded
    {32, 313, 483},	// Okular::FontInfo::TeXFontMetric
    {32, 314, 484},	// Okular::FontInfo::TeXFreeTypeHandled
    {32, 315, 481},	// Okular::FontInfo::TeXPK
    {32, 316, 482},	// Okular::FontInfo::TeXVirtual
    {32, 337, 474},	// Okular::FontInfo::TrueType
    {32, 338, 475},	// Okular::FontInfo::TrueTypeOT
    {32, 339, 470},	// Okular::FontInfo::Type1
    {32, 340, 471},	// Okular::FontInfo::Type1C
    {32, 341, 472},	// Okular::FontInfo::Type1COT
    {32, 342, 473},	// Okular::FontInfo::Type3
    {32, 347, 469},	// Okular::FontInfo::Unknown
    {32, 410, 462},	// Okular::FontInfo::canBeExtracted
    {32, 518, 458},	// Okular::FontInfo::embedType
    {32, 530, 460},	// Okular::FontInfo::file
    {32, 691, 454},	// Okular::FontInfo::name
    {32, 692, 465},	// Okular::FontInfo::nativeId
    {32, 716, 468},	// Okular::FontInfo::operator!=#
    {32, 722, 466},	// Okular::FontInfo::operator=#
    {32, 724, 467},	// Okular::FontInfo::operator==#
    {32, 876, 463},	// Okular::FontInfo::setCanBeExtracted$
    {32, 902, 459},	// Okular::FontInfo::setEmbedType$
    {32, 909, 461},	// Okular::FontInfo::setFile$
    {32, 964, 455},	// Okular::FontInfo::setName$
    {32, 966, 464},	// Okular::FontInfo::setNativeId#
    {32, 1029, 457},	// Okular::FontInfo::setType$
    {32, 1126, 456},	// Okular::FontInfo::type
    {32, 1171, 488},	// Okular::FontInfo::~FontInfo
    {33, 118, 501},	// Okular::FormField::FormButton
    {33, 119, 503},	// Okular::FormField::FormChoice
    {33, 121, 497},	// Okular::FormField::FormField#
    {33, 125, 504},	// Okular::FormField::FormSignature
    {33, 126, 502},	// Okular::FormField::FormText
    {33, 367, 496},	// Okular::FormField::activationAction
    {33, 467, -31},	// Okular::FormField::d_func
    {33, 606, 491},	// Okular::FormField::id
    {33, 633, 494},	// Okular::FormField::isReadOnly
    {33, 644, 495},	// Okular::FormField::isVisible
    {33, 691, 492},	// Okular::FormField::name
    {33, 805, 490},	// Okular::FormField::rect
    {33, 856, 500},	// Okular::FormField::setActivationAction#
    {33, 1126, 489},	// Okular::FormField::type
    {33, 1127, 493},	// Okular::FormField::uiName
    {33, 1172, 505},	// Okular::FormField::~FormField
    {34, 52, 513},	// Okular::FormFieldButton::CheckBox
    {34, 122, 511},	// Okular::FormFieldButton::FormFieldButton
    {34, 265, 512},	// Okular::FormFieldButton::Push
    {34, 269, 514},	// Okular::FormFieldButton::Radio
    {34, 407, 506},	// Okular::FormFieldButton::buttonType
    {34, 431, 507},	// Okular::FormFieldButton::caption
    {34, 1011, 509},	// Okular::FormFieldButton::setState$
    {34, 1053, 510},	// Okular::FormFieldButton::siblings
    {34, 1069, 508},	// Okular::FormFieldButton::state
    {34, 1173, 515},	// Okular::FormFieldButton::~FormFieldButton
    {35, 58, 527},	// Okular::FormFieldChoice::ComboBox
    {35, 123, 526},	// Okular::FormFieldChoice::FormFieldChoice
    {35, 186, 528},	// Okular::FormFieldChoice::ListBox
    {35, 412, 525},	// Okular::FormFieldChoice::canBeSpellChecked
    {35, 436, 516},	// Okular::FormFieldChoice::choiceType
    {35, 437, 517},	// Okular::FormFieldChoice::choices
    {35, 463, 520},	// Okular::FormFieldChoice::currentChoices
    {35, 507, 522},	// Okular::FormFieldChoice::editChoice
    {35, 626, 518},	// Okular::FormFieldChoice::isEditable
    {35, 690, 519},	// Okular::FormFieldChoice::multiSelect
    {35, 887, 521},	// Okular::FormFieldChoice::setCurrentChoices?
    {35, 900, 523},	// Okular::FormFieldChoice::setEditChoice$
    {35, 1088, 524},	// Okular::FormFieldChoice::textAlignment
    {35, 1174, 529},	// Okular::FormFieldChoice::~FormFieldChoice
    {37, 111, 541},	// Okular::FormFieldText::FileSelect
    {37, 124, 538},	// Okular::FormFieldText::FormFieldText
    {37, 192, 540},	// Okular::FormFieldText::Multiline
    {37, 204, 539},	// Okular::FormFieldText::Normal
    {37, 412, 537},	// Okular::FormFieldText::canBeSpellChecked
    {37, 632, 533},	// Okular::FormFieldText::isPassword
    {37, 635, 534},	// Okular::FormFieldText::isRichText
    {37, 675, 535},	// Okular::FormFieldText::maximumLength
    {37, 1013, 532},	// Okular::FormFieldText::setText$
    {37, 1085, 531},	// Okular::FormFieldText::text
    {37, 1088, 536},	// Okular::FormFieldText::textAlignment
    {37, 1097, 530},	// Okular::FormFieldText::textType
    {37, 1175, 542},	// Okular::FormFieldText::~FormFieldText
    {38, 107, 615},	// Okular::Generator::FileConversionPrintError
    {38, 116, 603},	// Okular::Generator::FontInfo
    {38, 129, 592},	// Okular::Generator::Generator##?
    {38, 130, 550},	// Okular::Generator::Generator#?
    {38, 160, 623},	// Okular::Generator::InvalidPageSizePrintError
    {38, 161, 619},	// Okular::Generator::InvalidPrinterStatePrintError
    {38, 195, 622},	// Okular::Generator::NoBinaryToPrintError
    {38, 198, 621},	// Okular::Generator::NoFileToPrintError
    {38, 201, 612},	// Okular::Generator::NoPrintError
    {38, 203, 609},	// Okular::Generator::None
    {38, 240, 604},	// Okular::Generator::PageSizes
    {38, 246, 611},	// Okular::Generator::Pixels
    {38, 250, 610},	// Okular::Generator::Points
    {38, 258, 605},	// Okular::Generator::PrintNative
    {38, 259, 606},	// Okular::Generator::PrintPostscript
    {38, 260, 607},	// Okular::Generator::PrintToFile
    {38, 261, 618},	// Okular::Generator::PrintToFilePrintError
    {38, 262, 616},	// Okular::Generator::PrintingProcessCrashPrintError
    {38, 263, 617},	// Okular::Generator::PrintingProcessStartPrintError
    {38, 271, 602},	// Okular::Generator::ReadRawData
    {38, 317, 614},	// Okular::Generator::TemporaryFileOpenPrintError
    {38, 326, 601},	// Okular::Generator::TextExtraction
    {38, 329, 600},	// Okular::Generator::Threaded
    {38, 333, 608},	// Okular::Generator::TiledRendering
    {38, 344, 620},	// Okular::Generator::UnableToFindFilePrintError
    {38, 348, 613},	// Okular::Generator::UnknownPrintError
    {38, 415, 556},	// Okular::Generator::canGeneratePixmap
    {38, 416, 558},	// Okular::Generator::canGenerateTextPage
    {38, 439, 555},	// Okular::Generator::closeDocument
    {38, 467, -28},	// Okular::Generator::d_func
    {38, 489, 581},	// Okular::Generator::doCloseDocument
    {38, 492, 584},	// Okular::Generator::document
    {38, 497, 598},	// Okular::Generator::documentMetaData$
    {38, 498, 586},	// Okular::Generator::documentMetaData$#
    {38, 501, 589},	// Okular::Generator::dpi
    {38, 520, 563},	// Okular::Generator::embeddedFiles
    {38, 522, 576},	// Okular::Generator::error$$
    {38, 525, 571},	// Okular::Generator::exportFormats
    {38, 527, 572},	// Okular::Generator::exportTo$#
    {38, 547, 562},	// Okular::Generator::fontsForPage$
    {38, 561, 560},	// Okular::Generator::generateDocumentInfo?
    {38, 562, 561},	// Okular::Generator::generateDocumentSynopsis
    {38, 564, 557},	// Okular::Generator::generatePixmap#
    {38, 566, 559},	// Okular::Generator::generateTextPage#
    {38, 586, 574},	// Okular::Generator::hasFeature$
    {38, 608, 582},	// Okular::Generator::image#
    {38, 620, 565},	// Okular::Generator::isAllowed$
    {38, 663, 551},	// Okular::Generator::loadDocument$?
    {38, 665, 552},	// Okular::Generator::loadDocumentFromData#?
    {38, 667, 554},	// Okular::Generator::loadDocumentFromDataWithPassword#?$
    {38, 669, 553},	// Okular::Generator::loadDocumentWithPassword$?$
    {38, 682, 570},	// Okular::Generator::metaData$#
    {38, 683, 543},	// Okular::Generator::metaObject
    {38, 697, 578},	// Okular::Generator::notice$$
    {38, 757, 568},	// Okular::Generator::pageSizeChanged##
    {38, 760, 567},	// Okular::Generator::pageSizes
    {38, 763, 564},	// Okular::Generator::pagesSizeMetric
    {38, 771, 569},	// Okular::Generator::print#
    {38, 775, 591},	// Okular::Generator::printError
    {38, 796, 549},	// Okular::Generator::qt_metacall$$?
    {38, 798, 544},	// Okular::Generator::qt_metacast$
    {38, 821, 590},	// Okular::Generator::requestFontData##
    {38, 835, 566},	// Okular::Generator::rotationChanged$$
    {38, 890, 575},	// Okular::Generator::setDPI#
    {38, 906, 597},	// Okular::Generator::setFeature$
    {38, 907, 585},	// Okular::Generator::setFeature$$
    {38, 1055, 579},	// Okular::Generator::signalPixmapRequestDone#
    {38, 1057, 580},	// Okular::Generator::signalTextGenerationDone##
    {38, 1071, 599},	// Okular::Generator::staticMetaObject
    {38, 1094, 583},	// Okular::Generator::textPage#
    {38, 1105, 595},	// Okular::Generator::tr$
    {38, 1106, 545},	// Okular::Generator::tr$$
    {38, 1107, 547},	// Okular::Generator::tr$$$
    {38, 1109, 596},	// Okular::Generator::trUtf8$
    {38, 1110, 546},	// Okular::Generator::trUtf8$$
    {38, 1111, 548},	// Okular::Generator::trUtf8$$$
    {38, 1133, 588},	// Okular::Generator::updatePageBoundingBox$#
    {38, 1135, 587},	// Okular::Generator::userMutex
    {38, 1141, 573},	// Okular::Generator::walletDataForFile$$$$
    {38, 1143, 577},	// Okular::Generator::warning$$
    {38, 1176, 624},	// Okular::Generator::~Generator
    {40, 131, 625},	// Okular::GeomAnnotation::GeomAnnotation
    {40, 132, 626},	// Okular::GeomAnnotation::GeomAnnotation#
    {40, 156, 634},	// Okular::GeomAnnotation::InscribedCircle
    {40, 157, 633},	// Okular::GeomAnnotation::InscribedSquare
    {40, 568, 630},	// Okular::GeomAnnotation::geometricalInnerColor
    {40, 569, 628},	// Okular::GeomAnnotation::geometricalType
    {40, 917, 629},	// Okular::GeomAnnotation::setGeometricalInnerColor#
    {40, 919, 627},	// Okular::GeomAnnotation::setGeometricalType$
    {40, 1074, 632},	// Okular::GeomAnnotation::store##
    {40, 1078, 631},	// Okular::GeomAnnotation::subType
    {40, 1177, 635},	// Okular::GeomAnnotation::~GeomAnnotation
    {41, 139, 636},	// Okular::GotoAction::GotoAction$#
    {41, 140, 637},	// Okular::GotoAction::GotoAction$$
    {41, 365, 639},	// Okular::GotoAction::actionTip
    {41, 366, 638},	// Okular::GotoAction::actionType
    {41, 478, 642},	// Okular::GotoAction::destViewport
    {41, 481, 643},	// Okular::GotoAction::destinationName
    {41, 532, 641},	// Okular::GotoAction::fileName
    {41, 627, 640},	// Okular::GotoAction::isExternal
    {41, 1178, 644},	// Okular::GotoAction::~GotoAction
    {42, 142, 646},	// Okular::GuiInterface::GuiInterface
    {42, 143, 647},	// Okular::GuiInterface::GuiInterface#
    {42, 583, 645},	// Okular::GuiInterface::guiClient
    {42, 1179, 648},	// Okular::GuiInterface::~GuiInterface
    {43, 146, 656},	// Okular::HighlightAnnotation::Highlight
    {43, 147, 649},	// Okular::HighlightAnnotation::HighlightAnnotation
    {43, 148, 650},	// Okular::HighlightAnnotation::HighlightAnnotation#
    {43, 304, 657},	// Okular::HighlightAnnotation::Squiggly
    {43, 309, 659},	// Okular::HighlightAnnotation::StrikeOut
    {43, 346, 658},	// Okular::HighlightAnnotation::Underline
    {43, 601, 653},	// Okular::HighlightAnnotation::highlightQuads
    {43, 602, 652},	// Okular::HighlightAnnotation::highlightType
    {43, 921, 651},	// Okular::HighlightAnnotation::setHighlightType$
    {43, 1074, 655},	// Okular::HighlightAnnotation::store##
    {43, 1078, 654},	// Okular::HighlightAnnotation::subType
    {43, 1180, 660},	// Okular::HighlightAnnotation::~HighlightAnnotation
    {45, 154, 661},	// Okular::InkAnnotation::InkAnnotation
    {45, 155, 662},	// Okular::InkAnnotation::InkAnnotation#
    {45, 611, 664},	// Okular::InkAnnotation::inkPaths
    {45, 923, 663},	// Okular::InkAnnotation::setInkPaths?
    {45, 1074, 667},	// Okular::InkAnnotation::store##
    {45, 1078, 666},	// Okular::InkAnnotation::subType
    {45, 1117, 665},	// Okular::InkAnnotation::transformedInkPaths
    {45, 1181, 668},	// Okular::InkAnnotation::~InkAnnotation
    {46, 29, 703},	// Okular::LineAnnotation::Arrow
    {46, 39, 698},	// Okular::LineAnnotation::Butt
    {46, 53, 693},	// Okular::LineAnnotation::Circle
    {46, 55, 696},	// Okular::LineAnnotation::ClosedArrow
    {46, 73, 694},	// Okular::LineAnnotation::Diamond
    {46, 74, 704},	// Okular::LineAnnotation::Dimension
    {46, 183, 669},	// Okular::LineAnnotation::LineAnnotation
    {46, 184, 670},	// Okular::LineAnnotation::LineAnnotation#
    {46, 203, 697},	// Okular::LineAnnotation::None
    {46, 220, 695},	// Okular::LineAnnotation::OpenArrow
    {46, 251, 705},	// Okular::LineAnnotation::PolygonCloud
    {46, 267, 700},	// Okular::LineAnnotation::RClosedArrow
    {46, 268, 699},	// Okular::LineAnnotation::ROpenArrow
    {46, 286, 701},	// Okular::LineAnnotation::Slash
    {46, 303, 692},	// Okular::LineAnnotation::Square
    {46, 347, 702},	// Okular::LineAnnotation::Unknown
    {46, 650, 679},	// Okular::LineAnnotation::lineClosed
    {46, 651, 677},	// Okular::LineAnnotation::lineEndStyle
    {46, 652, 681},	// Okular::LineAnnotation::lineInnerColor
    {46, 653, 689},	// Okular::LineAnnotation::lineIntent
    {46, 654, 685},	// Okular::LineAnnotation::lineLeadingBackwardPoint
    {46, 655, 683},	// Okular::LineAnnotation::lineLeadingForwardPoint
    {46, 656, 672},	// Okular::LineAnnotation::linePoints
    {46, 657, 675},	// Okular::LineAnnotation::lineStartStyle
    {46, 937, 678},	// Okular::LineAnnotation::setLineClosed$
    {46, 939, 676},	// Okular::LineAnnotation::setLineEndStyle$
    {46, 941, 680},	// Okular::LineAnnotation::setLineInnerColor#
    {46, 943, 688},	// Okular::LineAnnotation::setLineIntent$
    {46, 945, 684},	// Okular::LineAnnotation::setLineLeadingBackwardPoint$
    {46, 947, 682},	// Okular::LineAnnotation::setLineLeadingForwardPoint$
    {46, 949, 671},	// Okular::LineAnnotation::setLinePoints?
    {46, 951, 674},	// Okular::LineAnnotation::setLineStartStyle$
    {46, 999, 686},	// Okular::LineAnnotation::setShowCaption$
    {46, 1052, 687},	// Okular::LineAnnotation::showCaption
    {46, 1074, 691},	// Okular::LineAnnotation::store##
    {46, 1078, 690},	// Okular::LineAnnotation::subType
    {46, 1120, 673},	// Okular::LineAnnotation::transformedLinePoints
    {46, 1182, 706},	// Okular::LineAnnotation::~LineAnnotation
    {48, 205, 707},	// Okular::NormalizedPoint::NormalizedPoint
    {48, 206, 714},	// Okular::NormalizedPoint::NormalizedPoint#
    {48, 207, 708},	// Okular::NormalizedPoint::NormalizedPoint$$
    {48, 208, 709},	// Okular::NormalizedPoint::NormalizedPoint$$$$
    {48, 487, 712},	// Okular::NormalizedPoint::distanceSqr$$$$
    {48, 488, 713},	// Okular::NormalizedPoint::distanceSqr$$$$##
    {48, 722, 710},	// Okular::NormalizedPoint::operator=#
    {48, 1044, 716},	// Okular::NormalizedPoint::setX$
    {48, 1048, 718},	// Okular::NormalizedPoint::setY$
    {48, 1113, 711},	// Okular::NormalizedPoint::transform#
    {48, 1151, 715},	// Okular::NormalizedPoint::x
    {48, 1153, 717},	// Okular::NormalizedPoint::y
    {48, 1183, 719},	// Okular::NormalizedPoint::~NormalizedPoint
    {49, 209, 720},	// Okular::NormalizedRect::NormalizedRect
    {49, 210, 723},	// Okular::NormalizedRect::NormalizedRect#
    {49, 211, 722},	// Okular::NormalizedRect::NormalizedRect#$$
    {49, 212, 721},	// Okular::NormalizedRect::NormalizedRect$$$$
    {49, 402, 752},	// Okular::NormalizedRect::bottom
    {49, 433, 737},	// Okular::NormalizedRect::center
    {49, 445, 727},	// Okular::NormalizedRect::contains$$
    {49, 487, 745},	// Okular::NormalizedRect::distanceSqr$$$$
    {49, 558, 725},	// Okular::NormalizedRect::fromQRectF#
    {49, 571, 731},	// Okular::NormalizedRect::geometry$$
    {49, 617, -34},	// Okular::NormalizedRect::intersects#
    {49, 618, 730},	// Okular::NormalizedRect::intersects$$$$
    {49, 622, 739},	// Okular::NormalizedRect::isBottom#
    {49, 624, 741},	// Okular::NormalizedRect::isBottomOrLevel#
    {49, 629, 743},	// Okular::NormalizedRect::isLeft#
    {49, 630, 726},	// Okular::NormalizedRect::isNull
    {49, 637, 744},	// Okular::NormalizedRect::isRight#
    {49, 640, 740},	// Okular::NormalizedRect::isTop#
    {49, 642, 742},	// Okular::NormalizedRect::isTopOrLevel#
    {49, 649, 746},	// Okular::NormalizedRect::left
    {49, 718, 735},	// Okular::NormalizedRect::operator&#
    {49, 722, 724},	// Okular::NormalizedRect::operator=#
    {49, 724, 736},	// Okular::NormalizedRect::operator==#
    {49, 726, 733},	// Okular::NormalizedRect::operator|#
    {49, 728, 734},	// Okular::NormalizedRect::operator|=#
    {49, 830, 750},	// Okular::NormalizedRect::right
    {49, 837, 732},	// Okular::NormalizedRect::roundedGeometry$$
    {49, 870, 753},	// Okular::NormalizedRect::setBottom$
    {49, 935, 747},	// Okular::NormalizedRect::setLeft$
    {49, 991, 751},	// Okular::NormalizedRect::setRight$
    {49, 1025, 749},	// Okular::NormalizedRect::setTop$
    {49, 1102, 748},	// Okular::NormalizedRect::top
    {49, 1113, 738},	// Okular::NormalizedRect::transform#
    {49, 1184, 754},	// Okular::NormalizedRect::~NormalizedRect
    {50, 16, 774},	// Okular::ObjectRect::Action
    {50, 152, 775},	// Okular::ObjectRect::Image
    {50, 214, 776},	// Okular::ObjectRect::OAnnotation
    {50, 216, 765},	// Okular::ObjectRect::ObjectRect#
    {50, 217, 757},	// Okular::ObjectRect::ObjectRect#$$
    {50, 218, 756},	// Okular::ObjectRect::ObjectRect#$$$
    {50, 219, 755},	// Okular::ObjectRect::ObjectRect$$$$$$$
    {50, 295, 777},	// Okular::ObjectRect::SourceRef
    {50, 405, 761},	// Okular::ObjectRect::boundingRect$$
    {50, 446, 762},	// Okular::ObjectRect::contains$$$$
    {50, 487, 764},	// Okular::ObjectRect::distanceSqr$$$$
    {50, 671, 768},	// Okular::ObjectRect::m_object
    {50, 672, 766},	// Okular::ObjectRect::m_objectType
    {50, 673, 770},	// Okular::ObjectRect::m_path
    {50, 674, 772},	// Okular::ObjectRect::m_transformedPath
    {50, 699, 759},	// Okular::ObjectRect::object
    {50, 704, 758},	// Okular::ObjectRect::objectType
    {50, 807, 760},	// Okular::ObjectRect::region
    {50, 954, 769},	// Okular::ObjectRect::setM_object$
    {50, 956, 767},	// Okular::ObjectRect::setM_objectType$
    {50, 958, 771},	// Okular::ObjectRect::setM_path#
    {50, 960, 773},	// Okular::ObjectRect::setM_transformedPath#
    {50, 1113, 763},	// Okular::ObjectRect::transform#
    {50, 1185, 778},	// Okular::ObjectRect::~ObjectRect
    {51, 56, 840},	// Okular::Page::Closing
    {51, 225, 839},	// Okular::Page::Opening
    {51, 230, 779},	// Okular::Page::Page$$$$
    {51, 371, 819},	// Okular::Page::addAnnotation#
    {51, 392, 806},	// Okular::Page::annotations
    {51, 403, 787},	// Okular::Page::boundingBox
    {51, 469, 828},	// Okular::Page::deleteAnnotations
    {51, 473, 824},	// Okular::Page::deletePixmap#
    {51, 474, 825},	// Okular::Page::deletePixmaps
    {51, 475, 826},	// Okular::Page::deleteRects
    {51, 476, 827},	// Okular::Page::deleteSourceReferences
    {51, 504, 814},	// Okular::Page::duration
    {51, 538, 835},	// Okular::Page::findText$$$$
    {51, 539, 796},	// Okular::Page::findText$$$$#
    {51, 552, 808},	// Okular::Page::formFields
    {51, 584, 795},	// Okular::Page::hasAnnotations
    {51, 587, 834},	// Okular::Page::hasHighlights
    {51, 588, 793},	// Okular::Page::hasHighlights$
    {51, 590, 792},	// Okular::Page::hasObjectRect$$$$
    {51, 592, 831},	// Okular::Page::hasPixmap#
    {51, 593, 832},	// Okular::Page::hasPixmap#$
    {51, 594, 833},	// Okular::Page::hasPixmap#$$
    {51, 595, 790},	// Okular::Page::hasPixmap#$$#
    {51, 596, 791},	// Okular::Page::hasTextPage
    {51, 598, 829},	// Okular::Page::hasTilesManager#
    {51, 599, 794},	// Okular::Page::hasTransition
    {51, 600, 785},	// Okular::Page::height
    {51, 625, 788},	// Okular::Page::isBoundingBoxKnown
    {51, 648, 816},	// Okular::Page::label
    {51, 694, 804},	// Okular::Page::nearestObjectRect$$$$$$
    {51, 698, 780},	// Okular::Page::number
    {51, 701, 802},	// Okular::Page::objectRect$$$$$
    {51, 703, 803},	// Okular::Page::objectRects$$$$$
    {51, 743, 781},	// Okular::Page::orientation
    {51, 747, 807},	// Okular::Page::pageAction$
    {51, 800, 786},	// Okular::Page::ratio
    {51, 811, 820},	// Okular::Page::removeAnnotation#
    {51, 833, 782},	// Okular::Page::rotation
    {51, 872, 789},	// Okular::Page::setBoundingBox#
    {51, 898, 813},	// Okular::Page::setDuration$
    {51, 915, 823},	// Okular::Page::setFormFields?
    {51, 933, 815},	// Okular::Page::setLabel$
    {51, 975, 811},	// Okular::Page::setObjectRects?
    {51, 977, 822},	// Okular::Page::setPageAction$#
    {51, 985, 838},	// Okular::Page::setPixmap##
    {51, 986, 809},	// Okular::Page::setPixmap###
    {51, 1007, 812},	// Okular::Page::setSourceReferences?
    {51, 1019, 810},	// Okular::Page::setTextPage#
    {51, 1027, 821},	// Okular::Page::setTransition#
    {51, 1085, 836},	// Okular::Page::text
    {51, 1086, 797},	// Okular::Page::text#
    {51, 1087, 798},	// Okular::Page::text#$
    {51, 1090, 801},	// Okular::Page::textArea#
    {51, 1095, 817},	// Okular::Page::textSelection
    {51, 1096, 818},	// Okular::Page::textSelectionColor
    {51, 1099, 830},	// Okular::Page::tilesAt##
    {51, 1103, 783},	// Okular::Page::totalOrientation
    {51, 1121, 805},	// Okular::Page::transition
    {51, 1144, 784},	// Okular::Page::width
    {51, 1147, 837},	// Okular::Page::wordAt#
    {51, 1148, 800},	// Okular::Page::wordAt#$
    {51, 1150, 799},	// Okular::Page::words#$
    {51, 1186, 841},	// Okular::Page::~Page
    {52, 237, 842},	// Okular::PageSize::PageSize
    {52, 238, 844},	// Okular::PageSize::PageSize#
    {52, 239, 843},	// Okular::PageSize::PageSize$$$
    {52, 600, 846},	// Okular::PageSize::height
    {52, 630, 848},	// Okular::PageSize::isNull
    {52, 691, 847},	// Okular::PageSize::name
    {52, 716, 851},	// Okular::PageSize::operator!=#
    {52, 722, 849},	// Okular::PageSize::operator=#
    {52, 724, 850},	// Okular::PageSize::operator==#
    {52, 1144, 845},	// Okular::PageSize::width
    {52, 1187, 852},	// Okular::PageSize::~PageSize
    {53, 34, 873},	// Okular::PageTransition::Blinds
    {53, 35, 874},	// Okular::PageTransition::Box
    {53, 63, 880},	// Okular::PageTransition::Cover
    {53, 75, 876},	// Okular::PageTransition::Dissolve
    {53, 104, 882},	// Okular::PageTransition::Fade
    {53, 115, 878},	// Okular::PageTransition::Fly
    {53, 133, 877},	// Okular::PageTransition::Glitter
    {53, 151, 883},	// Okular::PageTransition::Horizontal
    {53, 162, 885},	// Okular::PageTransition::Inward
    {53, 226, 886},	// Okular::PageTransition::Outward
    {53, 241, 870},	// Okular::PageTransition::PageTransition
    {53, 242, 854},	// Okular::PageTransition::PageTransition#
    {53, 243, 853},	// Okular::PageTransition::PageTransition$
    {53, 265, 879},	// Okular::PageTransition::Push
    {53, 277, 871},	// Okular::PageTransition::Replace
    {53, 302, 872},	// Okular::PageTransition::Split
    {53, 345, 881},	// Okular::PageTransition::Uncover
    {53, 352, 884},	// Okular::PageTransition::Vertical
    {53, 357, 875},	// Okular::PageTransition::Wipe
    {53, 384, 858},	// Okular::PageTransition::alignment
    {53, 386, 860},	// Okular::PageTransition::angle
    {53, 484, 859},	// Okular::PageTransition::direction
    {53, 504, 857},	// Okular::PageTransition::duration
    {53, 634, 862},	// Okular::PageTransition::isRectangular
    {53, 722, 855},	// Okular::PageTransition::operator=#
    {53, 845, 861},	// Okular::PageTransition::scale
    {53, 858, 865},	// Okular::PageTransition::setAlignment$
    {53, 860, 867},	// Okular::PageTransition::setAngle$
    {53, 892, 866},	// Okular::PageTransition::setDirection$
    {53, 898, 864},	// Okular::PageTransition::setDuration$
    {53, 931, 869},	// Okular::PageTransition::setIsRectangular$
    {53, 997, 868},	// Okular::PageTransition::setScale$
    {53, 1029, 863},	// Okular::PageTransition::setType$
    {53, 1126, 856},	// Okular::PageTransition::type
    {53, 1188, 887},	// Okular::PageTransition::~PageTransition
    {54, 30, 902},	// Okular::PixmapRequest::Asynchronous
    {54, 197, 901},	// Okular::PixmapRequest::NoFeature
    {54, 248, 888},	// Okular::PixmapRequest::PixmapRequest#$$$$$
    {54, 253, 903},	// Okular::PixmapRequest::Preload
    {54, 396, 894},	// Okular::PixmapRequest::asynchronous
    {54, 600, 892},	// Okular::PixmapRequest::height
    {54, 638, 898},	// Okular::PixmapRequest::isTile
    {54, 695, 900},	// Okular::PixmapRequest::normalizedRect
    {54, 705, 889},	// Okular::PixmapRequest::observer
    {54, 744, 896},	// Okular::PixmapRequest::page
    {54, 753, 890},	// Okular::PixmapRequest::pageNumber
    {54, 767, 895},	// Okular::PixmapRequest::preload
    {54, 783, 893},	// Okular::PixmapRequest::priority
    {54, 973, 899},	// Okular::PixmapRequest::setNormalizedRect#
    {54, 1023, 897},	// Okular::PixmapRequest::setTile$
    {54, 1144, 891},	// Okular::PixmapRequest::width
    {54, 1189, 904},	// Okular::PixmapRequest::~PixmapRequest
    {55, 256, 906},	// Okular::PrintInterface::PrintInterface
    {55, 257, 907},	// Okular::PrintInterface::PrintInterface#
    {55, 774, 905},	// Okular::PrintInterface::printConfigurationWidget
    {55, 1190, 908},	// Okular::PrintInterface::~PrintInterface
    {56, 272, 909},	// Okular::RegularAreaRect::RegularAreaRect
    {56, 273, 910},	// Okular::RegularAreaRect::RegularAreaRect#
    {56, 722, 911},	// Okular::RegularAreaRect::operator=#
    {56, 1191, 912},	// Okular::RegularAreaRect::~RegularAreaRect
    {58, 283, 913},	// Okular::ScriptAction::ScriptAction$$
    {58, 365, 915},	// Okular::ScriptAction::actionTip
    {58, 366, 914},	// Okular::ScriptAction::actionType
    {58, 846, 917},	// Okular::ScriptAction::script
    {58, 847, 916},	// Okular::ScriptAction::scriptType
    {58, 1192, 918},	// Okular::ScriptAction::~ScriptAction
    {59, 6, 937},	// Okular::Sound::ALaw
    {59, 89, 933},	// Okular::Sound::Embedded
    {59, 102, 932},	// Okular::Sound::External
    {59, 270, 934},	// Okular::Sound::Raw
    {59, 285, 935},	// Okular::Sound::Signed
    {59, 289, 919},	// Okular::Sound::Sound#
    {59, 290, 920},	// Okular::Sound::Sound$
    {59, 398, 929},	// Okular::Sound::bitsPerSample
    {59, 434, 927},	// Okular::Sound::channels
    {59, 468, 923},	// Okular::Sound::data
    {59, 689, 936},	// Okular::Sound::muLaw
    {59, 839, 925},	// Okular::Sound::samplingRate
    {59, 868, 928},	// Okular::Sound::setBitsPerSample$
    {59, 880, 926},	// Okular::Sound::setChannels$
    {59, 995, 924},	// Okular::Sound::setSamplingRate$
    {59, 1003, 930},	// Okular::Sound::setSoundEncoding$
    {59, 1060, 931},	// Okular::Sound::soundEncoding
    {59, 1062, 921},	// Okular::Sound::soundType
    {59, 1134, 922},	// Okular::Sound::url
    {59, 1193, 938},	// Okular::Sound::~Sound
    {60, 292, 939},	// Okular::SoundAction::SoundAction$$$$#
    {60, 365, 941},	// Okular::SoundAction::actionTip
    {60, 366, 940},	// Okular::SoundAction::actionType
    {60, 685, 945},	// Okular::SoundAction::mix
    {60, 819, 944},	// Okular::SoundAction::repeat
    {60, 1059, 946},	// Okular::SoundAction::sound
    {60, 1084, 943},	// Okular::SoundAction::synchronous
    {60, 1139, 942},	// Okular::SoundAction::volume
    {60, 1194, 947},	// Okular::SoundAction::~SoundAction
    {61, 293, 948},	// Okular::SoundAnnotation::SoundAnnotation
    {61, 294, 949},	// Okular::SoundAnnotation::SoundAnnotation#
    {61, 1001, 953},	// Okular::SoundAnnotation::setSound#
    {61, 1005, 951},	// Okular::SoundAnnotation::setSoundIconName$
    {61, 1059, 952},	// Okular::SoundAnnotation::sound
    {61, 1061, 950},	// Okular::SoundAnnotation::soundIconName
    {61, 1074, 955},	// Okular::SoundAnnotation::store##
    {61, 1078, 954},	// Okular::SoundAnnotation::subType
    {61, 1195, 956},	// Okular::SoundAnnotation::~SoundAnnotation
    {62, 297, 960},	// Okular::SourceRefObjectRect::SourceRefObjectRect#
    {62, 298, 957},	// Okular::SourceRefObjectRect::SourceRefObjectRect#$
    {62, 405, 958},	// Okular::SourceRefObjectRect::boundingRect$$
    {62, 446, 959},	// Okular::SourceRefObjectRect::contains$$$$
    {62, 1196, 961},	// Okular::SourceRefObjectRect::~SourceRefObjectRect
    {63, 300, 966},	// Okular::SourceReference::SourceReference$$
    {63, 301, 962},	// Okular::SourceReference::SourceReference$$$
    {63, 440, 965},	// Okular::SourceReference::column
    {63, 532, 963},	// Okular::SourceReference::fileName
    {63, 838, 964},	// Okular::SourceReference::row
    {63, 1197, 967},	// Okular::SourceReference::~SourceReference
    {64, 305, 968},	// Okular::StampAnnotation::StampAnnotation
    {64, 306, 969},	// Okular::StampAnnotation::StampAnnotation#
    {64, 1009, 970},	// Okular::StampAnnotation::setStampIconName$
    {64, 1065, 971},	// Okular::StampAnnotation::stampIconName
    {64, 1074, 973},	// Okular::StampAnnotation::store##
    {64, 1078, 972},	// Okular::StampAnnotation::subType
    {64, 1198, 974},	// Okular::StampAnnotation::~StampAnnotation
    {65, 45, 995},	// Okular::TextAnnotation::Callout
    {65, 153, 993},	// Okular::TextAnnotation::InPlace
    {65, 185, 992},	// Okular::TextAnnotation::Linked
    {65, 318, 975},	// Okular::TextAnnotation::TextAnnotation
    {65, 319, 976},	// Okular::TextAnnotation::TextAnnotation#
    {65, 343, 996},	// Okular::TextAnnotation::TypeWriter
    {65, 347, 994},	// Okular::TextAnnotation::Unknown
    {65, 612, 984},	// Okular::TextAnnotation::inplaceAlignment
    {65, 614, 986},	// Okular::TextAnnotation::inplaceCallout$
    {65, 615, 989},	// Okular::TextAnnotation::inplaceIntent
    {65, 925, 983},	// Okular::TextAnnotation::setInplaceAlignment$
    {65, 927, 985},	// Okular::TextAnnotation::setInplaceCallout#$
    {65, 929, 988},	// Okular::TextAnnotation::setInplaceIntent$
    {65, 1015, 981},	// Okular::TextAnnotation::setTextFont#
    {65, 1017, 979},	// Okular::TextAnnotation::setTextIcon$
    {65, 1021, 977},	// Okular::TextAnnotation::setTextType$
    {65, 1074, 991},	// Okular::TextAnnotation::store##
    {65, 1078, 990},	// Okular::TextAnnotation::subType
    {65, 1091, 982},	// Okular::TextAnnotation::textFont
    {65, 1092, 980},	// Okular::TextAnnotation::textIcon
    {65, 1097, 978},	// Okular::TextAnnotation::textType
    {65, 1119, 987},	// Okular::TextAnnotation::transformedInplaceCallout$
    {65, 1199, 997},	// Okular::TextAnnotation::~TextAnnotation
    {66, 320, 1005},	// Okular::TextDocumentConverter::TextDocumentConverter
    {66, 369, 1009},	// Okular::TextDocumentConverter::addAction#$$
    {66, 372, 1010},	// Okular::TextDocumentConverter::addAnnotation#$$
    {66, 374, 1013},	// Okular::TextDocumentConverter::addMetaData$$
    {66, 375, 1012},	// Okular::TextDocumentConverter::addMetaData$$$
    {66, 383, 1011},	// Okular::TextDocumentConverter::addTitle$$#
    {66, 409, 1018},	// Okular::TextDocumentConverter::calculateViewport##
    {66, 452, 1006},	// Okular::TextDocumentConverter::convert$
    {66, 454, 1007},	// Okular::TextDocumentConverter::convertWithPassword$$
    {66, 492, 1008},	// Okular::TextDocumentConverter::document
    {66, 522, 1014},	// Okular::TextDocumentConverter::error$$
    {66, 567, 1019},	// Okular::TextDocumentConverter::generator
    {66, 683, 998},	// Okular::TextDocumentConverter::metaObject
    {66, 697, 1016},	// Okular::TextDocumentConverter::notice$$
    {66, 796, 1004},	// Okular::TextDocumentConverter::qt_metacall$$?
    {66, 798, 999},	// Okular::TextDocumentConverter::qt_metacast$
    {66, 896, 1017},	// Okular::TextDocumentConverter::setDocument#
    {66, 1071, 1022},	// Okular::TextDocumentConverter::staticMetaObject
    {66, 1105, 1020},	// Okular::TextDocumentConverter::tr$
    {66, 1106, 1000},	// Okular::TextDocumentConverter::tr$$
    {66, 1107, 1002},	// Okular::TextDocumentConverter::tr$$$
    {66, 1109, 1021},	// Okular::TextDocumentConverter::trUtf8$
    {66, 1110, 1001},	// Okular::TextDocumentConverter::trUtf8$$
    {66, 1111, 1003},	// Okular::TextDocumentConverter::trUtf8$$$
    {66, 1143, 1015},	// Okular::TextDocumentConverter::warning$$
    {66, 1200, 1023},	// Okular::TextDocumentConverter::~TextDocumentConverter
    {67, 322, 1032},	// Okular::TextDocumentGenerator::TextDocumentGenerator##?
    {67, 323, 1031},	// Okular::TextDocumentGenerator::TextDocumentGenerator#$#?
    {67, 381, 1040},	// Okular::TextDocumentGenerator::addPages#
    {67, 415, 1034},	// Okular::TextDocumentGenerator::canGeneratePixmap
    {67, 489, 1044},	// Okular::TextDocumentGenerator::doCloseDocument
    {67, 525, 1037},	// Okular::TextDocumentGenerator::exportFormats
    {67, 527, 1038},	// Okular::TextDocumentGenerator::exportTo$#
    {67, 559, 1041},	// Okular::TextDocumentGenerator::generalSettings
    {67, 561, 1042},	// Okular::TextDocumentGenerator::generateDocumentInfo?
    {67, 562, 1043},	// Okular::TextDocumentGenerator::generateDocumentSynopsis
    {67, 564, 1035},	// Okular::TextDocumentGenerator::generatePixmap#
    {67, 669, 1033},	// Okular::TextDocumentGenerator::loadDocumentWithPassword$?$
    {67, 683, 1024},	// Okular::TextDocumentGenerator::metaObject
    {67, 771, 1036},	// Okular::TextDocumentGenerator::print#
    {67, 796, 1030},	// Okular::TextDocumentGenerator::qt_metacall$$?
    {67, 798, 1025},	// Okular::TextDocumentGenerator::qt_metacast$
    {67, 818, 1039},	// Okular::TextDocumentGenerator::reparseConfig
    {67, 1071, 1048},	// Okular::TextDocumentGenerator::staticMetaObject
    {67, 1094, 1045},	// Okular::TextDocumentGenerator::textPage#
    {67, 1105, 1046},	// Okular::TextDocumentGenerator::tr$
    {67, 1106, 1026},	// Okular::TextDocumentGenerator::tr$$
    {67, 1107, 1028},	// Okular::TextDocumentGenerator::tr$$$
    {67, 1109, 1047},	// Okular::TextDocumentGenerator::trUtf8$
    {67, 1110, 1027},	// Okular::TextDocumentGenerator::trUtf8$$
    {67, 1111, 1029},	// Okular::TextDocumentGenerator::trUtf8$$$
    {67, 1201, 1049},	// Okular::TextDocumentGenerator::~TextDocumentGenerator
    {69, 325, 1050},	// Okular::TextEntity::TextEntity$#
    {69, 395, 1052},	// Okular::TextEntity::area
    {69, 1085, 1051},	// Okular::TextEntity::text
    {69, 1115, 1053},	// Okular::TextEntity::transformedArea#
    {69, 1202, 1054},	// Okular::TextEntity::~TextEntity
    {70, 26, 1066},	// Okular::TextPage::AnyPixelTextAreaInclusionBehaviour
    {70, 51, 1067},	// Okular::TextPage::CentralPixelTextAreaInclusionBehaviour
    {70, 327, 1055},	// Okular::TextPage::TextPage
    {70, 328, 1056},	// Okular::TextPage::TextPage?
    {70, 394, 1057},	// Okular::TextPage::append$#
    {70, 539, 1058},	// Okular::TextPage::findText$$$$#
    {70, 1085, 1064},	// Okular::TextPage::text
    {70, 1086, 1059},	// Okular::TextPage::text#
    {70, 1087, 1060},	// Okular::TextPage::text#$
    {70, 1090, 1063},	// Okular::TextPage::textArea#
    {70, 1147, 1065},	// Okular::TextPage::wordAt#
    {70, 1148, 1062},	// Okular::TextPage::wordAt#$
    {70, 1150, 1061},	// Okular::TextPage::words#$
    {70, 1203, 1068},	// Okular::TextPage::~TextPage
    {72, 331, 1070},	// Okular::Tile::Tile#
    {72, 332, 1069},	// Okular::Tile::Tile##$
    {72, 643, 1073},	// Okular::Tile::isValid
    {72, 722, 1074},	// Okular::Tile::operator=#
    {72, 766, 1072},	// Okular::Tile::pixmap
    {72, 805, 1071},	// Okular::Tile::rect
    {72, 1204, 1075},	// Okular::Tile::~Tile
    {73, 350, 1083},	// Okular::Utils::Utils
    {73, 351, 1084},	// Okular::Utils::Utils#
    {73, 502, 1077},	// Okular::Utils::dpiX
    {73, 503, 1078},	// Okular::Utils::dpiY
    {73, 610, 1082},	// Okular::Utils::imageBoundingBox#
    {73, 802, 1081},	// Okular::Utils::realDpi#
    {73, 803, 1079},	// Okular::Utils::realDpiX
    {73, 804, 1080},	// Okular::Utils::realDpiY
    {73, 832, 1076},	// Okular::Utils::rotateRect#$$$
    {73, 1205, 1085},	// Okular::Utils::~Utils
    {75, 353, 1088},	// Okular::VisiblePageRect::VisiblePageRect
    {75, 354, 1087},	// Okular::VisiblePageRect::VisiblePageRect#
    {75, 355, 1089},	// Okular::VisiblePageRect::VisiblePageRect$
    {75, 356, 1086},	// Okular::VisiblePageRect::VisiblePageRect$#
    {75, 753, 1090},	// Okular::VisiblePageRect::pageNumber
    {75, 805, 1092},	// Okular::VisiblePageRect::rect
    {75, 979, 1091},	// Okular::VisiblePageRect::setPageNumber$
    {75, 989, 1093},	// Okular::VisiblePageRect::setRect#
    {75, 1206, 1094},	// Okular::VisiblePageRect::~VisiblePageRect
    {87, 163, 1118},	// QGlobalSpace::KST_CTimeInfo
    {87, 164, 1111},	// QGlobalSpace::KST_KCustom
    {87, 165, 1105},	// QGlobalSpace::KST_KDEDesktopMimeType
    {87, 166, 1104},	// QGlobalSpace::KST_KFolderMimeType
    {87, 167, 1115},	// QGlobalSpace::KST_KImageIO
    {87, 168, 1108},	// QGlobalSpace::KST_KImageIOFormat
    {87, 169, 1103},	// QGlobalSpace::KST_KMimeType
    {87, 170, 1106},	// QGlobalSpace::KST_KMimeTypeEntry
    {87, 171, 1117},	// QGlobalSpace::KST_KMimeTypeFactory
    {87, 172, 1109},	// QGlobalSpace::KST_KProtocolInfo
    {87, 173, 1116},	// QGlobalSpace::KST_KProtocolInfoFactory
    {87, 174, 1101},	// QGlobalSpace::KST_KService
    {87, 175, 1112},	// QGlobalSpace::KST_KServiceFactory
    {87, 176, 1107},	// QGlobalSpace::KST_KServiceGroup
    {87, 177, 1114},	// QGlobalSpace::KST_KServiceGroupFactory
    {87, 178, 1110},	// QGlobalSpace::KST_KServiceSeparator
    {87, 179, 1102},	// QGlobalSpace::KST_KServiceType
    {87, 180, 1113},	// QGlobalSpace::KST_KServiceTypeFactory
    {87, 181, 1100},	// QGlobalSpace::KST_KSycocaEntry
    {87, 358, 1095},	// QGlobalSpace::_IEEE_
    {87, 359, 1099},	// QGlobalSpace::_ISOC_
    {87, 360, 1098},	// QGlobalSpace::_POSIX_
    {87, 361, 1096},	// QGlobalSpace::_SVID_
    {87, 362, 1097},	// QGlobalSpace::_XOPEN_
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *okular_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_okular_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    okular_Smoke = new Smoke(
        "okular",
        __smokeokular::classes, 106,
        __smokeokular::methods, 1126,
        __smokeokular::methodMaps, 1090,
        __smokeokular::methodNames, 1206,
        __smokeokular::types, 375,
        __smokeokular::inheritanceList,
        __smokeokular::argumentList,
        __smokeokular::ambiguousMethodList,
        __smokeokular::cast );
    initialized = true;
}

void delete_okular_Smoke() { delete okular_Smoke; }

}
